de.caff.generics.tuple

## Interface ITuple8<T1,T2,T3,T4,T5,T6,T7,T8>

- Type Parameters:
    `T1` - type of first element
    `T2` - type of second element
    `T3` - type of third element
    `T4` - type of fourth element
    `T5` - type of fifth element
    `T6` - type of sixth element
    `T7` - type of seventh element
    `T8` - type of eighth element
  All Known Implementing Classes:
    ITuple8.Base, NTuple8, Tuple8

      public interface ITuple8<T1,T2,T3,T4,T5,T6,T7,T8>

  General interface for immutable 8-tuples.

  This is sometimes useful to access either `Tuple8` or `NTuple8` in a general way, although in most cases the concrete implementations are usually preferable.

  If you want to iterate over a tuple or access its elements by index (note that both is only possible for a common super type of the tuple's types) `Indexable.viewTuple(ITuple8)` will come to help.

  Note that this class is automatically created by `tools.TupleClassCreator` (not yet public).

  Since:
    November 17, 2021
  Author:
    Rammi
  See Also:
    `Tuple8`, `NTuple8`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ITuple8.Base<T1,T2,T3,T4,T5,T6,T7,T8>` Abstract base implementation of a 8-tuple.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `T1` | `_1()` Get the first element.
    `default ITuple2<T1,T2>` | `_12()` Create a new 2-tuple from this one where the elements are ordered: 1st, 2nd.
    `default ITuple3<T1,T2,T3>` | `_123()` Create a new 3-tuple from this one where the elements are ordered: 1st, 2nd, 3rd.
    `default ITuple4<T1,T2,T3,T4>` | `_1234()` Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 4th.
    `default ITuple5<T1,T2,T3,T4,T5>` | `_12345()` Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 4th, 5th.
    `default ITuple6<T1,T2,T3,T4,T5,T6>` | `_123456()` Create a new 6-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 4th, 5th, 6th.
    `default ITuple7<T1,T2,T3,T4,T5,T6,T7>` | `_1234567()` Create a new 7-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 4th, 5th, 6th, 7th.
    `default ITuple7<T1,T2,T3,T4,T5,T6,T8>` | `_1234568()` Create a new 7-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 4th, 5th, 6th, 8th.
    `default ITuple6<T1,T2,T3,T4,T5,T7>` | `_123457()` Create a new 6-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 4th, 5th, 7th.
    `default ITuple7<T1,T2,T3,T4,T5,T7,T8>` | `_1234578()` Create a new 7-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 4th, 5th, 7th, 8th.
    `default ITuple6<T1,T2,T3,T4,T5,T8>` | `_123458()` Create a new 6-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 4th, 5th, 8th.
    `default ITuple5<T1,T2,T3,T4,T6>` | `_12346()` Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 4th, 6th.
    `default ITuple6<T1,T2,T3,T4,T6,T7>` | `_123467()` Create a new 6-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 4th, 6th, 7th.
    `default ITuple7<T1,T2,T3,T4,T6,T7,T8>` | `_1234678()` Create a new 7-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 4th, 6th, 7th, 8th.
    `default ITuple6<T1,T2,T3,T4,T6,T8>` | `_123468()` Create a new 6-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 4th, 6th, 8th.
    `default ITuple5<T1,T2,T3,T4,T7>` | `_12347()` Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 4th, 7th.
    `default ITuple6<T1,T2,T3,T4,T7,T8>` | `_123478()` Create a new 6-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 4th, 7th, 8th.
    `default ITuple5<T1,T2,T3,T4,T8>` | `_12348()` Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 4th, 8th.
    `default ITuple4<T1,T2,T3,T5>` | `_1235()` Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 5th.
    `default ITuple5<T1,T2,T3,T5,T6>` | `_12356()` Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 5th, 6th.
    `default ITuple6<T1,T2,T3,T5,T6,T7>` | `_123567()` Create a new 6-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 5th, 6th, 7th.
    `default ITuple7<T1,T2,T3,T5,T6,T7,T8>` | `_1235678()` Create a new 7-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 5th, 6th, 7th, 8th.
    `default ITuple6<T1,T2,T3,T5,T6,T8>` | `_123568()` Create a new 6-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 5th, 6th, 8th.
    `default ITuple5<T1,T2,T3,T5,T7>` | `_12357()` Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 5th, 7th.
    `default ITuple6<T1,T2,T3,T5,T7,T8>` | `_123578()` Create a new 6-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 5th, 7th, 8th.
    `default ITuple5<T1,T2,T3,T5,T8>` | `_12358()` Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 5th, 8th.
    `default ITuple4<T1,T2,T3,T6>` | `_1236()` Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 6th.
    `default ITuple5<T1,T2,T3,T6,T7>` | `_12367()` Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 6th, 7th.
    `default ITuple6<T1,T2,T3,T6,T7,T8>` | `_123678()` Create a new 6-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 6th, 7th, 8th.
    `default ITuple5<T1,T2,T3,T6,T8>` | `_12368()` Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 6th, 8th.
    `default ITuple4<T1,T2,T3,T7>` | `_1237()` Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 7th.
    `default ITuple5<T1,T2,T3,T7,T8>` | `_12378()` Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 7th, 8th.
    `default ITuple4<T1,T2,T3,T8>` | `_1238()` Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 8th.
    `default ITuple3<T1,T2,T4>` | `_124()` Create a new 3-tuple from this one where the elements are ordered: 1st, 2nd, 4th.
    `default ITuple4<T1,T2,T4,T5>` | `_1245()` Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 4th, 5th.
    `default ITuple5<T1,T2,T4,T5,T6>` | `_12456()` Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 4th, 5th, 6th.
    `default ITuple6<T1,T2,T4,T5,T6,T7>` | `_124567()` Create a new 6-tuple from this one where the elements are ordered: 1st, 2nd, 4th, 5th, 6th, 7th.
    `default ITuple7<T1,T2,T4,T5,T6,T7,T8>` | `_1245678()` Create a new 7-tuple from this one where the elements are ordered: 1st, 2nd, 4th, 5th, 6th, 7th, 8th.
    `default ITuple6<T1,T2,T4,T5,T6,T8>` | `_124568()` Create a new 6-tuple from this one where the elements are ordered: 1st, 2nd, 4th, 5th, 6th, 8th.
    `default ITuple5<T1,T2,T4,T5,T7>` | `_12457()` Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 4th, 5th, 7th.
    `default ITuple6<T1,T2,T4,T5,T7,T8>` | `_124578()` Create a new 6-tuple from this one where the elements are ordered: 1st, 2nd, 4th, 5th, 7th, 8th.
    `default ITuple5<T1,T2,T4,T5,T8>` | `_12458()` Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 4th, 5th, 8th.
    `default ITuple4<T1,T2,T4,T6>` | `_1246()` Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 4th, 6th.
    `default ITuple5<T1,T2,T4,T6,T7>` | `_12467()` Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 4th, 6th, 7th.
    `default ITuple6<T1,T2,T4,T6,T7,T8>` | `_124678()` Create a new 6-tuple from this one where the elements are ordered: 1st, 2nd, 4th, 6th, 7th, 8th.
    `default ITuple5<T1,T2,T4,T6,T8>` | `_12468()` Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 4th, 6th, 8th.
    `default ITuple4<T1,T2,T4,T7>` | `_1247()` Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 4th, 7th.
    `default ITuple5<T1,T2,T4,T7,T8>` | `_12478()` Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 4th, 7th, 8th.
    `default ITuple4<T1,T2,T4,T8>` | `_1248()` Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 4th, 8th.
    `default ITuple3<T1,T2,T5>` | `_125()` Create a new 3-tuple from this one where the elements are ordered: 1st, 2nd, 5th.
    `default ITuple4<T1,T2,T5,T6>` | `_1256()` Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 5th, 6th.
    `default ITuple5<T1,T2,T5,T6,T7>` | `_12567()` Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 5th, 6th, 7th.
    `default ITuple6<T1,T2,T5,T6,T7,T8>` | `_125678()` Create a new 6-tuple from this one where the elements are ordered: 1st, 2nd, 5th, 6th, 7th, 8th.
    `default ITuple5<T1,T2,T5,T6,T8>` | `_12568()` Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 5th, 6th, 8th.
    `default ITuple4<T1,T2,T5,T7>` | `_1257()` Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 5th, 7th.
    `default ITuple5<T1,T2,T5,T7,T8>` | `_12578()` Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 5th, 7th, 8th.
    `default ITuple4<T1,T2,T5,T8>` | `_1258()` Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 5th, 8th.
    `default ITuple3<T1,T2,T6>` | `_126()` Create a new 3-tuple from this one where the elements are ordered: 1st, 2nd, 6th.
    `default ITuple4<T1,T2,T6,T7>` | `_1267()` Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 6th, 7th.
    `default ITuple5<T1,T2,T6,T7,T8>` | `_12678()` Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 6th, 7th, 8th.
    `default ITuple4<T1,T2,T6,T8>` | `_1268()` Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 6th, 8th.
    `default ITuple3<T1,T2,T7>` | `_127()` Create a new 3-tuple from this one where the elements are ordered: 1st, 2nd, 7th.
    `default ITuple4<T1,T2,T7,T8>` | `_1278()` Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 7th, 8th.
    `default ITuple3<T1,T2,T8>` | `_128()` Create a new 3-tuple from this one where the elements are ordered: 1st, 2nd, 8th.
    `default ITuple2<T1,T3>` | `_13()` Create a new 2-tuple from this one where the elements are ordered: 1st, 3rd.
    `default ITuple3<T1,T3,T2>` | `_132()` Create a new 3-tuple from this one where the elements are ordered: 1st, 3rd, 2nd.
    `default ITuple3<T1,T3,T4>` | `_134()` Create a new 3-tuple from this one where the elements are ordered: 1st, 3rd, 4th.
    `default ITuple4<T1,T3,T4,T5>` | `_1345()` Create a new 4-tuple from this one where the elements are ordered: 1st, 3rd, 4th, 5th.
    `default ITuple5<T1,T3,T4,T5,T6>` | `_13456()` Create a new 5-tuple from this one where the elements are ordered: 1st, 3rd, 4th, 5th, 6th.
    `default ITuple6<T1,T3,T4,T5,T6,T7>` | `_134567()` Create a new 6-tuple from this one where the elements are ordered: 1st, 3rd, 4th, 5th, 6th, 7th.
    `default ITuple7<T1,T3,T4,T5,T6,T7,T8>` | `_1345678()` Create a new 7-tuple from this one where the elements are ordered: 1st, 3rd, 4th, 5th, 6th, 7th, 8th.
    `default ITuple6<T1,T3,T4,T5,T6,T8>` | `_134568()` Create a new 6-tuple from this one where the elements are ordered: 1st, 3rd, 4th, 5th, 6th, 8th.
    `default ITuple5<T1,T3,T4,T5,T7>` | `_13457()` Create a new 5-tuple from this one where the elements are ordered: 1st, 3rd, 4th, 5th, 7th.
    `default ITuple6<T1,T3,T4,T5,T7,T8>` | `_134578()` Create a new 6-tuple from this one where the elements are ordered: 1st, 3rd, 4th, 5th, 7th, 8th.
    `default ITuple5<T1,T3,T4,T5,T8>` | `_13458()` Create a new 5-tuple from this one where the elements are ordered: 1st, 3rd, 4th, 5th, 8th.
    `default ITuple4<T1,T3,T4,T6>` | `_1346()` Create a new 4-tuple from this one where the elements are ordered: 1st, 3rd, 4th, 6th.
    `default ITuple5<T1,T3,T4,T6,T7>` | `_13467()` Create a new 5-tuple from this one where the elements are ordered: 1st, 3rd, 4th, 6th, 7th.
    `default ITuple6<T1,T3,T4,T6,T7,T8>` | `_134678()` Create a new 6-tuple from this one where the elements are ordered: 1st, 3rd, 4th, 6th, 7th, 8th.
    `default ITuple5<T1,T3,T4,T6,T8>` | `_13468()` Create a new 5-tuple from this one where the elements are ordered: 1st, 3rd, 4th, 6th, 8th.
    `default ITuple4<T1,T3,T4,T7>` | `_1347()` Create a new 4-tuple from this one where the elements are ordered: 1st, 3rd, 4th, 7th.
    `default ITuple5<T1,T3,T4,T7,T8>` | `_13478()` Create a new 5-tuple from this one where the elements are ordered: 1st, 3rd, 4th, 7th, 8th.
    `default ITuple4<T1,T3,T4,T8>` | `_1348()` Create a new 4-tuple from this one where the elements are ordered: 1st, 3rd, 4th, 8th.
    `default ITuple3<T1,T3,T5>` | `_135()` Create a new 3-tuple from this one where the elements are ordered: 1st, 3rd, 5th.
    `default ITuple4<T1,T3,T5,T6>` | `_1356()` Create a new 4-tuple from this one where the elements are ordered: 1st, 3rd, 5th, 6th.
    `default ITuple5<T1,T3,T5,T6,T7>` | `_13567()` Create a new 5-tuple from this one where the elements are ordered: 1st, 3rd, 5th, 6th, 7th.
    `default ITuple6<T1,T3,T5,T6,T7,T8>` | `_135678()` Create a new 6-tuple from this one where the elements are ordered: 1st, 3rd, 5th, 6th, 7th, 8th.
    `default ITuple5<T1,T3,T5,T6,T8>` | `_13568()` Create a new 5-tuple from this one where the elements are ordered: 1st, 3rd, 5th, 6th, 8th.
    `default ITuple4<T1,T3,T5,T7>` | `_1357()` Create a new 4-tuple from this one where the elements are ordered: 1st, 3rd, 5th, 7th.
    `default ITuple5<T1,T3,T5,T7,T8>` | `_13578()` Create a new 5-tuple from this one where the elements are ordered: 1st, 3rd, 5th, 7th, 8th.
    `default ITuple4<T1,T3,T5,T8>` | `_1358()` Create a new 4-tuple from this one where the elements are ordered: 1st, 3rd, 5th, 8th.
    `default ITuple3<T1,T3,T6>` | `_136()` Create a new 3-tuple from this one where the elements are ordered: 1st, 3rd, 6th.
    `default ITuple4<T1,T3,T6,T7>` | `_1367()` Create a new 4-tuple from this one where the elements are ordered: 1st, 3rd, 6th, 7th.
    `default ITuple5<T1,T3,T6,T7,T8>` | `_13678()` Create a new 5-tuple from this one where the elements are ordered: 1st, 3rd, 6th, 7th, 8th.
    `default ITuple4<T1,T3,T6,T8>` | `_1368()` Create a new 4-tuple from this one where the elements are ordered: 1st, 3rd, 6th, 8th.
    `default ITuple3<T1,T3,T7>` | `_137()` Create a new 3-tuple from this one where the elements are ordered: 1st, 3rd, 7th.
    `default ITuple4<T1,T3,T7,T8>` | `_1378()` Create a new 4-tuple from this one where the elements are ordered: 1st, 3rd, 7th, 8th.
    `default ITuple3<T1,T3,T8>` | `_138()` Create a new 3-tuple from this one where the elements are ordered: 1st, 3rd, 8th.
    `default ITuple2<T1,T4>` | `_14()` Create a new 2-tuple from this one where the elements are ordered: 1st, 4th.
    `default ITuple3<T1,T4,T2>` | `_142()` Create a new 3-tuple from this one where the elements are ordered: 1st, 4th, 2nd.
    `default ITuple3<T1,T4,T3>` | `_143()` Create a new 3-tuple from this one where the elements are ordered: 1st, 4th, 3rd.
    `default ITuple3<T1,T4,T5>` | `_145()` Create a new 3-tuple from this one where the elements are ordered: 1st, 4th, 5th.
    `default ITuple4<T1,T4,T5,T6>` | `_1456()` Create a new 4-tuple from this one where the elements are ordered: 1st, 4th, 5th, 6th.
    `default ITuple5<T1,T4,T5,T6,T7>` | `_14567()` Create a new 5-tuple from this one where the elements are ordered: 1st, 4th, 5th, 6th, 7th.
    `default ITuple6<T1,T4,T5,T6,T7,T8>` | `_145678()` Create a new 6-tuple from this one where the elements are ordered: 1st, 4th, 5th, 6th, 7th, 8th.
    `default ITuple5<T1,T4,T5,T6,T8>` | `_14568()` Create a new 5-tuple from this one where the elements are ordered: 1st, 4th, 5th, 6th, 8th.
    `default ITuple4<T1,T4,T5,T7>` | `_1457()` Create a new 4-tuple from this one where the elements are ordered: 1st, 4th, 5th, 7th.
    `default ITuple5<T1,T4,T5,T7,T8>` | `_14578()` Create a new 5-tuple from this one where the elements are ordered: 1st, 4th, 5th, 7th, 8th.
    `default ITuple4<T1,T4,T5,T8>` | `_1458()` Create a new 4-tuple from this one where the elements are ordered: 1st, 4th, 5th, 8th.
    `default ITuple3<T1,T4,T6>` | `_146()` Create a new 3-tuple from this one where the elements are ordered: 1st, 4th, 6th.
    `default ITuple4<T1,T4,T6,T7>` | `_1467()` Create a new 4-tuple from this one where the elements are ordered: 1st, 4th, 6th, 7th.
    `default ITuple5<T1,T4,T6,T7,T8>` | `_14678()` Create a new 5-tuple from this one where the elements are ordered: 1st, 4th, 6th, 7th, 8th.
    `default ITuple4<T1,T4,T6,T8>` | `_1468()` Create a new 4-tuple from this one where the elements are ordered: 1st, 4th, 6th, 8th.
    `default ITuple3<T1,T4,T7>` | `_147()` Create a new 3-tuple from this one where the elements are ordered: 1st, 4th, 7th.
    `default ITuple4<T1,T4,T7,T8>` | `_1478()` Create a new 4-tuple from this one where the elements are ordered: 1st, 4th, 7th, 8th.
    `default ITuple3<T1,T4,T8>` | `_148()` Create a new 3-tuple from this one where the elements are ordered: 1st, 4th, 8th.
    `default ITuple2<T1,T5>` | `_15()` Create a new 2-tuple from this one where the elements are ordered: 1st, 5th.
    `default ITuple3<T1,T5,T2>` | `_152()` Create a new 3-tuple from this one where the elements are ordered: 1st, 5th, 2nd.
    `default ITuple3<T1,T5,T3>` | `_153()` Create a new 3-tuple from this one where the elements are ordered: 1st, 5th, 3rd.
    `default ITuple3<T1,T5,T4>` | `_154()` Create a new 3-tuple from this one where the elements are ordered: 1st, 5th, 4th.
    `default ITuple3<T1,T5,T6>` | `_156()` Create a new 3-tuple from this one where the elements are ordered: 1st, 5th, 6th.
    `default ITuple4<T1,T5,T6,T7>` | `_1567()` Create a new 4-tuple from this one where the elements are ordered: 1st, 5th, 6th, 7th.
    `default ITuple5<T1,T5,T6,T7,T8>` | `_15678()` Create a new 5-tuple from this one where the elements are ordered: 1st, 5th, 6th, 7th, 8th.
    `default ITuple4<T1,T5,T6,T8>` | `_1568()` Create a new 4-tuple from this one where the elements are ordered: 1st, 5th, 6th, 8th.
    `default ITuple3<T1,T5,T7>` | `_157()` Create a new 3-tuple from this one where the elements are ordered: 1st, 5th, 7th.
    `default ITuple4<T1,T5,T7,T8>` | `_1578()` Create a new 4-tuple from this one where the elements are ordered: 1st, 5th, 7th, 8th.
    `default ITuple3<T1,T5,T8>` | `_158()` Create a new 3-tuple from this one where the elements are ordered: 1st, 5th, 8th.
    `default ITuple2<T1,T6>` | `_16()` Create a new 2-tuple from this one where the elements are ordered: 1st, 6th.
    `default ITuple3<T1,T6,T2>` | `_162()` Create a new 3-tuple from this one where the elements are ordered: 1st, 6th, 2nd.
    `default ITuple3<T1,T6,T3>` | `_163()` Create a new 3-tuple from this one where the elements are ordered: 1st, 6th, 3rd.
    `default ITuple3<T1,T6,T4>` | `_164()` Create a new 3-tuple from this one where the elements are ordered: 1st, 6th, 4th.
    `default ITuple3<T1,T6,T5>` | `_165()` Create a new 3-tuple from this one where the elements are ordered: 1st, 6th, 5th.
    `default ITuple3<T1,T6,T7>` | `_167()` Create a new 3-tuple from this one where the elements are ordered: 1st, 6th, 7th.
    `default ITuple4<T1,T6,T7,T8>` | `_1678()` Create a new 4-tuple from this one where the elements are ordered: 1st, 6th, 7th, 8th.
    `default ITuple3<T1,T6,T8>` | `_168()` Create a new 3-tuple from this one where the elements are ordered: 1st, 6th, 8th.
    `default ITuple2<T1,T7>` | `_17()` Create a new 2-tuple from this one where the elements are ordered: 1st, 7th.
    `default ITuple3<T1,T7,T2>` | `_172()` Create a new 3-tuple from this one where the elements are ordered: 1st, 7th, 2nd.
    `default ITuple3<T1,T7,T3>` | `_173()` Create a new 3-tuple from this one where the elements are ordered: 1st, 7th, 3rd.
    `default ITuple3<T1,T7,T4>` | `_174()` Create a new 3-tuple from this one where the elements are ordered: 1st, 7th, 4th.
    `default ITuple3<T1,T7,T5>` | `_175()` Create a new 3-tuple from this one where the elements are ordered: 1st, 7th, 5th.
    `default ITuple3<T1,T7,T6>` | `_176()` Create a new 3-tuple from this one where the elements are ordered: 1st, 7th, 6th.
    `default ITuple3<T1,T7,T8>` | `_178()` Create a new 3-tuple from this one where the elements are ordered: 1st, 7th, 8th.
    `default ITuple2<T1,T8>` | `_18()` Create a new 2-tuple from this one where the elements are ordered: 1st, 8th.
    `default ITuple3<T1,T8,T2>` | `_182()` Create a new 3-tuple from this one where the elements are ordered: 1st, 8th, 2nd.
    `default ITuple3<T1,T8,T3>` | `_183()` Create a new 3-tuple from this one where the elements are ordered: 1st, 8th, 3rd.
    `default ITuple3<T1,T8,T4>` | `_184()` Create a new 3-tuple from this one where the elements are ordered: 1st, 8th, 4th.
    `default ITuple3<T1,T8,T5>` | `_185()` Create a new 3-tuple from this one where the elements are ordered: 1st, 8th, 5th.
    `default ITuple3<T1,T8,T6>` | `_186()` Create a new 3-tuple from this one where the elements are ordered: 1st, 8th, 6th.
    `default ITuple3<T1,T8,T7>` | `_187()` Create a new 3-tuple from this one where the elements are ordered: 1st, 8th, 7th.
    `T2` | `_2()` Get the second element.
    `default ITuple2<T2,T1>` | `_21()` Create a new 2-tuple from this one where the elements are ordered: 2nd, 1st.
    `default ITuple3<T2,T1,T3>` | `_213()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 1st, 3rd.
    `default ITuple3<T2,T1,T4>` | `_214()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 1st, 4th.
    `default ITuple3<T2,T1,T5>` | `_215()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 1st, 5th.
    `default ITuple3<T2,T1,T6>` | `_216()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 1st, 6th.
    `default ITuple3<T2,T1,T7>` | `_217()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 1st, 7th.
    `default ITuple3<T2,T1,T8>` | `_218()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 1st, 8th.
    `default ITuple2<T2,T3>` | `_23()` Create a new 2-tuple from this one where the elements are ordered: 2nd, 3rd.
    `default ITuple3<T2,T3,T1>` | `_231()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 3rd, 1st.
    `default ITuple3<T2,T3,T4>` | `_234()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 3rd, 4th.
    `default ITuple4<T2,T3,T4,T5>` | `_2345()` Create a new 4-tuple from this one where the elements are ordered: 2nd, 3rd, 4th, 5th.
    `default ITuple5<T2,T3,T4,T5,T6>` | `_23456()` Create a new 5-tuple from this one where the elements are ordered: 2nd, 3rd, 4th, 5th, 6th.
    `default ITuple6<T2,T3,T4,T5,T6,T7>` | `_234567()` Create a new 6-tuple from this one where the elements are ordered: 2nd, 3rd, 4th, 5th, 6th, 7th.
    `default ITuple7<T2,T3,T4,T5,T6,T7,T8>` | `_2345678()` Create a new 7-tuple from this one where the elements are ordered: 2nd, 3rd, 4th, 5th, 6th, 7th, 8th.
    `default ITuple6<T2,T3,T4,T5,T6,T8>` | `_234568()` Create a new 6-tuple from this one where the elements are ordered: 2nd, 3rd, 4th, 5th, 6th, 8th.
    `default ITuple5<T2,T3,T4,T5,T7>` | `_23457()` Create a new 5-tuple from this one where the elements are ordered: 2nd, 3rd, 4th, 5th, 7th.
    `default ITuple6<T2,T3,T4,T5,T7,T8>` | `_234578()` Create a new 6-tuple from this one where the elements are ordered: 2nd, 3rd, 4th, 5th, 7th, 8th.
    `default ITuple5<T2,T3,T4,T5,T8>` | `_23458()` Create a new 5-tuple from this one where the elements are ordered: 2nd, 3rd, 4th, 5th, 8th.
    `default ITuple4<T2,T3,T4,T6>` | `_2346()` Create a new 4-tuple from this one where the elements are ordered: 2nd, 3rd, 4th, 6th.
    `default ITuple5<T2,T3,T4,T6,T7>` | `_23467()` Create a new 5-tuple from this one where the elements are ordered: 2nd, 3rd, 4th, 6th, 7th.
    `default ITuple6<T2,T3,T4,T6,T7,T8>` | `_234678()` Create a new 6-tuple from this one where the elements are ordered: 2nd, 3rd, 4th, 6th, 7th, 8th.
    `default ITuple5<T2,T3,T4,T6,T8>` | `_23468()` Create a new 5-tuple from this one where the elements are ordered: 2nd, 3rd, 4th, 6th, 8th.
    `default ITuple4<T2,T3,T4,T7>` | `_2347()` Create a new 4-tuple from this one where the elements are ordered: 2nd, 3rd, 4th, 7th.
    `default ITuple5<T2,T3,T4,T7,T8>` | `_23478()` Create a new 5-tuple from this one where the elements are ordered: 2nd, 3rd, 4th, 7th, 8th.
    `default ITuple4<T2,T3,T4,T8>` | `_2348()` Create a new 4-tuple from this one where the elements are ordered: 2nd, 3rd, 4th, 8th.
    `default ITuple3<T2,T3,T5>` | `_235()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 3rd, 5th.
    `default ITuple4<T2,T3,T5,T6>` | `_2356()` Create a new 4-tuple from this one where the elements are ordered: 2nd, 3rd, 5th, 6th.
    `default ITuple5<T2,T3,T5,T6,T7>` | `_23567()` Create a new 5-tuple from this one where the elements are ordered: 2nd, 3rd, 5th, 6th, 7th.
    `default ITuple6<T2,T3,T5,T6,T7,T8>` | `_235678()` Create a new 6-tuple from this one where the elements are ordered: 2nd, 3rd, 5th, 6th, 7th, 8th.
    `default ITuple5<T2,T3,T5,T6,T8>` | `_23568()` Create a new 5-tuple from this one where the elements are ordered: 2nd, 3rd, 5th, 6th, 8th.
    `default ITuple4<T2,T3,T5,T7>` | `_2357()` Create a new 4-tuple from this one where the elements are ordered: 2nd, 3rd, 5th, 7th.
    `default ITuple5<T2,T3,T5,T7,T8>` | `_23578()` Create a new 5-tuple from this one where the elements are ordered: 2nd, 3rd, 5th, 7th, 8th.
    `default ITuple4<T2,T3,T5,T8>` | `_2358()` Create a new 4-tuple from this one where the elements are ordered: 2nd, 3rd, 5th, 8th.
    `default ITuple3<T2,T3,T6>` | `_236()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 3rd, 6th.
    `default ITuple4<T2,T3,T6,T7>` | `_2367()` Create a new 4-tuple from this one where the elements are ordered: 2nd, 3rd, 6th, 7th.
    `default ITuple5<T2,T3,T6,T7,T8>` | `_23678()` Create a new 5-tuple from this one where the elements are ordered: 2nd, 3rd, 6th, 7th, 8th.
    `default ITuple4<T2,T3,T6,T8>` | `_2368()` Create a new 4-tuple from this one where the elements are ordered: 2nd, 3rd, 6th, 8th.
    `default ITuple3<T2,T3,T7>` | `_237()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 3rd, 7th.
    `default ITuple4<T2,T3,T7,T8>` | `_2378()` Create a new 4-tuple from this one where the elements are ordered: 2nd, 3rd, 7th, 8th.
    `default ITuple3<T2,T3,T8>` | `_238()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 3rd, 8th.
    `default ITuple2<T2,T4>` | `_24()` Create a new 2-tuple from this one where the elements are ordered: 2nd, 4th.
    `default ITuple3<T2,T4,T1>` | `_241()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 4th, 1st.
    `default ITuple3<T2,T4,T3>` | `_243()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 4th, 3rd.
    `default ITuple3<T2,T4,T5>` | `_245()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 4th, 5th.
    `default ITuple4<T2,T4,T5,T6>` | `_2456()` Create a new 4-tuple from this one where the elements are ordered: 2nd, 4th, 5th, 6th.
    `default ITuple5<T2,T4,T5,T6,T7>` | `_24567()` Create a new 5-tuple from this one where the elements are ordered: 2nd, 4th, 5th, 6th, 7th.
    `default ITuple6<T2,T4,T5,T6,T7,T8>` | `_245678()` Create a new 6-tuple from this one where the elements are ordered: 2nd, 4th, 5th, 6th, 7th, 8th.
    `default ITuple5<T2,T4,T5,T6,T8>` | `_24568()` Create a new 5-tuple from this one where the elements are ordered: 2nd, 4th, 5th, 6th, 8th.
    `default ITuple4<T2,T4,T5,T7>` | `_2457()` Create a new 4-tuple from this one where the elements are ordered: 2nd, 4th, 5th, 7th.
    `default ITuple5<T2,T4,T5,T7,T8>` | `_24578()` Create a new 5-tuple from this one where the elements are ordered: 2nd, 4th, 5th, 7th, 8th.
    `default ITuple4<T2,T4,T5,T8>` | `_2458()` Create a new 4-tuple from this one where the elements are ordered: 2nd, 4th, 5th, 8th.
    `default ITuple3<T2,T4,T6>` | `_246()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 4th, 6th.
    `default ITuple4<T2,T4,T6,T7>` | `_2467()` Create a new 4-tuple from this one where the elements are ordered: 2nd, 4th, 6th, 7th.
    `default ITuple5<T2,T4,T6,T7,T8>` | `_24678()` Create a new 5-tuple from this one where the elements are ordered: 2nd, 4th, 6th, 7th, 8th.
    `default ITuple4<T2,T4,T6,T8>` | `_2468()` Create a new 4-tuple from this one where the elements are ordered: 2nd, 4th, 6th, 8th.
    `default ITuple3<T2,T4,T7>` | `_247()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 4th, 7th.
    `default ITuple4<T2,T4,T7,T8>` | `_2478()` Create a new 4-tuple from this one where the elements are ordered: 2nd, 4th, 7th, 8th.
    `default ITuple3<T2,T4,T8>` | `_248()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 4th, 8th.
    `default ITuple2<T2,T5>` | `_25()` Create a new 2-tuple from this one where the elements are ordered: 2nd, 5th.
    `default ITuple3<T2,T5,T1>` | `_251()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 5th, 1st.
    `default ITuple3<T2,T5,T3>` | `_253()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 5th, 3rd.
    `default ITuple3<T2,T5,T4>` | `_254()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 5th, 4th.
    `default ITuple3<T2,T5,T6>` | `_256()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 5th, 6th.
    `default ITuple4<T2,T5,T6,T7>` | `_2567()` Create a new 4-tuple from this one where the elements are ordered: 2nd, 5th, 6th, 7th.
    `default ITuple5<T2,T5,T6,T7,T8>` | `_25678()` Create a new 5-tuple from this one where the elements are ordered: 2nd, 5th, 6th, 7th, 8th.
    `default ITuple4<T2,T5,T6,T8>` | `_2568()` Create a new 4-tuple from this one where the elements are ordered: 2nd, 5th, 6th, 8th.
    `default ITuple3<T2,T5,T7>` | `_257()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 5th, 7th.
    `default ITuple4<T2,T5,T7,T8>` | `_2578()` Create a new 4-tuple from this one where the elements are ordered: 2nd, 5th, 7th, 8th.
    `default ITuple3<T2,T5,T8>` | `_258()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 5th, 8th.
    `default ITuple2<T2,T6>` | `_26()` Create a new 2-tuple from this one where the elements are ordered: 2nd, 6th.
    `default ITuple3<T2,T6,T1>` | `_261()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 6th, 1st.
    `default ITuple3<T2,T6,T3>` | `_263()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 6th, 3rd.
    `default ITuple3<T2,T6,T4>` | `_264()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 6th, 4th.
    `default ITuple3<T2,T6,T5>` | `_265()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 6th, 5th.
    `default ITuple3<T2,T6,T7>` | `_267()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 6th, 7th.
    `default ITuple4<T2,T6,T7,T8>` | `_2678()` Create a new 4-tuple from this one where the elements are ordered: 2nd, 6th, 7th, 8th.
    `default ITuple3<T2,T6,T8>` | `_268()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 6th, 8th.
    `default ITuple2<T2,T7>` | `_27()` Create a new 2-tuple from this one where the elements are ordered: 2nd, 7th.
    `default ITuple3<T2,T7,T1>` | `_271()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 7th, 1st.
    `default ITuple3<T2,T7,T3>` | `_273()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 7th, 3rd.
    `default ITuple3<T2,T7,T4>` | `_274()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 7th, 4th.
    `default ITuple3<T2,T7,T5>` | `_275()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 7th, 5th.
    `default ITuple3<T2,T7,T6>` | `_276()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 7th, 6th.
    `default ITuple3<T2,T7,T8>` | `_278()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 7th, 8th.
    `default ITuple2<T2,T8>` | `_28()` Create a new 2-tuple from this one where the elements are ordered: 2nd, 8th.
    `default ITuple3<T2,T8,T1>` | `_281()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 8th, 1st.
    `default ITuple3<T2,T8,T3>` | `_283()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 8th, 3rd.
    `default ITuple3<T2,T8,T4>` | `_284()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 8th, 4th.
    `default ITuple3<T2,T8,T5>` | `_285()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 8th, 5th.
    `default ITuple3<T2,T8,T6>` | `_286()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 8th, 6th.
    `default ITuple3<T2,T8,T7>` | `_287()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 8th, 7th.
    `T3` | `_3()` Get the third element.
    `default ITuple2<T3,T1>` | `_31()` Create a new 2-tuple from this one where the elements are ordered: 3rd, 1st.
    `default ITuple3<T3,T1,T2>` | `_312()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 1st, 2nd.
    `default ITuple3<T3,T1,T4>` | `_314()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 1st, 4th.
    `default ITuple3<T3,T1,T5>` | `_315()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 1st, 5th.
    `default ITuple3<T3,T1,T6>` | `_316()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 1st, 6th.
    `default ITuple3<T3,T1,T7>` | `_317()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 1st, 7th.
    `default ITuple3<T3,T1,T8>` | `_318()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 1st, 8th.
    `default ITuple2<T3,T2>` | `_32()` Create a new 2-tuple from this one where the elements are ordered: 3rd, 2nd.
    `default ITuple3<T3,T2,T1>` | `_321()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 2nd, 1st.
    `default ITuple3<T3,T2,T4>` | `_324()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 2nd, 4th.
    `default ITuple3<T3,T2,T5>` | `_325()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 2nd, 5th.
    `default ITuple3<T3,T2,T6>` | `_326()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 2nd, 6th.
    `default ITuple3<T3,T2,T7>` | `_327()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 2nd, 7th.
    `default ITuple3<T3,T2,T8>` | `_328()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 2nd, 8th.
    `default ITuple2<T3,T4>` | `_34()` Create a new 2-tuple from this one where the elements are ordered: 3rd, 4th.
    `default ITuple3<T3,T4,T1>` | `_341()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 4th, 1st.
    `default ITuple3<T3,T4,T2>` | `_342()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 4th, 2nd.
    `default ITuple3<T3,T4,T5>` | `_345()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 4th, 5th.
    `default ITuple4<T3,T4,T5,T6>` | `_3456()` Create a new 4-tuple from this one where the elements are ordered: 3rd, 4th, 5th, 6th.
    `default ITuple5<T3,T4,T5,T6,T7>` | `_34567()` Create a new 5-tuple from this one where the elements are ordered: 3rd, 4th, 5th, 6th, 7th.
    `default ITuple6<T3,T4,T5,T6,T7,T8>` | `_345678()` Create a new 6-tuple from this one where the elements are ordered: 3rd, 4th, 5th, 6th, 7th, 8th.
    `default ITuple5<T3,T4,T5,T6,T8>` | `_34568()` Create a new 5-tuple from this one where the elements are ordered: 3rd, 4th, 5th, 6th, 8th.
    `default ITuple4<T3,T4,T5,T7>` | `_3457()` Create a new 4-tuple from this one where the elements are ordered: 3rd, 4th, 5th, 7th.
    `default ITuple5<T3,T4,T5,T7,T8>` | `_34578()` Create a new 5-tuple from this one where the elements are ordered: 3rd, 4th, 5th, 7th, 8th.
    `default ITuple4<T3,T4,T5,T8>` | `_3458()` Create a new 4-tuple from this one where the elements are ordered: 3rd, 4th, 5th, 8th.
    `default ITuple3<T3,T4,T6>` | `_346()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 4th, 6th.
    `default ITuple4<T3,T4,T6,T7>` | `_3467()` Create a new 4-tuple from this one where the elements are ordered: 3rd, 4th, 6th, 7th.
    `default ITuple5<T3,T4,T6,T7,T8>` | `_34678()` Create a new 5-tuple from this one where the elements are ordered: 3rd, 4th, 6th, 7th, 8th.
    `default ITuple4<T3,T4,T6,T8>` | `_3468()` Create a new 4-tuple from this one where the elements are ordered: 3rd, 4th, 6th, 8th.
    `default ITuple3<T3,T4,T7>` | `_347()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 4th, 7th.
    `default ITuple4<T3,T4,T7,T8>` | `_3478()` Create a new 4-tuple from this one where the elements are ordered: 3rd, 4th, 7th, 8th.
    `default ITuple3<T3,T4,T8>` | `_348()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 4th, 8th.
    `default ITuple2<T3,T5>` | `_35()` Create a new 2-tuple from this one where the elements are ordered: 3rd, 5th.
    `default ITuple3<T3,T5,T1>` | `_351()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 5th, 1st.
    `default ITuple3<T3,T5,T2>` | `_352()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 5th, 2nd.
    `default ITuple3<T3,T5,T4>` | `_354()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 5th, 4th.
    `default ITuple3<T3,T5,T6>` | `_356()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 5th, 6th.
    `default ITuple4<T3,T5,T6,T7>` | `_3567()` Create a new 4-tuple from this one where the elements are ordered: 3rd, 5th, 6th, 7th.
    `default ITuple5<T3,T5,T6,T7,T8>` | `_35678()` Create a new 5-tuple from this one where the elements are ordered: 3rd, 5th, 6th, 7th, 8th.
    `default ITuple4<T3,T5,T6,T8>` | `_3568()` Create a new 4-tuple from this one where the elements are ordered: 3rd, 5th, 6th, 8th.
    `default ITuple3<T3,T5,T7>` | `_357()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 5th, 7th.
    `default ITuple4<T3,T5,T7,T8>` | `_3578()` Create a new 4-tuple from this one where the elements are ordered: 3rd, 5th, 7th, 8th.
    `default ITuple3<T3,T5,T8>` | `_358()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 5th, 8th.
    `default ITuple2<T3,T6>` | `_36()` Create a new 2-tuple from this one where the elements are ordered: 3rd, 6th.
    `default ITuple3<T3,T6,T1>` | `_361()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 6th, 1st.
    `default ITuple3<T3,T6,T2>` | `_362()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 6th, 2nd.
    `default ITuple3<T3,T6,T4>` | `_364()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 6th, 4th.
    `default ITuple3<T3,T6,T5>` | `_365()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 6th, 5th.
    `default ITuple3<T3,T6,T7>` | `_367()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 6th, 7th.
    `default ITuple4<T3,T6,T7,T8>` | `_3678()` Create a new 4-tuple from this one where the elements are ordered: 3rd, 6th, 7th, 8th.
    `default ITuple3<T3,T6,T8>` | `_368()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 6th, 8th.
    `default ITuple2<T3,T7>` | `_37()` Create a new 2-tuple from this one where the elements are ordered: 3rd, 7th.
    `default ITuple3<T3,T7,T1>` | `_371()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 7th, 1st.
    `default ITuple3<T3,T7,T2>` | `_372()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 7th, 2nd.
    `default ITuple3<T3,T7,T4>` | `_374()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 7th, 4th.
    `default ITuple3<T3,T7,T5>` | `_375()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 7th, 5th.
    `default ITuple3<T3,T7,T6>` | `_376()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 7th, 6th.
    `default ITuple3<T3,T7,T8>` | `_378()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 7th, 8th.
    `default ITuple2<T3,T8>` | `_38()` Create a new 2-tuple from this one where the elements are ordered: 3rd, 8th.
    `default ITuple3<T3,T8,T1>` | `_381()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 8th, 1st.
    `default ITuple3<T3,T8,T2>` | `_382()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 8th, 2nd.
    `default ITuple3<T3,T8,T4>` | `_384()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 8th, 4th.
    `default ITuple3<T3,T8,T5>` | `_385()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 8th, 5th.
    `default ITuple3<T3,T8,T6>` | `_386()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 8th, 6th.
    `default ITuple3<T3,T8,T7>` | `_387()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 8th, 7th.
    `T4` | `_4()` Get the fourth element.
    `default ITuple2<T4,T1>` | `_41()` Create a new 2-tuple from this one where the elements are ordered: 4th, 1st.
    `default ITuple3<T4,T1,T2>` | `_412()` Create a new 3-tuple from this one where the elements are ordered: 4th, 1st, 2nd.
    `default ITuple3<T4,T1,T3>` | `_413()` Create a new 3-tuple from this one where the elements are ordered: 4th, 1st, 3rd.
    `default ITuple3<T4,T1,T5>` | `_415()` Create a new 3-tuple from this one where the elements are ordered: 4th, 1st, 5th.
    `default ITuple3<T4,T1,T6>` | `_416()` Create a new 3-tuple from this one where the elements are ordered: 4th, 1st, 6th.
    `default ITuple3<T4,T1,T7>` | `_417()` Create a new 3-tuple from this one where the elements are ordered: 4th, 1st, 7th.
    `default ITuple3<T4,T1,T8>` | `_418()` Create a new 3-tuple from this one where the elements are ordered: 4th, 1st, 8th.
    `default ITuple2<T4,T2>` | `_42()` Create a new 2-tuple from this one where the elements are ordered: 4th, 2nd.
    `default ITuple3<T4,T2,T1>` | `_421()` Create a new 3-tuple from this one where the elements are ordered: 4th, 2nd, 1st.
    `default ITuple3<T4,T2,T3>` | `_423()` Create a new 3-tuple from this one where the elements are ordered: 4th, 2nd, 3rd.
    `default ITuple3<T4,T2,T5>` | `_425()` Create a new 3-tuple from this one where the elements are ordered: 4th, 2nd, 5th.
    `default ITuple3<T4,T2,T6>` | `_426()` Create a new 3-tuple from this one where the elements are ordered: 4th, 2nd, 6th.
    `default ITuple3<T4,T2,T7>` | `_427()` Create a new 3-tuple from this one where the elements are ordered: 4th, 2nd, 7th.
    `default ITuple3<T4,T2,T8>` | `_428()` Create a new 3-tuple from this one where the elements are ordered: 4th, 2nd, 8th.
    `default ITuple2<T4,T3>` | `_43()` Create a new 2-tuple from this one where the elements are ordered: 4th, 3rd.
    `default ITuple3<T4,T3,T1>` | `_431()` Create a new 3-tuple from this one where the elements are ordered: 4th, 3rd, 1st.
    `default ITuple3<T4,T3,T2>` | `_432()` Create a new 3-tuple from this one where the elements are ordered: 4th, 3rd, 2nd.
    `default ITuple3<T4,T3,T5>` | `_435()` Create a new 3-tuple from this one where the elements are ordered: 4th, 3rd, 5th.
    `default ITuple3<T4,T3,T6>` | `_436()` Create a new 3-tuple from this one where the elements are ordered: 4th, 3rd, 6th.
    `default ITuple3<T4,T3,T7>` | `_437()` Create a new 3-tuple from this one where the elements are ordered: 4th, 3rd, 7th.
    `default ITuple3<T4,T3,T8>` | `_438()` Create a new 3-tuple from this one where the elements are ordered: 4th, 3rd, 8th.
    `default ITuple2<T4,T5>` | `_45()` Create a new 2-tuple from this one where the elements are ordered: 4th, 5th.
    `default ITuple3<T4,T5,T1>` | `_451()` Create a new 3-tuple from this one where the elements are ordered: 4th, 5th, 1st.
    `default ITuple3<T4,T5,T2>` | `_452()` Create a new 3-tuple from this one where the elements are ordered: 4th, 5th, 2nd.
    `default ITuple3<T4,T5,T3>` | `_453()` Create a new 3-tuple from this one where the elements are ordered: 4th, 5th, 3rd.
    `default ITuple3<T4,T5,T6>` | `_456()` Create a new 3-tuple from this one where the elements are ordered: 4th, 5th, 6th.
    `default ITuple4<T4,T5,T6,T7>` | `_4567()` Create a new 4-tuple from this one where the elements are ordered: 4th, 5th, 6th, 7th.
    `default ITuple5<T4,T5,T6,T7,T8>` | `_45678()` Create a new 5-tuple from this one where the elements are ordered: 4th, 5th, 6th, 7th, 8th.
    `default ITuple4<T4,T5,T6,T8>` | `_4568()` Create a new 4-tuple from this one where the elements are ordered: 4th, 5th, 6th, 8th.
    `default ITuple3<T4,T5,T7>` | `_457()` Create a new 3-tuple from this one where the elements are ordered: 4th, 5th, 7th.
    `default ITuple4<T4,T5,T7,T8>` | `_4578()` Create a new 4-tuple from this one where the elements are ordered: 4th, 5th, 7th, 8th.
    `default ITuple3<T4,T5,T8>` | `_458()` Create a new 3-tuple from this one where the elements are ordered: 4th, 5th, 8th.
    `default ITuple2<T4,T6>` | `_46()` Create a new 2-tuple from this one where the elements are ordered: 4th, 6th.
    `default ITuple3<T4,T6,T1>` | `_461()` Create a new 3-tuple from this one where the elements are ordered: 4th, 6th, 1st.
    `default ITuple3<T4,T6,T2>` | `_462()` Create a new 3-tuple from this one where the elements are ordered: 4th, 6th, 2nd.
    `default ITuple3<T4,T6,T3>` | `_463()` Create a new 3-tuple from this one where the elements are ordered: 4th, 6th, 3rd.
    `default ITuple3<T4,T6,T5>` | `_465()` Create a new 3-tuple from this one where the elements are ordered: 4th, 6th, 5th.
    `default ITuple3<T4,T6,T7>` | `_467()` Create a new 3-tuple from this one where the elements are ordered: 4th, 6th, 7th.
    `default ITuple4<T4,T6,T7,T8>` | `_4678()` Create a new 4-tuple from this one where the elements are ordered: 4th, 6th, 7th, 8th.
    `default ITuple3<T4,T6,T8>` | `_468()` Create a new 3-tuple from this one where the elements are ordered: 4th, 6th, 8th.
    `default ITuple2<T4,T7>` | `_47()` Create a new 2-tuple from this one where the elements are ordered: 4th, 7th.
    `default ITuple3<T4,T7,T1>` | `_471()` Create a new 3-tuple from this one where the elements are ordered: 4th, 7th, 1st.
    `default ITuple3<T4,T7,T2>` | `_472()` Create a new 3-tuple from this one where the elements are ordered: 4th, 7th, 2nd.
    `default ITuple3<T4,T7,T3>` | `_473()` Create a new 3-tuple from this one where the elements are ordered: 4th, 7th, 3rd.
    `default ITuple3<T4,T7,T5>` | `_475()` Create a new 3-tuple from this one where the elements are ordered: 4th, 7th, 5th.
    `default ITuple3<T4,T7,T6>` | `_476()` Create a new 3-tuple from this one where the elements are ordered: 4th, 7th, 6th.
    `default ITuple3<T4,T7,T8>` | `_478()` Create a new 3-tuple from this one where the elements are ordered: 4th, 7th, 8th.
    `default ITuple2<T4,T8>` | `_48()` Create a new 2-tuple from this one where the elements are ordered: 4th, 8th.
    `default ITuple3<T4,T8,T1>` | `_481()` Create a new 3-tuple from this one where the elements are ordered: 4th, 8th, 1st.
    `default ITuple3<T4,T8,T2>` | `_482()` Create a new 3-tuple from this one where the elements are ordered: 4th, 8th, 2nd.
    `default ITuple3<T4,T8,T3>` | `_483()` Create a new 3-tuple from this one where the elements are ordered: 4th, 8th, 3rd.
    `default ITuple3<T4,T8,T5>` | `_485()` Create a new 3-tuple from this one where the elements are ordered: 4th, 8th, 5th.
    `default ITuple3<T4,T8,T6>` | `_486()` Create a new 3-tuple from this one where the elements are ordered: 4th, 8th, 6th.
    `default ITuple3<T4,T8,T7>` | `_487()` Create a new 3-tuple from this one where the elements are ordered: 4th, 8th, 7th.
    `T5` | `_5()` Get the fifth element.
    `default ITuple2<T5,T1>` | `_51()` Create a new 2-tuple from this one where the elements are ordered: 5th, 1st.
    `default ITuple3<T5,T1,T2>` | `_512()` Create a new 3-tuple from this one where the elements are ordered: 5th, 1st, 2nd.
    `default ITuple3<T5,T1,T3>` | `_513()` Create a new 3-tuple from this one where the elements are ordered: 5th, 1st, 3rd.
    `default ITuple3<T5,T1,T4>` | `_514()` Create a new 3-tuple from this one where the elements are ordered: 5th, 1st, 4th.
    `default ITuple3<T5,T1,T6>` | `_516()` Create a new 3-tuple from this one where the elements are ordered: 5th, 1st, 6th.
    `default ITuple3<T5,T1,T7>` | `_517()` Create a new 3-tuple from this one where the elements are ordered: 5th, 1st, 7th.
    `default ITuple3<T5,T1,T8>` | `_518()` Create a new 3-tuple from this one where the elements are ordered: 5th, 1st, 8th.
    `default ITuple2<T5,T2>` | `_52()` Create a new 2-tuple from this one where the elements are ordered: 5th, 2nd.
    `default ITuple3<T5,T2,T1>` | `_521()` Create a new 3-tuple from this one where the elements are ordered: 5th, 2nd, 1st.
    `default ITuple3<T5,T2,T3>` | `_523()` Create a new 3-tuple from this one where the elements are ordered: 5th, 2nd, 3rd.
    `default ITuple3<T5,T2,T4>` | `_524()` Create a new 3-tuple from this one where the elements are ordered: 5th, 2nd, 4th.
    `default ITuple3<T5,T2,T6>` | `_526()` Create a new 3-tuple from this one where the elements are ordered: 5th, 2nd, 6th.
    `default ITuple3<T5,T2,T7>` | `_527()` Create a new 3-tuple from this one where the elements are ordered: 5th, 2nd, 7th.
    `default ITuple3<T5,T2,T8>` | `_528()` Create a new 3-tuple from this one where the elements are ordered: 5th, 2nd, 8th.
    `default ITuple2<T5,T3>` | `_53()` Create a new 2-tuple from this one where the elements are ordered: 5th, 3rd.
    `default ITuple3<T5,T3,T1>` | `_531()` Create a new 3-tuple from this one where the elements are ordered: 5th, 3rd, 1st.
    `default ITuple3<T5,T3,T2>` | `_532()` Create a new 3-tuple from this one where the elements are ordered: 5th, 3rd, 2nd.
    `default ITuple3<T5,T3,T4>` | `_534()` Create a new 3-tuple from this one where the elements are ordered: 5th, 3rd, 4th.
    `default ITuple3<T5,T3,T6>` | `_536()` Create a new 3-tuple from this one where the elements are ordered: 5th, 3rd, 6th.
    `default ITuple3<T5,T3,T7>` | `_537()` Create a new 3-tuple from this one where the elements are ordered: 5th, 3rd, 7th.
    `default ITuple3<T5,T3,T8>` | `_538()` Create a new 3-tuple from this one where the elements are ordered: 5th, 3rd, 8th.
    `default ITuple2<T5,T4>` | `_54()` Create a new 2-tuple from this one where the elements are ordered: 5th, 4th.
    `default ITuple3<T5,T4,T1>` | `_541()` Create a new 3-tuple from this one where the elements are ordered: 5th, 4th, 1st.
    `default ITuple3<T5,T4,T2>` | `_542()` Create a new 3-tuple from this one where the elements are ordered: 5th, 4th, 2nd.
    `default ITuple3<T5,T4,T3>` | `_543()` Create a new 3-tuple from this one where the elements are ordered: 5th, 4th, 3rd.
    `default ITuple3<T5,T4,T6>` | `_546()` Create a new 3-tuple from this one where the elements are ordered: 5th, 4th, 6th.
    `default ITuple3<T5,T4,T7>` | `_547()` Create a new 3-tuple from this one where the elements are ordered: 5th, 4th, 7th.
    `default ITuple3<T5,T4,T8>` | `_548()` Create a new 3-tuple from this one where the elements are ordered: 5th, 4th, 8th.
    `default ITuple2<T5,T6>` | `_56()` Create a new 2-tuple from this one where the elements are ordered: 5th, 6th.
    `default ITuple3<T5,T6,T1>` | `_561()` Create a new 3-tuple from this one where the elements are ordered: 5th, 6th, 1st.
    `default ITuple3<T5,T6,T2>` | `_562()` Create a new 3-tuple from this one where the elements are ordered: 5th, 6th, 2nd.
    `default ITuple3<T5,T6,T3>` | `_563()` Create a new 3-tuple from this one where the elements are ordered: 5th, 6th, 3rd.
    `default ITuple3<T5,T6,T4>` | `_564()` Create a new 3-tuple from this one where the elements are ordered: 5th, 6th, 4th.
    `default ITuple3<T5,T6,T7>` | `_567()` Create a new 3-tuple from this one where the elements are ordered: 5th, 6th, 7th.
    `default ITuple4<T5,T6,T7,T8>` | `_5678()` Create a new 4-tuple from this one where the elements are ordered: 5th, 6th, 7th, 8th.
    `default ITuple3<T5,T6,T8>` | `_568()` Create a new 3-tuple from this one where the elements are ordered: 5th, 6th, 8th.
    `default ITuple2<T5,T7>` | `_57()` Create a new 2-tuple from this one where the elements are ordered: 5th, 7th.
    `default ITuple3<T5,T7,T1>` | `_571()` Create a new 3-tuple from this one where the elements are ordered: 5th, 7th, 1st.
    `default ITuple3<T5,T7,T2>` | `_572()` Create a new 3-tuple from this one where the elements are ordered: 5th, 7th, 2nd.
    `default ITuple3<T5,T7,T3>` | `_573()` Create a new 3-tuple from this one where the elements are ordered: 5th, 7th, 3rd.
    `default ITuple3<T5,T7,T4>` | `_574()` Create a new 3-tuple from this one where the elements are ordered: 5th, 7th, 4th.
    `default ITuple3<T5,T7,T6>` | `_576()` Create a new 3-tuple from this one where the elements are ordered: 5th, 7th, 6th.
    `default ITuple3<T5,T7,T8>` | `_578()` Create a new 3-tuple from this one where the elements are ordered: 5th, 7th, 8th.
    `default ITuple2<T5,T8>` | `_58()` Create a new 2-tuple from this one where the elements are ordered: 5th, 8th.
    `default ITuple3<T5,T8,T1>` | `_581()` Create a new 3-tuple from this one where the elements are ordered: 5th, 8th, 1st.
    `default ITuple3<T5,T8,T2>` | `_582()` Create a new 3-tuple from this one where the elements are ordered: 5th, 8th, 2nd.
    `default ITuple3<T5,T8,T3>` | `_583()` Create a new 3-tuple from this one where the elements are ordered: 5th, 8th, 3rd.
    `default ITuple3<T5,T8,T4>` | `_584()` Create a new 3-tuple from this one where the elements are ordered: 5th, 8th, 4th.
    `default ITuple3<T5,T8,T6>` | `_586()` Create a new 3-tuple from this one where the elements are ordered: 5th, 8th, 6th.
    `default ITuple3<T5,T8,T7>` | `_587()` Create a new 3-tuple from this one where the elements are ordered: 5th, 8th, 7th.
    `T6` | `_6()` Get the sixth element.
    `default ITuple2<T6,T1>` | `_61()` Create a new 2-tuple from this one where the elements are ordered: 6th, 1st.
    `default ITuple3<T6,T1,T2>` | `_612()` Create a new 3-tuple from this one where the elements are ordered: 6th, 1st, 2nd.
    `default ITuple3<T6,T1,T3>` | `_613()` Create a new 3-tuple from this one where the elements are ordered: 6th, 1st, 3rd.
    `default ITuple3<T6,T1,T4>` | `_614()` Create a new 3-tuple from this one where the elements are ordered: 6th, 1st, 4th.
    `default ITuple3<T6,T1,T5>` | `_615()` Create a new 3-tuple from this one where the elements are ordered: 6th, 1st, 5th.
    `default ITuple3<T6,T1,T7>` | `_617()` Create a new 3-tuple from this one where the elements are ordered: 6th, 1st, 7th.
    `default ITuple3<T6,T1,T8>` | `_618()` Create a new 3-tuple from this one where the elements are ordered: 6th, 1st, 8th.
    `default ITuple2<T6,T2>` | `_62()` Create a new 2-tuple from this one where the elements are ordered: 6th, 2nd.
    `default ITuple3<T6,T2,T1>` | `_621()` Create a new 3-tuple from this one where the elements are ordered: 6th, 2nd, 1st.
    `default ITuple3<T6,T2,T3>` | `_623()` Create a new 3-tuple from this one where the elements are ordered: 6th, 2nd, 3rd.
    `default ITuple3<T6,T2,T4>` | `_624()` Create a new 3-tuple from this one where the elements are ordered: 6th, 2nd, 4th.
    `default ITuple3<T6,T2,T5>` | `_625()` Create a new 3-tuple from this one where the elements are ordered: 6th, 2nd, 5th.
    `default ITuple3<T6,T2,T7>` | `_627()` Create a new 3-tuple from this one where the elements are ordered: 6th, 2nd, 7th.
    `default ITuple3<T6,T2,T8>` | `_628()` Create a new 3-tuple from this one where the elements are ordered: 6th, 2nd, 8th.
    `default ITuple2<T6,T3>` | `_63()` Create a new 2-tuple from this one where the elements are ordered: 6th, 3rd.
    `default ITuple3<T6,T3,T1>` | `_631()` Create a new 3-tuple from this one where the elements are ordered: 6th, 3rd, 1st.
    `default ITuple3<T6,T3,T2>` | `_632()` Create a new 3-tuple from this one where the elements are ordered: 6th, 3rd, 2nd.
    `default ITuple3<T6,T3,T4>` | `_634()` Create a new 3-tuple from this one where the elements are ordered: 6th, 3rd, 4th.
    `default ITuple3<T6,T3,T5>` | `_635()` Create a new 3-tuple from this one where the elements are ordered: 6th, 3rd, 5th.
    `default ITuple3<T6,T3,T7>` | `_637()` Create a new 3-tuple from this one where the elements are ordered: 6th, 3rd, 7th.
    `default ITuple3<T6,T3,T8>` | `_638()` Create a new 3-tuple from this one where the elements are ordered: 6th, 3rd, 8th.
    `default ITuple2<T6,T4>` | `_64()` Create a new 2-tuple from this one where the elements are ordered: 6th, 4th.
    `default ITuple3<T6,T4,T1>` | `_641()` Create a new 3-tuple from this one where the elements are ordered: 6th, 4th, 1st.
    `default ITuple3<T6,T4,T2>` | `_642()` Create a new 3-tuple from this one where the elements are ordered: 6th, 4th, 2nd.
    `default ITuple3<T6,T4,T3>` | `_643()` Create a new 3-tuple from this one where the elements are ordered: 6th, 4th, 3rd.
    `default ITuple3<T6,T4,T5>` | `_645()` Create a new 3-tuple from this one where the elements are ordered: 6th, 4th, 5th.
    `default ITuple3<T6,T4,T7>` | `_647()` Create a new 3-tuple from this one where the elements are ordered: 6th, 4th, 7th.
    `default ITuple3<T6,T4,T8>` | `_648()` Create a new 3-tuple from this one where the elements are ordered: 6th, 4th, 8th.
    `default ITuple2<T6,T5>` | `_65()` Create a new 2-tuple from this one where the elements are ordered: 6th, 5th.
    `default ITuple3<T6,T5,T1>` | `_651()` Create a new 3-tuple from this one where the elements are ordered: 6th, 5th, 1st.
    `default ITuple3<T6,T5,T2>` | `_652()` Create a new 3-tuple from this one where the elements are ordered: 6th, 5th, 2nd.
    `default ITuple3<T6,T5,T3>` | `_653()` Create a new 3-tuple from this one where the elements are ordered: 6th, 5th, 3rd.
    `default ITuple3<T6,T5,T4>` | `_654()` Create a new 3-tuple from this one where the elements are ordered: 6th, 5th, 4th.
    `default ITuple3<T6,T5,T7>` | `_657()` Create a new 3-tuple from this one where the elements are ordered: 6th, 5th, 7th.
    `default ITuple3<T6,T5,T8>` | `_658()` Create a new 3-tuple from this one where the elements are ordered: 6th, 5th, 8th.
    `default ITuple2<T6,T7>` | `_67()` Create a new 2-tuple from this one where the elements are ordered: 6th, 7th.
    `default ITuple3<T6,T7,T1>` | `_671()` Create a new 3-tuple from this one where the elements are ordered: 6th, 7th, 1st.
    `default ITuple3<T6,T7,T2>` | `_672()` Create a new 3-tuple from this one where the elements are ordered: 6th, 7th, 2nd.
    `default ITuple3<T6,T7,T3>` | `_673()` Create a new 3-tuple from this one where the elements are ordered: 6th, 7th, 3rd.
    `default ITuple3<T6,T7,T4>` | `_674()` Create a new 3-tuple from this one where the elements are ordered: 6th, 7th, 4th.
    `default ITuple3<T6,T7,T5>` | `_675()` Create a new 3-tuple from this one where the elements are ordered: 6th, 7th, 5th.
    `default ITuple3<T6,T7,T8>` | `_678()` Create a new 3-tuple from this one where the elements are ordered: 6th, 7th, 8th.
    `default ITuple2<T6,T8>` | `_68()` Create a new 2-tuple from this one where the elements are ordered: 6th, 8th.
    `default ITuple3<T6,T8,T1>` | `_681()` Create a new 3-tuple from this one where the elements are ordered: 6th, 8th, 1st.
    `default ITuple3<T6,T8,T2>` | `_682()` Create a new 3-tuple from this one where the elements are ordered: 6th, 8th, 2nd.
    `default ITuple3<T6,T8,T3>` | `_683()` Create a new 3-tuple from this one where the elements are ordered: 6th, 8th, 3rd.
    `default ITuple3<T6,T8,T4>` | `_684()` Create a new 3-tuple from this one where the elements are ordered: 6th, 8th, 4th.
    `default ITuple3<T6,T8,T5>` | `_685()` Create a new 3-tuple from this one where the elements are ordered: 6th, 8th, 5th.
    `default ITuple3<T6,T8,T7>` | `_687()` Create a new 3-tuple from this one where the elements are ordered: 6th, 8th, 7th.
    `T7` | `_7()` Get the seventh element.
    `default ITuple2<T7,T1>` | `_71()` Create a new 2-tuple from this one where the elements are ordered: 7th, 1st.
    `default ITuple3<T7,T1,T2>` | `_712()` Create a new 3-tuple from this one where the elements are ordered: 7th, 1st, 2nd.
    `default ITuple3<T7,T1,T3>` | `_713()` Create a new 3-tuple from this one where the elements are ordered: 7th, 1st, 3rd.
    `default ITuple3<T7,T1,T4>` | `_714()` Create a new 3-tuple from this one where the elements are ordered: 7th, 1st, 4th.
    `default ITuple3<T7,T1,T5>` | `_715()` Create a new 3-tuple from this one where the elements are ordered: 7th, 1st, 5th.
    `default ITuple3<T7,T1,T6>` | `_716()` Create a new 3-tuple from this one where the elements are ordered: 7th, 1st, 6th.
    `default ITuple3<T7,T1,T8>` | `_718()` Create a new 3-tuple from this one where the elements are ordered: 7th, 1st, 8th.
    `default ITuple2<T7,T2>` | `_72()` Create a new 2-tuple from this one where the elements are ordered: 7th, 2nd.
    `default ITuple3<T7,T2,T1>` | `_721()` Create a new 3-tuple from this one where the elements are ordered: 7th, 2nd, 1st.
    `default ITuple3<T7,T2,T3>` | `_723()` Create a new 3-tuple from this one where the elements are ordered: 7th, 2nd, 3rd.
    `default ITuple3<T7,T2,T4>` | `_724()` Create a new 3-tuple from this one where the elements are ordered: 7th, 2nd, 4th.
    `default ITuple3<T7,T2,T5>` | `_725()` Create a new 3-tuple from this one where the elements are ordered: 7th, 2nd, 5th.
    `default ITuple3<T7,T2,T6>` | `_726()` Create a new 3-tuple from this one where the elements are ordered: 7th, 2nd, 6th.
    `default ITuple3<T7,T2,T8>` | `_728()` Create a new 3-tuple from this one where the elements are ordered: 7th, 2nd, 8th.
    `default ITuple2<T7,T3>` | `_73()` Create a new 2-tuple from this one where the elements are ordered: 7th, 3rd.
    `default ITuple3<T7,T3,T1>` | `_731()` Create a new 3-tuple from this one where the elements are ordered: 7th, 3rd, 1st.
    `default ITuple3<T7,T3,T2>` | `_732()` Create a new 3-tuple from this one where the elements are ordered: 7th, 3rd, 2nd.
    `default ITuple3<T7,T3,T4>` | `_734()` Create a new 3-tuple from this one where the elements are ordered: 7th, 3rd, 4th.
    `default ITuple3<T7,T3,T5>` | `_735()` Create a new 3-tuple from this one where the elements are ordered: 7th, 3rd, 5th.
    `default ITuple3<T7,T3,T6>` | `_736()` Create a new 3-tuple from this one where the elements are ordered: 7th, 3rd, 6th.
    `default ITuple3<T7,T3,T8>` | `_738()` Create a new 3-tuple from this one where the elements are ordered: 7th, 3rd, 8th.
    `default ITuple2<T7,T4>` | `_74()` Create a new 2-tuple from this one where the elements are ordered: 7th, 4th.
    `default ITuple3<T7,T4,T1>` | `_741()` Create a new 3-tuple from this one where the elements are ordered: 7th, 4th, 1st.
    `default ITuple3<T7,T4,T2>` | `_742()` Create a new 3-tuple from this one where the elements are ordered: 7th, 4th, 2nd.
    `default ITuple3<T7,T4,T3>` | `_743()` Create a new 3-tuple from this one where the elements are ordered: 7th, 4th, 3rd.
    `default ITuple3<T7,T4,T5>` | `_745()` Create a new 3-tuple from this one where the elements are ordered: 7th, 4th, 5th.
    `default ITuple3<T7,T4,T6>` | `_746()` Create a new 3-tuple from this one where the elements are ordered: 7th, 4th, 6th.
    `default ITuple3<T7,T4,T8>` | `_748()` Create a new 3-tuple from this one where the elements are ordered: 7th, 4th, 8th.
    `default ITuple2<T7,T5>` | `_75()` Create a new 2-tuple from this one where the elements are ordered: 7th, 5th.
    `default ITuple3<T7,T5,T1>` | `_751()` Create a new 3-tuple from this one where the elements are ordered: 7th, 5th, 1st.
    `default ITuple3<T7,T5,T2>` | `_752()` Create a new 3-tuple from this one where the elements are ordered: 7th, 5th, 2nd.
    `default ITuple3<T7,T5,T3>` | `_753()` Create a new 3-tuple from this one where the elements are ordered: 7th, 5th, 3rd.
    `default ITuple3<T7,T5,T4>` | `_754()` Create a new 3-tuple from this one where the elements are ordered: 7th, 5th, 4th.
    `default ITuple3<T7,T5,T6>` | `_756()` Create a new 3-tuple from this one where the elements are ordered: 7th, 5th, 6th.
    `default ITuple3<T7,T5,T8>` | `_758()` Create a new 3-tuple from this one where the elements are ordered: 7th, 5th, 8th.
    `default ITuple2<T7,T6>` | `_76()` Create a new 2-tuple from this one where the elements are ordered: 7th, 6th.
    `default ITuple3<T7,T6,T1>` | `_761()` Create a new 3-tuple from this one where the elements are ordered: 7th, 6th, 1st.
    `default ITuple3<T7,T6,T2>` | `_762()` Create a new 3-tuple from this one where the elements are ordered: 7th, 6th, 2nd.
    `default ITuple3<T7,T6,T3>` | `_763()` Create a new 3-tuple from this one where the elements are ordered: 7th, 6th, 3rd.
    `default ITuple3<T7,T6,T4>` | `_764()` Create a new 3-tuple from this one where the elements are ordered: 7th, 6th, 4th.
    `default ITuple3<T7,T6,T5>` | `_765()` Create a new 3-tuple from this one where the elements are ordered: 7th, 6th, 5th.
    `default ITuple3<T7,T6,T8>` | `_768()` Create a new 3-tuple from this one where the elements are ordered: 7th, 6th, 8th.
    `default ITuple2<T7,T8>` | `_78()` Create a new 2-tuple from this one where the elements are ordered: 7th, 8th.
    `default ITuple3<T7,T8,T1>` | `_781()` Create a new 3-tuple from this one where the elements are ordered: 7th, 8th, 1st.
    `default ITuple3<T7,T8,T2>` | `_782()` Create a new 3-tuple from this one where the elements are ordered: 7th, 8th, 2nd.
    `default ITuple3<T7,T8,T3>` | `_783()` Create a new 3-tuple from this one where the elements are ordered: 7th, 8th, 3rd.
    `default ITuple3<T7,T8,T4>` | `_784()` Create a new 3-tuple from this one where the elements are ordered: 7th, 8th, 4th.
    `default ITuple3<T7,T8,T5>` | `_785()` Create a new 3-tuple from this one where the elements are ordered: 7th, 8th, 5th.
    `default ITuple3<T7,T8,T6>` | `_786()` Create a new 3-tuple from this one where the elements are ordered: 7th, 8th, 6th.
    `T8` | `_8()` Get the eighth element.
    `default ITuple2<T8,T1>` | `_81()` Create a new 2-tuple from this one where the elements are ordered: 8th, 1st.
    `default ITuple3<T8,T1,T2>` | `_812()` Create a new 3-tuple from this one where the elements are ordered: 8th, 1st, 2nd.
    `default ITuple3<T8,T1,T3>` | `_813()` Create a new 3-tuple from this one where the elements are ordered: 8th, 1st, 3rd.
    `default ITuple3<T8,T1,T4>` | `_814()` Create a new 3-tuple from this one where the elements are ordered: 8th, 1st, 4th.
    `default ITuple3<T8,T1,T5>` | `_815()` Create a new 3-tuple from this one where the elements are ordered: 8th, 1st, 5th.
    `default ITuple3<T8,T1,T6>` | `_816()` Create a new 3-tuple from this one where the elements are ordered: 8th, 1st, 6th.
    `default ITuple3<T8,T1,T7>` | `_817()` Create a new 3-tuple from this one where the elements are ordered: 8th, 1st, 7th.
    `default ITuple2<T8,T2>` | `_82()` Create a new 2-tuple from this one where the elements are ordered: 8th, 2nd.
    `default ITuple3<T8,T2,T1>` | `_821()` Create a new 3-tuple from this one where the elements are ordered: 8th, 2nd, 1st.
    `default ITuple3<T8,T2,T3>` | `_823()` Create a new 3-tuple from this one where the elements are ordered: 8th, 2nd, 3rd.
    `default ITuple3<T8,T2,T4>` | `_824()` Create a new 3-tuple from this one where the elements are ordered: 8th, 2nd, 4th.
    `default ITuple3<T8,T2,T5>` | `_825()` Create a new 3-tuple from this one where the elements are ordered: 8th, 2nd, 5th.
    `default ITuple3<T8,T2,T6>` | `_826()` Create a new 3-tuple from this one where the elements are ordered: 8th, 2nd, 6th.
    `default ITuple3<T8,T2,T7>` | `_827()` Create a new 3-tuple from this one where the elements are ordered: 8th, 2nd, 7th.
    `default ITuple2<T8,T3>` | `_83()` Create a new 2-tuple from this one where the elements are ordered: 8th, 3rd.
    `default ITuple3<T8,T3,T1>` | `_831()` Create a new 3-tuple from this one where the elements are ordered: 8th, 3rd, 1st.
    `default ITuple3<T8,T3,T2>` | `_832()` Create a new 3-tuple from this one where the elements are ordered: 8th, 3rd, 2nd.
    `default ITuple3<T8,T3,T4>` | `_834()` Create a new 3-tuple from this one where the elements are ordered: 8th, 3rd, 4th.
    `default ITuple3<T8,T3,T5>` | `_835()` Create a new 3-tuple from this one where the elements are ordered: 8th, 3rd, 5th.
    `default ITuple3<T8,T3,T6>` | `_836()` Create a new 3-tuple from this one where the elements are ordered: 8th, 3rd, 6th.
    `default ITuple3<T8,T3,T7>` | `_837()` Create a new 3-tuple from this one where the elements are ordered: 8th, 3rd, 7th.
    `default ITuple2<T8,T4>` | `_84()` Create a new 2-tuple from this one where the elements are ordered: 8th, 4th.
    `default ITuple3<T8,T4,T1>` | `_841()` Create a new 3-tuple from this one where the elements are ordered: 8th, 4th, 1st.
    `default ITuple3<T8,T4,T2>` | `_842()` Create a new 3-tuple from this one where the elements are ordered: 8th, 4th, 2nd.
    `default ITuple3<T8,T4,T3>` | `_843()` Create a new 3-tuple from this one where the elements are ordered: 8th, 4th, 3rd.
    `default ITuple3<T8,T4,T5>` | `_845()` Create a new 3-tuple from this one where the elements are ordered: 8th, 4th, 5th.
    `default ITuple3<T8,T4,T6>` | `_846()` Create a new 3-tuple from this one where the elements are ordered: 8th, 4th, 6th.
    `default ITuple3<T8,T4,T7>` | `_847()` Create a new 3-tuple from this one where the elements are ordered: 8th, 4th, 7th.
    `default ITuple2<T8,T5>` | `_85()` Create a new 2-tuple from this one where the elements are ordered: 8th, 5th.
    `default ITuple3<T8,T5,T1>` | `_851()` Create a new 3-tuple from this one where the elements are ordered: 8th, 5th, 1st.
    `default ITuple3<T8,T5,T2>` | `_852()` Create a new 3-tuple from this one where the elements are ordered: 8th, 5th, 2nd.
    `default ITuple3<T8,T5,T3>` | `_853()` Create a new 3-tuple from this one where the elements are ordered: 8th, 5th, 3rd.
    `default ITuple3<T8,T5,T4>` | `_854()` Create a new 3-tuple from this one where the elements are ordered: 8th, 5th, 4th.
    `default ITuple3<T8,T5,T6>` | `_856()` Create a new 3-tuple from this one where the elements are ordered: 8th, 5th, 6th.
    `default ITuple3<T8,T5,T7>` | `_857()` Create a new 3-tuple from this one where the elements are ordered: 8th, 5th, 7th.
    `default ITuple2<T8,T6>` | `_86()` Create a new 2-tuple from this one where the elements are ordered: 8th, 6th.
    `default ITuple3<T8,T6,T1>` | `_861()` Create a new 3-tuple from this one where the elements are ordered: 8th, 6th, 1st.
    `default ITuple3<T8,T6,T2>` | `_862()` Create a new 3-tuple from this one where the elements are ordered: 8th, 6th, 2nd.
    `default ITuple3<T8,T6,T3>` | `_863()` Create a new 3-tuple from this one where the elements are ordered: 8th, 6th, 3rd.
    `default ITuple3<T8,T6,T4>` | `_864()` Create a new 3-tuple from this one where the elements are ordered: 8th, 6th, 4th.
    `default ITuple3<T8,T6,T5>` | `_865()` Create a new 3-tuple from this one where the elements are ordered: 8th, 6th, 5th.
    `default ITuple3<T8,T6,T7>` | `_867()` Create a new 3-tuple from this one where the elements are ordered: 8th, 6th, 7th.
    `default ITuple2<T8,T7>` | `_87()` Create a new 2-tuple from this one where the elements are ordered: 8th, 7th.
    `default ITuple3<T8,T7,T1>` | `_871()` Create a new 3-tuple from this one where the elements are ordered: 8th, 7th, 1st.
    `default ITuple3<T8,T7,T2>` | `_872()` Create a new 3-tuple from this one where the elements are ordered: 8th, 7th, 2nd.
    `default ITuple3<T8,T7,T3>` | `_873()` Create a new 3-tuple from this one where the elements are ordered: 8th, 7th, 3rd.
    `default ITuple3<T8,T7,T4>` | `_874()` Create a new 3-tuple from this one where the elements are ordered: 8th, 7th, 4th.
    `default ITuple3<T8,T7,T5>` | `_875()` Create a new 3-tuple from this one where the elements are ordered: 8th, 7th, 5th.
    `default ITuple3<T8,T7,T6>` | `_876()` Create a new 3-tuple from this one where the elements are ordered: 8th, 7th, 6th.
    `default ITuple8.Base<T1,T2,T3,T4,T5,T6,T7,T8>` | `asBase()` Convert this 8-tuple into a `base tuple` which provides useful implementations for standard methods.
    `static <S1,E1,E2,E3,E4,E5,E6,E7,E8,R> java.util.function.Function<S1,R>` | `concat1(java.util.function.Function<S1,? extends ITuple8<? extends E1,? extends E2,? extends E3,? extends E4,? extends E5,? extends E6,? extends E7,? extends E8>> fn1, Function8<R,? super E1,? super E2,? super E3,? super E4,? super E5,? super E6,? super E7,? super E8> fn2)` Combine a 1-argument function returning a 8-tuple with a 8-parameter function returning another result value into one 1-argument function.
    `static <S1,S2,E1,E2,E3,E4,E5,E6,E7,E8,R> java.util.function.BiFunction<S1,S2,R>` | `concat2(java.util.function.BiFunction<S1,S2,? extends ITuple8<? extends E1,? extends E2,? extends E3,? extends E4,? extends E5,? extends E6,? extends E7,? extends E8>> fn1, Function8<R,? super E1,? super E2,? super E3,? super E4,? super E5,? super E6,? super E7,? super E8> fn2)` Combine a 2-argument function returning a 8-tuple with a 8-parameter function returning another result value into one 2-argument function.
    `static <S1,S2,S3,E1,E2,E3,E4,E5,E6,E7,E8,R> Function3<R,S1,S2,S3>` | `concat3(Function3<? extends ITuple8<? extends E1,? extends E2,? extends E3,? extends E4,? extends E5,? extends E6,? extends E7,? extends E8>,S1,S2,S3> fn1, Function8<R,? super E1,? super E2,? super E3,? super E4,? super E5,? super E6,? super E7,? super E8> fn2)` Combine a 3-argument function returning a 8-tuple with a 8-parameter function returning another result value into one 3-argument function.
    `static <S1,S2,S3,S4,E1,E2,E3,E4,E5,E6,E7,E8,R> Function4<R,S1,S2,S3,S4>` | `concat4(Function4<? extends ITuple8<? extends E1,? extends E2,? extends E3,? extends E4,? extends E5,? extends E6,? extends E7,? extends E8>,S1,S2,S3,S4> fn1, Function8<R,? super E1,? super E2,? super E3,? super E4,? super E5,? super E6,? super E7,? super E8> fn2)` Combine a 4-argument function returning a 8-tuple with a 8-parameter function returning another result value into one 4-argument function.
    `static <S1,S2,S3,S4,S5,E1,E2,E3,E4,E5,E6,E7,E8,R> Function5<R,S1,S2,S3,S4,S5>` | `concat5(Function5<? extends ITuple8<? extends E1,? extends E2,? extends E3,? extends E4,? extends E5,? extends E6,? extends E7,? extends E8>,S1,S2,S3,S4,S5> fn1, Function8<R,? super E1,? super E2,? super E3,? super E4,? super E5,? super E6,? super E7,? super E8> fn2)` Combine a 5-argument function returning a 8-tuple with a 8-parameter function returning another result value into one 5-argument function.
    `static <S1,S2,S3,S4,S5,S6,E1,E2,E3,E4,E5,E6,E7,E8,R> Function6<R,S1,S2,S3,S4,S5,S6>` | `concat6(Function6<? extends ITuple8<? extends E1,? extends E2,? extends E3,? extends E4,? extends E5,? extends E6,? extends E7,? extends E8>,S1,S2,S3,S4,S5,S6> fn1, Function8<R,? super E1,? super E2,? super E3,? super E4,? super E5,? super E6,? super E7,? super E8> fn2)` Combine a 6-argument function returning a 8-tuple with a 8-parameter function returning another result value into one 6-argument function.
    `static <S1,S2,S3,S4,S5,S6,S7,E1,E2,E3,E4,E5,E6,E7,E8,R> Function7<R,S1,S2,S3,S4,S5,S6,S7>` | `concat7(Function7<? extends ITuple8<? extends E1,? extends E2,? extends E3,? extends E4,? extends E5,? extends E6,? extends E7,? extends E8>,S1,S2,S3,S4,S5,S6,S7> fn1, Function8<R,? super E1,? super E2,? super E3,? super E4,? super E5,? super E6,? super E7,? super E8> fn2)` Combine a 7-argument function returning a 8-tuple with a 8-parameter function returning another result value into one 7-argument function.
    `static <S1,S2,S3,S4,S5,S6,S7,S8,E1,E2,E3,E4,E5,E6,E7,E8,R> Function8<R,S1,S2,S3,S4,S5,S6,S7,S8>` | `concat8(Function8<? extends ITuple8<? extends E1,? extends E2,? extends E3,? extends E4,? extends E5,? extends E6,? extends E7,? extends E8>,S1,S2,S3,S4,S5,S6,S7,S8> fn1, Function8<R,? super E1,? super E2,? super E3,? super E4,? super E5,? super E6,? super E7,? super E8> fn2)` Combine a 8-argument function returning a 8-tuple with a 8-parameter function returning another result value into one 8-argument function.
    `static <S1,E1,E2,E3,E4,E5,E6,E7,E8> java.util.function.Predicate<S1>` | `concatPred1(java.util.function.Function<S1,? extends ITuple8<? extends E1,? extends E2,? extends E3,? extends E4,? extends E5,? extends E6,? extends E7,? extends E8>> fn1, Predicate8<? super E1,? super E2,? super E3,? super E4,? super E5,? super E6,? super E7,? super E8> pred2)` Combine a 1-argument function returning a 8-tuple with a 8-parameter predicate into a 1-argument predicate.
    `static <S1,S2,E1,E2,E3,E4,E5,E6,E7,E8> java.util.function.BiPredicate<S1,S2>` | `concatPred2(java.util.function.BiFunction<S1,S2,? extends ITuple8<? extends E1,? extends E2,? extends E3,? extends E4,? extends E5,? extends E6,? extends E7,? extends E8>> fn1, Predicate8<? super E1,? super E2,? super E3,? super E4,? super E5,? super E6,? super E7,? super E8> pred2)` Combine a 2-argument function returning a 8-tuple with a 8-parameter predicate into a 2-argument predicate.
    `static <S1,S2,S3,E1,E2,E3,E4,E5,E6,E7,E8> Predicate3<S1,S2,S3>` | `concatPred3(Function3<? extends ITuple8<? extends E1,? extends E2,? extends E3,? extends E4,? extends E5,? extends E6,? extends E7,? extends E8>,S1,S2,S3> fn1, Predicate8<? super E1,? super E2,? super E3,? super E4,? super E5,? super E6,? super E7,? super E8> pred2)` Combine a 3-argument function returning a 8-tuple with a 8-parameter predicate into a 3-argument predicate.
    `static <S1,S2,S3,S4,E1,E2,E3,E4,E5,E6,E7,E8> Predicate4<S1,S2,S3,S4>` | `concatPred4(Function4<? extends ITuple8<? extends E1,? extends E2,? extends E3,? extends E4,? extends E5,? extends E6,? extends E7,? extends E8>,S1,S2,S3,S4> fn1, Predicate8<? super E1,? super E2,? super E3,? super E4,? super E5,? super E6,? super E7,? super E8> pred2)` Combine a 4-argument function returning a 8-tuple with a 8-parameter predicate into a 4-argument predicate.
    `static <S1,S2,S3,S4,S5,E1,E2,E3,E4,E5,E6,E7,E8> Predicate5<S1,S2,S3,S4,S5>` | `concatPred5(Function5<? extends ITuple8<? extends E1,? extends E2,? extends E3,? extends E4,? extends E5,? extends E6,? extends E7,? extends E8>,S1,S2,S3,S4,S5> fn1, Predicate8<? super E1,? super E2,? super E3,? super E4,? super E5,? super E6,? super E7,? super E8> pred2)` Combine a 5-argument function returning a 8-tuple with a 8-parameter predicate into a 5-argument predicate.
    `static <S1,S2,S3,S4,S5,S6,E1,E2,E3,E4,E5,E6,E7,E8> Predicate6<S1,S2,S3,S4,S5,S6>` | `concatPred6(Function6<? extends ITuple8<? extends E1,? extends E2,? extends E3,? extends E4,? extends E5,? extends E6,? extends E7,? extends E8>,S1,S2,S3,S4,S5,S6> fn1, Predicate8<? super E1,? super E2,? super E3,? super E4,? super E5,? super E6,? super E7,? super E8> pred2)` Combine a 6-argument function returning a 8-tuple with a 8-parameter predicate into a 6-argument predicate.
    `static <S1,S2,S3,S4,S5,S6,S7,E1,E2,E3,E4,E5,E6,E7,E8> Predicate7<S1,S2,S3,S4,S5,S6,S7>` | `concatPred7(Function7<? extends ITuple8<? extends E1,? extends E2,? extends E3,? extends E4,? extends E5,? extends E6,? extends E7,? extends E8>,S1,S2,S3,S4,S5,S6,S7> fn1, Predicate8<? super E1,? super E2,? super E3,? super E4,? super E5,? super E6,? super E7,? super E8> pred2)` Combine a 7-argument function returning a 8-tuple with a 8-parameter predicate into a 7-argument predicate.
    `static <S1,S2,S3,S4,S5,S6,S7,S8,E1,E2,E3,E4,E5,E6,E7,E8> Predicate8<S1,S2,S3,S4,S5,S6,S7,S8>` | `concatPred8(Function8<? extends ITuple8<? extends E1,? extends E2,? extends E3,? extends E4,? extends E5,? extends E6,? extends E7,? extends E8>,S1,S2,S3,S4,S5,S6,S7,S8> fn1, Predicate8<? super E1,? super E2,? super E3,? super E4,? super E5,? super E6,? super E7,? super E8> pred2)` Combine a 8-argument function returning a 8-tuple with a 8-parameter predicate into a 8-argument predicate.
    `static <S1,E1,E2,E3,E4,E5,E6,E7,E8> java.util.function.Consumer<S1>` | `concatProc1(java.util.function.Function<S1,? extends ITuple8<? extends E1,? extends E2,? extends E3,? extends E4,? extends E5,? extends E6,? extends E7,? extends E8>> fn1, Procedure8<? super E1,? super E2,? super E3,? super E4,? super E5,? super E6,? super E7,? super E8> proc2)` Combine a 1-argument function returning a 8-tuple with a 8-parameter consumer/procedure into a 1-argument consumer/procedure.
    `static <S1,S2,E1,E2,E3,E4,E5,E6,E7,E8> java.util.function.BiConsumer<S1,S2>` | `concatProc2(java.util.function.BiFunction<S1,S2,? extends ITuple8<? extends E1,? extends E2,? extends E3,? extends E4,? extends E5,? extends E6,? extends E7,? extends E8>> fn1, Procedure8<? super E1,? super E2,? super E3,? super E4,? super E5,? super E6,? super E7,? super E8> proc2)` Combine a 2-argument function returning a 8-tuple with a 8-parameter consumer/procedure into a 2-argument consumer/procedure.
    `static <S1,S2,S3,E1,E2,E3,E4,E5,E6,E7,E8> Procedure3<S1,S2,S3>` | `concatProc3(Function3<? extends ITuple8<? extends E1,? extends E2,? extends E3,? extends E4,? extends E5,? extends E6,? extends E7,? extends E8>,S1,S2,S3> fn1, Procedure8<? super E1,? super E2,? super E3,? super E4,? super E5,? super E6,? super E7,? super E8> proc2)` Combine a 3-argument function returning a 8-tuple with a 8-parameter consumer/procedure into a 3-argument consumer/procedure.
    `static <S1,S2,S3,S4,E1,E2,E3,E4,E5,E6,E7,E8> Procedure4<S1,S2,S3,S4>` | `concatProc4(Function4<? extends ITuple8<? extends E1,? extends E2,? extends E3,? extends E4,? extends E5,? extends E6,? extends E7,? extends E8>,S1,S2,S3,S4> fn1, Procedure8<? super E1,? super E2,? super E3,? super E4,? super E5,? super E6,? super E7,? super E8> proc2)` Combine a 4-argument function returning a 8-tuple with a 8-parameter consumer/procedure into a 4-argument consumer/procedure.
    `static <S1,S2,S3,S4,S5,E1,E2,E3,E4,E5,E6,E7,E8> Procedure5<S1,S2,S3,S4,S5>` | `concatProc5(Function5<? extends ITuple8<? extends E1,? extends E2,? extends E3,? extends E4,? extends E5,? extends E6,? extends E7,? extends E8>,S1,S2,S3,S4,S5> fn1, Procedure8<? super E1,? super E2,? super E3,? super E4,? super E5,? super E6,? super E7,? super E8> proc2)` Combine a 5-argument function returning a 8-tuple with a 8-parameter consumer/procedure into a 5-argument consumer/procedure.
    `static <S1,S2,S3,S4,S5,S6,E1,E2,E3,E4,E5,E6,E7,E8> Procedure6<S1,S2,S3,S4,S5,S6>` | `concatProc6(Function6<? extends ITuple8<? extends E1,? extends E2,? extends E3,? extends E4,? extends E5,? extends E6,? extends E7,? extends E8>,S1,S2,S3,S4,S5,S6> fn1, Procedure8<? super E1,? super E2,? super E3,? super E4,? super E5,? super E6,? super E7,? super E8> proc2)` Combine a 6-argument function returning a 8-tuple with a 8-parameter consumer/procedure into a 6-argument consumer/procedure.
    `static <S1,S2,S3,S4,S5,S6,S7,E1,E2,E3,E4,E5,E6,E7,E8> Procedure7<S1,S2,S3,S4,S5,S6,S7>` | `concatProc7(Function7<? extends ITuple8<? extends E1,? extends E2,? extends E3,? extends E4,? extends E5,? extends E6,? extends E7,? extends E8>,S1,S2,S3,S4,S5,S6,S7> fn1, Procedure8<? super E1,? super E2,? super E3,? super E4,? super E5,? super E6,? super E7,? super E8> proc2)` Combine a 7-argument function returning a 8-tuple with a 8-parameter consumer/procedure into a 7-argument consumer/procedure.
    `static <S1,S2,S3,S4,S5,S6,S7,S8,E1,E2,E3,E4,E5,E6,E7,E8> Procedure8<S1,S2,S3,S4,S5,S6,S7,S8>` | `concatProc8(Function8<? extends ITuple8<? extends E1,? extends E2,? extends E3,? extends E4,? extends E5,? extends E6,? extends E7,? extends E8>,S1,S2,S3,S4,S5,S6,S7,S8> fn1, Procedure8<? super E1,? super E2,? super E3,? super E4,? super E5,? super E6,? super E7,? super E8> proc2)` Combine a 8-argument function returning a 8-tuple with a 8-parameter consumer/procedure into a 8-argument consumer/procedure.
    `static boolean` | `equals(ITuple8<?,?,?,?,?,?,?,?> tuple, java.lang.Object o)` Basic implementation of equals for 8-tuples.
    `default NTuple8<T1,T2,T3,T4,T5,T6,T7,T8>` | `frozen()` Convert this into an object of a concrete tuple implementation.
    `default Tuple8<T1,T2,T3,T4,T5,T6,T7,T8>` | `frozenNotNull()` Convert this into an object of a concrete tuple implementation.
    `static int` | `hash(ITuple8<?,?,?,?,?,?,?,?> tuple)` Basic implementation for calculating a hash code of a 8-tuple.
    `default <T> T` | `invoke(Function8<T,? super T1,? super T2,? super T3,? super T4,? super T5,? super T6,? super T7,? super T8> function)` Invoke a %d-argument function on this tuple.
    `default void` | `sendTo(Procedure8<? super T1,? super T2,? super T3,? super T4,? super T5,? super T6,? super T7,? super T8> procedure)` Send this tuple unpacked to a 8-argument procedure.
    `default boolean` | `testBy(Predicate8<? super T1,? super T2,? super T3,? super T4,? super T5,? super T6,? super T7,? super T8> predicate)` Test a 8-argument predicate with this tuple unpacked.
    `static java.lang.String` | `toString(ITuple8<?,?,?,?,?,?,?,?> tuple)` Basic implementation for creating a string from a 8-tuple.
    `static java.lang.String` | `toString(java.lang.String prefix, ITuple8<?,?,?,?,?,?,?,?> tuple)` Basic implementation for creating a string from a 8-tuple.
    `static <E1,E2,E3,E4,E5,E6,E7,E8> ITuple8<E1,E2,E3,E4,E5,E6,E7,E8>` | `view(E1 elem1, E2 elem2, E3 elem3, E4 elem4, E5 elem5, E6 elem6, E7 elem7, E8 elem8)` Create a new 8-tuple on the fly.

- - ### Method Detail

    - #### _1

          T1 _1()

      Get the first element.
      Returns:
        first element

    - #### _2

          T2 _2()

      Get the second element.
      Returns:
        second element

    - #### _3

          T3 _3()

      Get the third element.
      Returns:
        third element

    - #### _4

          T4 _4()

      Get the fourth element.
      Returns:
        fourth element

    - #### _5

          T5 _5()

      Get the fifth element.
      Returns:
        fifth element

    - #### _6

          T6 _6()

      Get the sixth element.
      Returns:
        sixth element

    - #### _7

          T7 _7()

      Get the seventh element.
      Returns:
        seventh element

    - #### _8

          T8 _8()

      Get the eighth element.
      Returns:
        eighth element

    - #### _1234567

          @NotNull
          default ITuple7<T1,T2,T3,T4,T5,T6,T7> _1234567()

      Create a new 7-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 4th, 5th, 6th, 7th.
      Returns:
        reordered tuple

    - #### _1234568

          @NotNull
          default ITuple7<T1,T2,T3,T4,T5,T6,T8> _1234568()

      Create a new 7-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 4th, 5th, 6th, 8th.
      Returns:
        reordered tuple

    - #### _1234578

          @NotNull
          default ITuple7<T1,T2,T3,T4,T5,T7,T8> _1234578()

      Create a new 7-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 4th, 5th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _1234678

          @NotNull
          default ITuple7<T1,T2,T3,T4,T6,T7,T8> _1234678()

      Create a new 7-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 4th, 6th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _1235678

          @NotNull
          default ITuple7<T1,T2,T3,T5,T6,T7,T8> _1235678()

      Create a new 7-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 5th, 6th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _1245678

          @NotNull
          default ITuple7<T1,T2,T4,T5,T6,T7,T8> _1245678()

      Create a new 7-tuple from this one where the elements are ordered: 1st, 2nd, 4th, 5th, 6th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _1345678

          @NotNull
          default ITuple7<T1,T3,T4,T5,T6,T7,T8> _1345678()

      Create a new 7-tuple from this one where the elements are ordered: 1st, 3rd, 4th, 5th, 6th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _2345678

          @NotNull
          default ITuple7<T2,T3,T4,T5,T6,T7,T8> _2345678()

      Create a new 7-tuple from this one where the elements are ordered: 2nd, 3rd, 4th, 5th, 6th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _123456

          @NotNull
          default ITuple6<T1,T2,T3,T4,T5,T6> _123456()

      Create a new 6-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 4th, 5th, 6th.
      Returns:
        reordered tuple

    - #### _123457

          @NotNull
          default ITuple6<T1,T2,T3,T4,T5,T7> _123457()

      Create a new 6-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 4th, 5th, 7th.
      Returns:
        reordered tuple

    - #### _123467

          @NotNull
          default ITuple6<T1,T2,T3,T4,T6,T7> _123467()

      Create a new 6-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 4th, 6th, 7th.
      Returns:
        reordered tuple

    - #### _123567

          @NotNull
          default ITuple6<T1,T2,T3,T5,T6,T7> _123567()

      Create a new 6-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 5th, 6th, 7th.
      Returns:
        reordered tuple

    - #### _124567

          @NotNull
          default ITuple6<T1,T2,T4,T5,T6,T7> _124567()

      Create a new 6-tuple from this one where the elements are ordered: 1st, 2nd, 4th, 5th, 6th, 7th.
      Returns:
        reordered tuple

    - #### _134567

          @NotNull
          default ITuple6<T1,T3,T4,T5,T6,T7> _134567()

      Create a new 6-tuple from this one where the elements are ordered: 1st, 3rd, 4th, 5th, 6th, 7th.
      Returns:
        reordered tuple

    - #### _234567

          @NotNull
          default ITuple6<T2,T3,T4,T5,T6,T7> _234567()

      Create a new 6-tuple from this one where the elements are ordered: 2nd, 3rd, 4th, 5th, 6th, 7th.
      Returns:
        reordered tuple

    - #### _123458

          @NotNull
          default ITuple6<T1,T2,T3,T4,T5,T8> _123458()

      Create a new 6-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 4th, 5th, 8th.
      Returns:
        reordered tuple

    - #### _123468

          @NotNull
          default ITuple6<T1,T2,T3,T4,T6,T8> _123468()

      Create a new 6-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 4th, 6th, 8th.
      Returns:
        reordered tuple

    - #### _123568

          @NotNull
          default ITuple6<T1,T2,T3,T5,T6,T8> _123568()

      Create a new 6-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 5th, 6th, 8th.
      Returns:
        reordered tuple

    - #### _124568

          @NotNull
          default ITuple6<T1,T2,T4,T5,T6,T8> _124568()

      Create a new 6-tuple from this one where the elements are ordered: 1st, 2nd, 4th, 5th, 6th, 8th.
      Returns:
        reordered tuple

    - #### _134568

          @NotNull
          default ITuple6<T1,T3,T4,T5,T6,T8> _134568()

      Create a new 6-tuple from this one where the elements are ordered: 1st, 3rd, 4th, 5th, 6th, 8th.
      Returns:
        reordered tuple

    - #### _234568

          @NotNull
          default ITuple6<T2,T3,T4,T5,T6,T8> _234568()

      Create a new 6-tuple from this one where the elements are ordered: 2nd, 3rd, 4th, 5th, 6th, 8th.
      Returns:
        reordered tuple

    - #### _123478

          @NotNull
          default ITuple6<T1,T2,T3,T4,T7,T8> _123478()

      Create a new 6-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 4th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _123578

          @NotNull
          default ITuple6<T1,T2,T3,T5,T7,T8> _123578()

      Create a new 6-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 5th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _124578

          @NotNull
          default ITuple6<T1,T2,T4,T5,T7,T8> _124578()

      Create a new 6-tuple from this one where the elements are ordered: 1st, 2nd, 4th, 5th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _134578

          @NotNull
          default ITuple6<T1,T3,T4,T5,T7,T8> _134578()

      Create a new 6-tuple from this one where the elements are ordered: 1st, 3rd, 4th, 5th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _234578

          @NotNull
          default ITuple6<T2,T3,T4,T5,T7,T8> _234578()

      Create a new 6-tuple from this one where the elements are ordered: 2nd, 3rd, 4th, 5th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _123678

          @NotNull
          default ITuple6<T1,T2,T3,T6,T7,T8> _123678()

      Create a new 6-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 6th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _124678

          @NotNull
          default ITuple6<T1,T2,T4,T6,T7,T8> _124678()

      Create a new 6-tuple from this one where the elements are ordered: 1st, 2nd, 4th, 6th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _134678

          @NotNull
          default ITuple6<T1,T3,T4,T6,T7,T8> _134678()

      Create a new 6-tuple from this one where the elements are ordered: 1st, 3rd, 4th, 6th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _234678

          @NotNull
          default ITuple6<T2,T3,T4,T6,T7,T8> _234678()

      Create a new 6-tuple from this one where the elements are ordered: 2nd, 3rd, 4th, 6th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _125678

          @NotNull
          default ITuple6<T1,T2,T5,T6,T7,T8> _125678()

      Create a new 6-tuple from this one where the elements are ordered: 1st, 2nd, 5th, 6th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _135678

          @NotNull
          default ITuple6<T1,T3,T5,T6,T7,T8> _135678()

      Create a new 6-tuple from this one where the elements are ordered: 1st, 3rd, 5th, 6th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _235678

          @NotNull
          default ITuple6<T2,T3,T5,T6,T7,T8> _235678()

      Create a new 6-tuple from this one where the elements are ordered: 2nd, 3rd, 5th, 6th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _145678

          @NotNull
          default ITuple6<T1,T4,T5,T6,T7,T8> _145678()

      Create a new 6-tuple from this one where the elements are ordered: 1st, 4th, 5th, 6th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _245678

          @NotNull
          default ITuple6<T2,T4,T5,T6,T7,T8> _245678()

      Create a new 6-tuple from this one where the elements are ordered: 2nd, 4th, 5th, 6th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _345678

          @NotNull
          default ITuple6<T3,T4,T5,T6,T7,T8> _345678()

      Create a new 6-tuple from this one where the elements are ordered: 3rd, 4th, 5th, 6th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _12345

          @NotNull
          default ITuple5<T1,T2,T3,T4,T5> _12345()

      Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 4th, 5th.
      Returns:
        reordered tuple

    - #### _12346

          @NotNull
          default ITuple5<T1,T2,T3,T4,T6> _12346()

      Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 4th, 6th.
      Returns:
        reordered tuple

    - #### _12356

          @NotNull
          default ITuple5<T1,T2,T3,T5,T6> _12356()

      Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 5th, 6th.
      Returns:
        reordered tuple

    - #### _12456

          @NotNull
          default ITuple5<T1,T2,T4,T5,T6> _12456()

      Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 4th, 5th, 6th.
      Returns:
        reordered tuple

    - #### _13456

          @NotNull
          default ITuple5<T1,T3,T4,T5,T6> _13456()

      Create a new 5-tuple from this one where the elements are ordered: 1st, 3rd, 4th, 5th, 6th.
      Returns:
        reordered tuple

    - #### _23456

          @NotNull
          default ITuple5<T2,T3,T4,T5,T6> _23456()

      Create a new 5-tuple from this one where the elements are ordered: 2nd, 3rd, 4th, 5th, 6th.
      Returns:
        reordered tuple

    - #### _12347

          @NotNull
          default ITuple5<T1,T2,T3,T4,T7> _12347()

      Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 4th, 7th.
      Returns:
        reordered tuple

    - #### _12357

          @NotNull
          default ITuple5<T1,T2,T3,T5,T7> _12357()

      Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 5th, 7th.
      Returns:
        reordered tuple

    - #### _12457

          @NotNull
          default ITuple5<T1,T2,T4,T5,T7> _12457()

      Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 4th, 5th, 7th.
      Returns:
        reordered tuple

    - #### _13457

          @NotNull
          default ITuple5<T1,T3,T4,T5,T7> _13457()

      Create a new 5-tuple from this one where the elements are ordered: 1st, 3rd, 4th, 5th, 7th.
      Returns:
        reordered tuple

    - #### _23457

          @NotNull
          default ITuple5<T2,T3,T4,T5,T7> _23457()

      Create a new 5-tuple from this one where the elements are ordered: 2nd, 3rd, 4th, 5th, 7th.
      Returns:
        reordered tuple

    - #### _12367

          @NotNull
          default ITuple5<T1,T2,T3,T6,T7> _12367()

      Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 6th, 7th.
      Returns:
        reordered tuple

    - #### _12467

          @NotNull
          default ITuple5<T1,T2,T4,T6,T7> _12467()

      Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 4th, 6th, 7th.
      Returns:
        reordered tuple

    - #### _13467

          @NotNull
          default ITuple5<T1,T3,T4,T6,T7> _13467()

      Create a new 5-tuple from this one where the elements are ordered: 1st, 3rd, 4th, 6th, 7th.
      Returns:
        reordered tuple

    - #### _23467

          @NotNull
          default ITuple5<T2,T3,T4,T6,T7> _23467()

      Create a new 5-tuple from this one where the elements are ordered: 2nd, 3rd, 4th, 6th, 7th.
      Returns:
        reordered tuple

    - #### _12567

          @NotNull
          default ITuple5<T1,T2,T5,T6,T7> _12567()

      Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 5th, 6th, 7th.
      Returns:
        reordered tuple

    - #### _13567

          @NotNull
          default ITuple5<T1,T3,T5,T6,T7> _13567()

      Create a new 5-tuple from this one where the elements are ordered: 1st, 3rd, 5th, 6th, 7th.
      Returns:
        reordered tuple

    - #### _23567

          @NotNull
          default ITuple5<T2,T3,T5,T6,T7> _23567()

      Create a new 5-tuple from this one where the elements are ordered: 2nd, 3rd, 5th, 6th, 7th.
      Returns:
        reordered tuple

    - #### _14567

          @NotNull
          default ITuple5<T1,T4,T5,T6,T7> _14567()

      Create a new 5-tuple from this one where the elements are ordered: 1st, 4th, 5th, 6th, 7th.
      Returns:
        reordered tuple

    - #### _24567

          @NotNull
          default ITuple5<T2,T4,T5,T6,T7> _24567()

      Create a new 5-tuple from this one where the elements are ordered: 2nd, 4th, 5th, 6th, 7th.
      Returns:
        reordered tuple

    - #### _34567

          @NotNull
          default ITuple5<T3,T4,T5,T6,T7> _34567()

      Create a new 5-tuple from this one where the elements are ordered: 3rd, 4th, 5th, 6th, 7th.
      Returns:
        reordered tuple

    - #### _12348

          @NotNull
          default ITuple5<T1,T2,T3,T4,T8> _12348()

      Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 4th, 8th.
      Returns:
        reordered tuple

    - #### _12358

          @NotNull
          default ITuple5<T1,T2,T3,T5,T8> _12358()

      Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 5th, 8th.
      Returns:
        reordered tuple

    - #### _12458

          @NotNull
          default ITuple5<T1,T2,T4,T5,T8> _12458()

      Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 4th, 5th, 8th.
      Returns:
        reordered tuple

    - #### _13458

          @NotNull
          default ITuple5<T1,T3,T4,T5,T8> _13458()

      Create a new 5-tuple from this one where the elements are ordered: 1st, 3rd, 4th, 5th, 8th.
      Returns:
        reordered tuple

    - #### _23458

          @NotNull
          default ITuple5<T2,T3,T4,T5,T8> _23458()

      Create a new 5-tuple from this one where the elements are ordered: 2nd, 3rd, 4th, 5th, 8th.
      Returns:
        reordered tuple

    - #### _12368

          @NotNull
          default ITuple5<T1,T2,T3,T6,T8> _12368()

      Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 6th, 8th.
      Returns:
        reordered tuple

    - #### _12468

          @NotNull
          default ITuple5<T1,T2,T4,T6,T8> _12468()

      Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 4th, 6th, 8th.
      Returns:
        reordered tuple

    - #### _13468

          @NotNull
          default ITuple5<T1,T3,T4,T6,T8> _13468()

      Create a new 5-tuple from this one where the elements are ordered: 1st, 3rd, 4th, 6th, 8th.
      Returns:
        reordered tuple

    - #### _23468

          @NotNull
          default ITuple5<T2,T3,T4,T6,T8> _23468()

      Create a new 5-tuple from this one where the elements are ordered: 2nd, 3rd, 4th, 6th, 8th.
      Returns:
        reordered tuple

    - #### _12568

          @NotNull
          default ITuple5<T1,T2,T5,T6,T8> _12568()

      Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 5th, 6th, 8th.
      Returns:
        reordered tuple

    - #### _13568

          @NotNull
          default ITuple5<T1,T3,T5,T6,T8> _13568()

      Create a new 5-tuple from this one where the elements are ordered: 1st, 3rd, 5th, 6th, 8th.
      Returns:
        reordered tuple

    - #### _23568

          @NotNull
          default ITuple5<T2,T3,T5,T6,T8> _23568()

      Create a new 5-tuple from this one where the elements are ordered: 2nd, 3rd, 5th, 6th, 8th.
      Returns:
        reordered tuple

    - #### _14568

          @NotNull
          default ITuple5<T1,T4,T5,T6,T8> _14568()

      Create a new 5-tuple from this one where the elements are ordered: 1st, 4th, 5th, 6th, 8th.
      Returns:
        reordered tuple

    - #### _24568

          @NotNull
          default ITuple5<T2,T4,T5,T6,T8> _24568()

      Create a new 5-tuple from this one where the elements are ordered: 2nd, 4th, 5th, 6th, 8th.
      Returns:
        reordered tuple

    - #### _34568

          @NotNull
          default ITuple5<T3,T4,T5,T6,T8> _34568()

      Create a new 5-tuple from this one where the elements are ordered: 3rd, 4th, 5th, 6th, 8th.
      Returns:
        reordered tuple

    - #### _12378

          @NotNull
          default ITuple5<T1,T2,T3,T7,T8> _12378()

      Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 7th, 8th.
      Returns:
        reordered tuple

    - #### _12478

          @NotNull
          default ITuple5<T1,T2,T4,T7,T8> _12478()

      Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 4th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _13478

          @NotNull
          default ITuple5<T1,T3,T4,T7,T8> _13478()

      Create a new 5-tuple from this one where the elements are ordered: 1st, 3rd, 4th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _23478

          @NotNull
          default ITuple5<T2,T3,T4,T7,T8> _23478()

      Create a new 5-tuple from this one where the elements are ordered: 2nd, 3rd, 4th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _12578

          @NotNull
          default ITuple5<T1,T2,T5,T7,T8> _12578()

      Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 5th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _13578

          @NotNull
          default ITuple5<T1,T3,T5,T7,T8> _13578()

      Create a new 5-tuple from this one where the elements are ordered: 1st, 3rd, 5th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _23578

          @NotNull
          default ITuple5<T2,T3,T5,T7,T8> _23578()

      Create a new 5-tuple from this one where the elements are ordered: 2nd, 3rd, 5th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _14578

          @NotNull
          default ITuple5<T1,T4,T5,T7,T8> _14578()

      Create a new 5-tuple from this one where the elements are ordered: 1st, 4th, 5th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _24578

          @NotNull
          default ITuple5<T2,T4,T5,T7,T8> _24578()

      Create a new 5-tuple from this one where the elements are ordered: 2nd, 4th, 5th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _34578

          @NotNull
          default ITuple5<T3,T4,T5,T7,T8> _34578()

      Create a new 5-tuple from this one where the elements are ordered: 3rd, 4th, 5th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _12678

          @NotNull
          default ITuple5<T1,T2,T6,T7,T8> _12678()

      Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 6th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _13678

          @NotNull
          default ITuple5<T1,T3,T6,T7,T8> _13678()

      Create a new 5-tuple from this one where the elements are ordered: 1st, 3rd, 6th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _23678

          @NotNull
          default ITuple5<T2,T3,T6,T7,T8> _23678()

      Create a new 5-tuple from this one where the elements are ordered: 2nd, 3rd, 6th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _14678

          @NotNull
          default ITuple5<T1,T4,T6,T7,T8> _14678()

      Create a new 5-tuple from this one where the elements are ordered: 1st, 4th, 6th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _24678

          @NotNull
          default ITuple5<T2,T4,T6,T7,T8> _24678()

      Create a new 5-tuple from this one where the elements are ordered: 2nd, 4th, 6th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _34678

          @NotNull
          default ITuple5<T3,T4,T6,T7,T8> _34678()

      Create a new 5-tuple from this one where the elements are ordered: 3rd, 4th, 6th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _15678

          @NotNull
          default ITuple5<T1,T5,T6,T7,T8> _15678()

      Create a new 5-tuple from this one where the elements are ordered: 1st, 5th, 6th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _25678

          @NotNull
          default ITuple5<T2,T5,T6,T7,T8> _25678()

      Create a new 5-tuple from this one where the elements are ordered: 2nd, 5th, 6th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _35678

          @NotNull
          default ITuple5<T3,T5,T6,T7,T8> _35678()

      Create a new 5-tuple from this one where the elements are ordered: 3rd, 5th, 6th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _45678

          @NotNull
          default ITuple5<T4,T5,T6,T7,T8> _45678()

      Create a new 5-tuple from this one where the elements are ordered: 4th, 5th, 6th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _1234

          @NotNull
          default ITuple4<T1,T2,T3,T4> _1234()

      Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 4th.
      Returns:
        reordered tuple

    - #### _1235

          @NotNull
          default ITuple4<T1,T2,T3,T5> _1235()

      Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 5th.
      Returns:
        reordered tuple

    - #### _1245

          @NotNull
          default ITuple4<T1,T2,T4,T5> _1245()

      Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 4th, 5th.
      Returns:
        reordered tuple

    - #### _1345

          @NotNull
          default ITuple4<T1,T3,T4,T5> _1345()

      Create a new 4-tuple from this one where the elements are ordered: 1st, 3rd, 4th, 5th.
      Returns:
        reordered tuple

    - #### _2345

          @NotNull
          default ITuple4<T2,T3,T4,T5> _2345()

      Create a new 4-tuple from this one where the elements are ordered: 2nd, 3rd, 4th, 5th.
      Returns:
        reordered tuple

    - #### _1236

          @NotNull
          default ITuple4<T1,T2,T3,T6> _1236()

      Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 6th.
      Returns:
        reordered tuple

    - #### _1246

          @NotNull
          default ITuple4<T1,T2,T4,T6> _1246()

      Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 4th, 6th.
      Returns:
        reordered tuple

    - #### _1346

          @NotNull
          default ITuple4<T1,T3,T4,T6> _1346()

      Create a new 4-tuple from this one where the elements are ordered: 1st, 3rd, 4th, 6th.
      Returns:
        reordered tuple

    - #### _2346

          @NotNull
          default ITuple4<T2,T3,T4,T6> _2346()

      Create a new 4-tuple from this one where the elements are ordered: 2nd, 3rd, 4th, 6th.
      Returns:
        reordered tuple

    - #### _1256

          @NotNull
          default ITuple4<T1,T2,T5,T6> _1256()

      Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 5th, 6th.
      Returns:
        reordered tuple

    - #### _1356

          @NotNull
          default ITuple4<T1,T3,T5,T6> _1356()

      Create a new 4-tuple from this one where the elements are ordered: 1st, 3rd, 5th, 6th.
      Returns:
        reordered tuple

    - #### _2356

          @NotNull
          default ITuple4<T2,T3,T5,T6> _2356()

      Create a new 4-tuple from this one where the elements are ordered: 2nd, 3rd, 5th, 6th.
      Returns:
        reordered tuple

    - #### _1456

          @NotNull
          default ITuple4<T1,T4,T5,T6> _1456()

      Create a new 4-tuple from this one where the elements are ordered: 1st, 4th, 5th, 6th.
      Returns:
        reordered tuple

    - #### _2456

          @NotNull
          default ITuple4<T2,T4,T5,T6> _2456()

      Create a new 4-tuple from this one where the elements are ordered: 2nd, 4th, 5th, 6th.
      Returns:
        reordered tuple

    - #### _3456

          @NotNull
          default ITuple4<T3,T4,T5,T6> _3456()

      Create a new 4-tuple from this one where the elements are ordered: 3rd, 4th, 5th, 6th.
      Returns:
        reordered tuple

    - #### _1237

          @NotNull
          default ITuple4<T1,T2,T3,T7> _1237()

      Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 7th.
      Returns:
        reordered tuple

    - #### _1247

          @NotNull
          default ITuple4<T1,T2,T4,T7> _1247()

      Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 4th, 7th.
      Returns:
        reordered tuple

    - #### _1347

          @NotNull
          default ITuple4<T1,T3,T4,T7> _1347()

      Create a new 4-tuple from this one where the elements are ordered: 1st, 3rd, 4th, 7th.
      Returns:
        reordered tuple

    - #### _2347

          @NotNull
          default ITuple4<T2,T3,T4,T7> _2347()

      Create a new 4-tuple from this one where the elements are ordered: 2nd, 3rd, 4th, 7th.
      Returns:
        reordered tuple

    - #### _1257

          @NotNull
          default ITuple4<T1,T2,T5,T7> _1257()

      Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 5th, 7th.
      Returns:
        reordered tuple

    - #### _1357

          @NotNull
          default ITuple4<T1,T3,T5,T7> _1357()

      Create a new 4-tuple from this one where the elements are ordered: 1st, 3rd, 5th, 7th.
      Returns:
        reordered tuple

    - #### _2357

          @NotNull
          default ITuple4<T2,T3,T5,T7> _2357()

      Create a new 4-tuple from this one where the elements are ordered: 2nd, 3rd, 5th, 7th.
      Returns:
        reordered tuple

    - #### _1457

          @NotNull
          default ITuple4<T1,T4,T5,T7> _1457()

      Create a new 4-tuple from this one where the elements are ordered: 1st, 4th, 5th, 7th.
      Returns:
        reordered tuple

    - #### _2457

          @NotNull
          default ITuple4<T2,T4,T5,T7> _2457()

      Create a new 4-tuple from this one where the elements are ordered: 2nd, 4th, 5th, 7th.
      Returns:
        reordered tuple

    - #### _3457

          @NotNull
          default ITuple4<T3,T4,T5,T7> _3457()

      Create a new 4-tuple from this one where the elements are ordered: 3rd, 4th, 5th, 7th.
      Returns:
        reordered tuple

    - #### _1267

          @NotNull
          default ITuple4<T1,T2,T6,T7> _1267()

      Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 6th, 7th.
      Returns:
        reordered tuple

    - #### _1367

          @NotNull
          default ITuple4<T1,T3,T6,T7> _1367()

      Create a new 4-tuple from this one where the elements are ordered: 1st, 3rd, 6th, 7th.
      Returns:
        reordered tuple

    - #### _2367

          @NotNull
          default ITuple4<T2,T3,T6,T7> _2367()

      Create a new 4-tuple from this one where the elements are ordered: 2nd, 3rd, 6th, 7th.
      Returns:
        reordered tuple

    - #### _1467

          @NotNull
          default ITuple4<T1,T4,T6,T7> _1467()

      Create a new 4-tuple from this one where the elements are ordered: 1st, 4th, 6th, 7th.
      Returns:
        reordered tuple

    - #### _2467

          @NotNull
          default ITuple4<T2,T4,T6,T7> _2467()

      Create a new 4-tuple from this one where the elements are ordered: 2nd, 4th, 6th, 7th.
      Returns:
        reordered tuple

    - #### _3467

          @NotNull
          default ITuple4<T3,T4,T6,T7> _3467()

      Create a new 4-tuple from this one where the elements are ordered: 3rd, 4th, 6th, 7th.
      Returns:
        reordered tuple

    - #### _1567

          @NotNull
          default ITuple4<T1,T5,T6,T7> _1567()

      Create a new 4-tuple from this one where the elements are ordered: 1st, 5th, 6th, 7th.
      Returns:
        reordered tuple

    - #### _2567

          @NotNull
          default ITuple4<T2,T5,T6,T7> _2567()

      Create a new 4-tuple from this one where the elements are ordered: 2nd, 5th, 6th, 7th.
      Returns:
        reordered tuple

    - #### _3567

          @NotNull
          default ITuple4<T3,T5,T6,T7> _3567()

      Create a new 4-tuple from this one where the elements are ordered: 3rd, 5th, 6th, 7th.
      Returns:
        reordered tuple

    - #### _4567

          @NotNull
          default ITuple4<T4,T5,T6,T7> _4567()

      Create a new 4-tuple from this one where the elements are ordered: 4th, 5th, 6th, 7th.
      Returns:
        reordered tuple

    - #### _1238

          @NotNull
          default ITuple4<T1,T2,T3,T8> _1238()

      Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 8th.
      Returns:
        reordered tuple

    - #### _1248

          @NotNull
          default ITuple4<T1,T2,T4,T8> _1248()

      Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 4th, 8th.
      Returns:
        reordered tuple

    - #### _1348

          @NotNull
          default ITuple4<T1,T3,T4,T8> _1348()

      Create a new 4-tuple from this one where the elements are ordered: 1st, 3rd, 4th, 8th.
      Returns:
        reordered tuple

    - #### _2348

          @NotNull
          default ITuple4<T2,T3,T4,T8> _2348()

      Create a new 4-tuple from this one where the elements are ordered: 2nd, 3rd, 4th, 8th.
      Returns:
        reordered tuple

    - #### _1258

          @NotNull
          default ITuple4<T1,T2,T5,T8> _1258()

      Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 5th, 8th.
      Returns:
        reordered tuple

    - #### _1358

          @NotNull
          default ITuple4<T1,T3,T5,T8> _1358()

      Create a new 4-tuple from this one where the elements are ordered: 1st, 3rd, 5th, 8th.
      Returns:
        reordered tuple

    - #### _2358

          @NotNull
          default ITuple4<T2,T3,T5,T8> _2358()

      Create a new 4-tuple from this one where the elements are ordered: 2nd, 3rd, 5th, 8th.
      Returns:
        reordered tuple

    - #### _1458

          @NotNull
          default ITuple4<T1,T4,T5,T8> _1458()

      Create a new 4-tuple from this one where the elements are ordered: 1st, 4th, 5th, 8th.
      Returns:
        reordered tuple

    - #### _2458

          @NotNull
          default ITuple4<T2,T4,T5,T8> _2458()

      Create a new 4-tuple from this one where the elements are ordered: 2nd, 4th, 5th, 8th.
      Returns:
        reordered tuple

    - #### _3458

          @NotNull
          default ITuple4<T3,T4,T5,T8> _3458()

      Create a new 4-tuple from this one where the elements are ordered: 3rd, 4th, 5th, 8th.
      Returns:
        reordered tuple

    - #### _1268

          @NotNull
          default ITuple4<T1,T2,T6,T8> _1268()

      Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 6th, 8th.
      Returns:
        reordered tuple

    - #### _1368

          @NotNull
          default ITuple4<T1,T3,T6,T8> _1368()

      Create a new 4-tuple from this one where the elements are ordered: 1st, 3rd, 6th, 8th.
      Returns:
        reordered tuple

    - #### _2368

          @NotNull
          default ITuple4<T2,T3,T6,T8> _2368()

      Create a new 4-tuple from this one where the elements are ordered: 2nd, 3rd, 6th, 8th.
      Returns:
        reordered tuple

    - #### _1468

          @NotNull
          default ITuple4<T1,T4,T6,T8> _1468()

      Create a new 4-tuple from this one where the elements are ordered: 1st, 4th, 6th, 8th.
      Returns:
        reordered tuple

    - #### _2468

          @NotNull
          default ITuple4<T2,T4,T6,T8> _2468()

      Create a new 4-tuple from this one where the elements are ordered: 2nd, 4th, 6th, 8th.
      Returns:
        reordered tuple

    - #### _3468

          @NotNull
          default ITuple4<T3,T4,T6,T8> _3468()

      Create a new 4-tuple from this one where the elements are ordered: 3rd, 4th, 6th, 8th.
      Returns:
        reordered tuple

    - #### _1568

          @NotNull
          default ITuple4<T1,T5,T6,T8> _1568()

      Create a new 4-tuple from this one where the elements are ordered: 1st, 5th, 6th, 8th.
      Returns:
        reordered tuple

    - #### _2568

          @NotNull
          default ITuple4<T2,T5,T6,T8> _2568()

      Create a new 4-tuple from this one where the elements are ordered: 2nd, 5th, 6th, 8th.
      Returns:
        reordered tuple

    - #### _3568

          @NotNull
          default ITuple4<T3,T5,T6,T8> _3568()

      Create a new 4-tuple from this one where the elements are ordered: 3rd, 5th, 6th, 8th.
      Returns:
        reordered tuple

    - #### _4568

          @NotNull
          default ITuple4<T4,T5,T6,T8> _4568()

      Create a new 4-tuple from this one where the elements are ordered: 4th, 5th, 6th, 8th.
      Returns:
        reordered tuple

    - #### _1278

          @NotNull
          default ITuple4<T1,T2,T7,T8> _1278()

      Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 7th, 8th.
      Returns:
        reordered tuple

    - #### _1378

          @NotNull
          default ITuple4<T1,T3,T7,T8> _1378()

      Create a new 4-tuple from this one where the elements are ordered: 1st, 3rd, 7th, 8th.
      Returns:
        reordered tuple

    - #### _2378

          @NotNull
          default ITuple4<T2,T3,T7,T8> _2378()

      Create a new 4-tuple from this one where the elements are ordered: 2nd, 3rd, 7th, 8th.
      Returns:
        reordered tuple

    - #### _1478

          @NotNull
          default ITuple4<T1,T4,T7,T8> _1478()

      Create a new 4-tuple from this one where the elements are ordered: 1st, 4th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _2478

          @NotNull
          default ITuple4<T2,T4,T7,T8> _2478()

      Create a new 4-tuple from this one where the elements are ordered: 2nd, 4th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _3478

          @NotNull
          default ITuple4<T3,T4,T7,T8> _3478()

      Create a new 4-tuple from this one where the elements are ordered: 3rd, 4th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _1578

          @NotNull
          default ITuple4<T1,T5,T7,T8> _1578()

      Create a new 4-tuple from this one where the elements are ordered: 1st, 5th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _2578

          @NotNull
          default ITuple4<T2,T5,T7,T8> _2578()

      Create a new 4-tuple from this one where the elements are ordered: 2nd, 5th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _3578

          @NotNull
          default ITuple4<T3,T5,T7,T8> _3578()

      Create a new 4-tuple from this one where the elements are ordered: 3rd, 5th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _4578

          @NotNull
          default ITuple4<T4,T5,T7,T8> _4578()

      Create a new 4-tuple from this one where the elements are ordered: 4th, 5th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _1678

          @NotNull
          default ITuple4<T1,T6,T7,T8> _1678()

      Create a new 4-tuple from this one where the elements are ordered: 1st, 6th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _2678

          @NotNull
          default ITuple4<T2,T6,T7,T8> _2678()

      Create a new 4-tuple from this one where the elements are ordered: 2nd, 6th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _3678

          @NotNull
          default ITuple4<T3,T6,T7,T8> _3678()

      Create a new 4-tuple from this one where the elements are ordered: 3rd, 6th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _4678

          @NotNull
          default ITuple4<T4,T6,T7,T8> _4678()

      Create a new 4-tuple from this one where the elements are ordered: 4th, 6th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _5678

          @NotNull
          default ITuple4<T5,T6,T7,T8> _5678()

      Create a new 4-tuple from this one where the elements are ordered: 5th, 6th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _123

          @NotNull
          default ITuple3<T1,T2,T3> _123()

      Create a new 3-tuple from this one where the elements are ordered: 1st, 2nd, 3rd.
      Returns:
        reordered tuple

    - #### _132

          @NotNull
          default ITuple3<T1,T3,T2> _132()

      Create a new 3-tuple from this one where the elements are ordered: 1st, 3rd, 2nd.
      Returns:
        reordered tuple

    - #### _312

          @NotNull
          default ITuple3<T3,T1,T2> _312()

      Create a new 3-tuple from this one where the elements are ordered: 3rd, 1st, 2nd.
      Returns:
        reordered tuple

    - #### _321

          @NotNull
          default ITuple3<T3,T2,T1> _321()

      Create a new 3-tuple from this one where the elements are ordered: 3rd, 2nd, 1st.
      Returns:
        reordered tuple

    - #### _231

          @NotNull
          default ITuple3<T2,T3,T1> _231()

      Create a new 3-tuple from this one where the elements are ordered: 2nd, 3rd, 1st.
      Returns:
        reordered tuple

    - #### _213

          @NotNull
          default ITuple3<T2,T1,T3> _213()

      Create a new 3-tuple from this one where the elements are ordered: 2nd, 1st, 3rd.
      Returns:
        reordered tuple

    - #### _124

          @NotNull
          default ITuple3<T1,T2,T4> _124()

      Create a new 3-tuple from this one where the elements are ordered: 1st, 2nd, 4th.
      Returns:
        reordered tuple

    - #### _142

          @NotNull
          default ITuple3<T1,T4,T2> _142()

      Create a new 3-tuple from this one where the elements are ordered: 1st, 4th, 2nd.
      Returns:
        reordered tuple

    - #### _412

          @NotNull
          default ITuple3<T4,T1,T2> _412()

      Create a new 3-tuple from this one where the elements are ordered: 4th, 1st, 2nd.
      Returns:
        reordered tuple

    - #### _421

          @NotNull
          default ITuple3<T4,T2,T1> _421()

      Create a new 3-tuple from this one where the elements are ordered: 4th, 2nd, 1st.
      Returns:
        reordered tuple

    - #### _241

          @NotNull
          default ITuple3<T2,T4,T1> _241()

      Create a new 3-tuple from this one where the elements are ordered: 2nd, 4th, 1st.
      Returns:
        reordered tuple

    - #### _214

          @NotNull
          default ITuple3<T2,T1,T4> _214()

      Create a new 3-tuple from this one where the elements are ordered: 2nd, 1st, 4th.
      Returns:
        reordered tuple

    - #### _134

          @NotNull
          default ITuple3<T1,T3,T4> _134()

      Create a new 3-tuple from this one where the elements are ordered: 1st, 3rd, 4th.
      Returns:
        reordered tuple

    - #### _143

          @NotNull
          default ITuple3<T1,T4,T3> _143()

      Create a new 3-tuple from this one where the elements are ordered: 1st, 4th, 3rd.
      Returns:
        reordered tuple

    - #### _413

          @NotNull
          default ITuple3<T4,T1,T3> _413()

      Create a new 3-tuple from this one where the elements are ordered: 4th, 1st, 3rd.
      Returns:
        reordered tuple

    - #### _431

          @NotNull
          default ITuple3<T4,T3,T1> _431()

      Create a new 3-tuple from this one where the elements are ordered: 4th, 3rd, 1st.
      Returns:
        reordered tuple

    - #### _341

          @NotNull
          default ITuple3<T3,T4,T1> _341()

      Create a new 3-tuple from this one where the elements are ordered: 3rd, 4th, 1st.
      Returns:
        reordered tuple

    - #### _314

          @NotNull
          default ITuple3<T3,T1,T4> _314()

      Create a new 3-tuple from this one where the elements are ordered: 3rd, 1st, 4th.
      Returns:
        reordered tuple

    - #### _234

          @NotNull
          default ITuple3<T2,T3,T4> _234()

      Create a new 3-tuple from this one where the elements are ordered: 2nd, 3rd, 4th.
      Returns:
        reordered tuple

    - #### _243

          @NotNull
          default ITuple3<T2,T4,T3> _243()

      Create a new 3-tuple from this one where the elements are ordered: 2nd, 4th, 3rd.
      Returns:
        reordered tuple

    - #### _423

          @NotNull
          default ITuple3<T4,T2,T3> _423()

      Create a new 3-tuple from this one where the elements are ordered: 4th, 2nd, 3rd.
      Returns:
        reordered tuple

    - #### _432

          @NotNull
          default ITuple3<T4,T3,T2> _432()

      Create a new 3-tuple from this one where the elements are ordered: 4th, 3rd, 2nd.
      Returns:
        reordered tuple

    - #### _342

          @NotNull
          default ITuple3<T3,T4,T2> _342()

      Create a new 3-tuple from this one where the elements are ordered: 3rd, 4th, 2nd.
      Returns:
        reordered tuple

    - #### _324

          @NotNull
          default ITuple3<T3,T2,T4> _324()

      Create a new 3-tuple from this one where the elements are ordered: 3rd, 2nd, 4th.
      Returns:
        reordered tuple

    - #### _125

          @NotNull
          default ITuple3<T1,T2,T5> _125()

      Create a new 3-tuple from this one where the elements are ordered: 1st, 2nd, 5th.
      Returns:
        reordered tuple

    - #### _152

          @NotNull
          default ITuple3<T1,T5,T2> _152()

      Create a new 3-tuple from this one where the elements are ordered: 1st, 5th, 2nd.
      Returns:
        reordered tuple

    - #### _512

          @NotNull
          default ITuple3<T5,T1,T2> _512()

      Create a new 3-tuple from this one where the elements are ordered: 5th, 1st, 2nd.
      Returns:
        reordered tuple

    - #### _521

          @NotNull
          default ITuple3<T5,T2,T1> _521()

      Create a new 3-tuple from this one where the elements are ordered: 5th, 2nd, 1st.
      Returns:
        reordered tuple

    - #### _251

          @NotNull
          default ITuple3<T2,T5,T1> _251()

      Create a new 3-tuple from this one where the elements are ordered: 2nd, 5th, 1st.
      Returns:
        reordered tuple

    - #### _215

          @NotNull
          default ITuple3<T2,T1,T5> _215()

      Create a new 3-tuple from this one where the elements are ordered: 2nd, 1st, 5th.
      Returns:
        reordered tuple

    - #### _135

          @NotNull
          default ITuple3<T1,T3,T5> _135()

      Create a new 3-tuple from this one where the elements are ordered: 1st, 3rd, 5th.
      Returns:
        reordered tuple

    - #### _153

          @NotNull
          default ITuple3<T1,T5,T3> _153()

      Create a new 3-tuple from this one where the elements are ordered: 1st, 5th, 3rd.
      Returns:
        reordered tuple

    - #### _513

          @NotNull
          default ITuple3<T5,T1,T3> _513()

      Create a new 3-tuple from this one where the elements are ordered: 5th, 1st, 3rd.
      Returns:
        reordered tuple

    - #### _531

          @NotNull
          default ITuple3<T5,T3,T1> _531()

      Create a new 3-tuple from this one where the elements are ordered: 5th, 3rd, 1st.
      Returns:
        reordered tuple

    - #### _351

          @NotNull
          default ITuple3<T3,T5,T1> _351()

      Create a new 3-tuple from this one where the elements are ordered: 3rd, 5th, 1st.
      Returns:
        reordered tuple

    - #### _315

          @NotNull
          default ITuple3<T3,T1,T5> _315()

      Create a new 3-tuple from this one where the elements are ordered: 3rd, 1st, 5th.
      Returns:
        reordered tuple

    - #### _235

          @NotNull
          default ITuple3<T2,T3,T5> _235()

      Create a new 3-tuple from this one where the elements are ordered: 2nd, 3rd, 5th.
      Returns:
        reordered tuple

    - #### _253

          @NotNull
          default ITuple3<T2,T5,T3> _253()

      Create a new 3-tuple from this one where the elements are ordered: 2nd, 5th, 3rd.
      Returns:
        reordered tuple

    - #### _523

          @NotNull
          default ITuple3<T5,T2,T3> _523()

      Create a new 3-tuple from this one where the elements are ordered: 5th, 2nd, 3rd.
      Returns:
        reordered tuple

    - #### _532

          @NotNull
          default ITuple3<T5,T3,T2> _532()

      Create a new 3-tuple from this one where the elements are ordered: 5th, 3rd, 2nd.
      Returns:
        reordered tuple

    - #### _352

          @NotNull
          default ITuple3<T3,T5,T2> _352()

      Create a new 3-tuple from this one where the elements are ordered: 3rd, 5th, 2nd.
      Returns:
        reordered tuple

    - #### _325

          @NotNull
          default ITuple3<T3,T2,T5> _325()

      Create a new 3-tuple from this one where the elements are ordered: 3rd, 2nd, 5th.
      Returns:
        reordered tuple

    - #### _145

          @NotNull
          default ITuple3<T1,T4,T5> _145()

      Create a new 3-tuple from this one where the elements are ordered: 1st, 4th, 5th.
      Returns:
        reordered tuple

    - #### _154

          @NotNull
          default ITuple3<T1,T5,T4> _154()

      Create a new 3-tuple from this one where the elements are ordered: 1st, 5th, 4th.
      Returns:
        reordered tuple

    - #### _514

          @NotNull
          default ITuple3<T5,T1,T4> _514()

      Create a new 3-tuple from this one where the elements are ordered: 5th, 1st, 4th.
      Returns:
        reordered tuple

    - #### _541

          @NotNull
          default ITuple3<T5,T4,T1> _541()

      Create a new 3-tuple from this one where the elements are ordered: 5th, 4th, 1st.
      Returns:
        reordered tuple

    - #### _451

          @NotNull
          default ITuple3<T4,T5,T1> _451()

      Create a new 3-tuple from this one where the elements are ordered: 4th, 5th, 1st.
      Returns:
        reordered tuple

    - #### _415

          @NotNull
          default ITuple3<T4,T1,T5> _415()

      Create a new 3-tuple from this one where the elements are ordered: 4th, 1st, 5th.
      Returns:
        reordered tuple

    - #### _245

          @NotNull
          default ITuple3<T2,T4,T5> _245()

      Create a new 3-tuple from this one where the elements are ordered: 2nd, 4th, 5th.
      Returns:
        reordered tuple

    - #### _254

          @NotNull
          default ITuple3<T2,T5,T4> _254()

      Create a new 3-tuple from this one where the elements are ordered: 2nd, 5th, 4th.
      Returns:
        reordered tuple

    - #### _524

          @NotNull
          default ITuple3<T5,T2,T4> _524()

      Create a new 3-tuple from this one where the elements are ordered: 5th, 2nd, 4th.
      Returns:
        reordered tuple

    - #### _542

          @NotNull
          default ITuple3<T5,T4,T2> _542()

      Create a new 3-tuple from this one where the elements are ordered: 5th, 4th, 2nd.
      Returns:
        reordered tuple

    - #### _452

          @NotNull
          default ITuple3<T4,T5,T2> _452()

      Create a new 3-tuple from this one where the elements are ordered: 4th, 5th, 2nd.
      Returns:
        reordered tuple

    - #### _425

          @NotNull
          default ITuple3<T4,T2,T5> _425()

      Create a new 3-tuple from this one where the elements are ordered: 4th, 2nd, 5th.
      Returns:
        reordered tuple

    - #### _345

          @NotNull
          default ITuple3<T3,T4,T5> _345()

      Create a new 3-tuple from this one where the elements are ordered: 3rd, 4th, 5th.
      Returns:
        reordered tuple

    - #### _354

          @NotNull
          default ITuple3<T3,T5,T4> _354()

      Create a new 3-tuple from this one where the elements are ordered: 3rd, 5th, 4th.
      Returns:
        reordered tuple

    - #### _534

          @NotNull
          default ITuple3<T5,T3,T4> _534()

      Create a new 3-tuple from this one where the elements are ordered: 5th, 3rd, 4th.
      Returns:
        reordered tuple

    - #### _543

          @NotNull
          default ITuple3<T5,T4,T3> _543()

      Create a new 3-tuple from this one where the elements are ordered: 5th, 4th, 3rd.
      Returns:
        reordered tuple

    - #### _453

          @NotNull
          default ITuple3<T4,T5,T3> _453()

      Create a new 3-tuple from this one where the elements are ordered: 4th, 5th, 3rd.
      Returns:
        reordered tuple

    - #### _435

          @NotNull
          default ITuple3<T4,T3,T5> _435()

      Create a new 3-tuple from this one where the elements are ordered: 4th, 3rd, 5th.
      Returns:
        reordered tuple

    - #### _126

          @NotNull
          default ITuple3<T1,T2,T6> _126()

      Create a new 3-tuple from this one where the elements are ordered: 1st, 2nd, 6th.
      Returns:
        reordered tuple

    - #### _162

          @NotNull
          default ITuple3<T1,T6,T2> _162()

      Create a new 3-tuple from this one where the elements are ordered: 1st, 6th, 2nd.
      Returns:
        reordered tuple

    - #### _612

          @NotNull
          default ITuple3<T6,T1,T2> _612()

      Create a new 3-tuple from this one where the elements are ordered: 6th, 1st, 2nd.
      Returns:
        reordered tuple

    - #### _621

          @NotNull
          default ITuple3<T6,T2,T1> _621()

      Create a new 3-tuple from this one where the elements are ordered: 6th, 2nd, 1st.
      Returns:
        reordered tuple

    - #### _261

          @NotNull
          default ITuple3<T2,T6,T1> _261()

      Create a new 3-tuple from this one where the elements are ordered: 2nd, 6th, 1st.
      Returns:
        reordered tuple

    - #### _216

          @NotNull
          default ITuple3<T2,T1,T6> _216()

      Create a new 3-tuple from this one where the elements are ordered: 2nd, 1st, 6th.
      Returns:
        reordered tuple

    - #### _136

          @NotNull
          default ITuple3<T1,T3,T6> _136()

      Create a new 3-tuple from this one where the elements are ordered: 1st, 3rd, 6th.
      Returns:
        reordered tuple

    - #### _163

          @NotNull
          default ITuple3<T1,T6,T3> _163()

      Create a new 3-tuple from this one where the elements are ordered: 1st, 6th, 3rd.
      Returns:
        reordered tuple

    - #### _613

          @NotNull
          default ITuple3<T6,T1,T3> _613()

      Create a new 3-tuple from this one where the elements are ordered: 6th, 1st, 3rd.
      Returns:
        reordered tuple

    - #### _631

          @NotNull
          default ITuple3<T6,T3,T1> _631()

      Create a new 3-tuple from this one where the elements are ordered: 6th, 3rd, 1st.
      Returns:
        reordered tuple

    - #### _361

          @NotNull
          default ITuple3<T3,T6,T1> _361()

      Create a new 3-tuple from this one where the elements are ordered: 3rd, 6th, 1st.
      Returns:
        reordered tuple

    - #### _316

          @NotNull
          default ITuple3<T3,T1,T6> _316()

      Create a new 3-tuple from this one where the elements are ordered: 3rd, 1st, 6th.
      Returns:
        reordered tuple

    - #### _236

          @NotNull
          default ITuple3<T2,T3,T6> _236()

      Create a new 3-tuple from this one where the elements are ordered: 2nd, 3rd, 6th.
      Returns:
        reordered tuple

    - #### _263

          @NotNull
          default ITuple3<T2,T6,T3> _263()

      Create a new 3-tuple from this one where the elements are ordered: 2nd, 6th, 3rd.
      Returns:
        reordered tuple

    - #### _623

          @NotNull
          default ITuple3<T6,T2,T3> _623()

      Create a new 3-tuple from this one where the elements are ordered: 6th, 2nd, 3rd.
      Returns:
        reordered tuple

    - #### _632

          @NotNull
          default ITuple3<T6,T3,T2> _632()

      Create a new 3-tuple from this one where the elements are ordered: 6th, 3rd, 2nd.
      Returns:
        reordered tuple

    - #### _362

          @NotNull
          default ITuple3<T3,T6,T2> _362()

      Create a new 3-tuple from this one where the elements are ordered: 3rd, 6th, 2nd.
      Returns:
        reordered tuple

    - #### _326

          @NotNull
          default ITuple3<T3,T2,T6> _326()

      Create a new 3-tuple from this one where the elements are ordered: 3rd, 2nd, 6th.
      Returns:
        reordered tuple

    - #### _146

          @NotNull
          default ITuple3<T1,T4,T6> _146()

      Create a new 3-tuple from this one where the elements are ordered: 1st, 4th, 6th.
      Returns:
        reordered tuple

    - #### _164

          @NotNull
          default ITuple3<T1,T6,T4> _164()

      Create a new 3-tuple from this one where the elements are ordered: 1st, 6th, 4th.
      Returns:
        reordered tuple

    - #### _614

          @NotNull
          default ITuple3<T6,T1,T4> _614()

      Create a new 3-tuple from this one where the elements are ordered: 6th, 1st, 4th.
      Returns:
        reordered tuple

    - #### _641

          @NotNull
          default ITuple3<T6,T4,T1> _641()

      Create a new 3-tuple from this one where the elements are ordered: 6th, 4th, 1st.
      Returns:
        reordered tuple

    - #### _461

          @NotNull
          default ITuple3<T4,T6,T1> _461()

      Create a new 3-tuple from this one where the elements are ordered: 4th, 6th, 1st.
      Returns:
        reordered tuple

    - #### _416

          @NotNull
          default ITuple3<T4,T1,T6> _416()

      Create a new 3-tuple from this one where the elements are ordered: 4th, 1st, 6th.
      Returns:
        reordered tuple

    - #### _246

          @NotNull
          default ITuple3<T2,T4,T6> _246()

      Create a new 3-tuple from this one where the elements are ordered: 2nd, 4th, 6th.
      Returns:
        reordered tuple

    - #### _264

          @NotNull
          default ITuple3<T2,T6,T4> _264()

      Create a new 3-tuple from this one where the elements are ordered: 2nd, 6th, 4th.
      Returns:
        reordered tuple

    - #### _624

          @NotNull
          default ITuple3<T6,T2,T4> _624()

      Create a new 3-tuple from this one where the elements are ordered: 6th, 2nd, 4th.
      Returns:
        reordered tuple

    - #### _642

          @NotNull
          default ITuple3<T6,T4,T2> _642()

      Create a new 3-tuple from this one where the elements are ordered: 6th, 4th, 2nd.
      Returns:
        reordered tuple

    - #### _462

          @NotNull
          default ITuple3<T4,T6,T2> _462()

      Create a new 3-tuple from this one where the elements are ordered: 4th, 6th, 2nd.
      Returns:
        reordered tuple

    - #### _426

          @NotNull
          default ITuple3<T4,T2,T6> _426()

      Create a new 3-tuple from this one where the elements are ordered: 4th, 2nd, 6th.
      Returns:
        reordered tuple

    - #### _346

          @NotNull
          default ITuple3<T3,T4,T6> _346()

      Create a new 3-tuple from this one where the elements are ordered: 3rd, 4th, 6th.
      Returns:
        reordered tuple

    - #### _364

          @NotNull
          default ITuple3<T3,T6,T4> _364()

      Create a new 3-tuple from this one where the elements are ordered: 3rd, 6th, 4th.
      Returns:
        reordered tuple

    - #### _634

          @NotNull
          default ITuple3<T6,T3,T4> _634()

      Create a new 3-tuple from this one where the elements are ordered: 6th, 3rd, 4th.
      Returns:
        reordered tuple

    - #### _643

          @NotNull
          default ITuple3<T6,T4,T3> _643()

      Create a new 3-tuple from this one where the elements are ordered: 6th, 4th, 3rd.
      Returns:
        reordered tuple

    - #### _463

          @NotNull
          default ITuple3<T4,T6,T3> _463()

      Create a new 3-tuple from this one where the elements are ordered: 4th, 6th, 3rd.
      Returns:
        reordered tuple

    - #### _436

          @NotNull
          default ITuple3<T4,T3,T6> _436()

      Create a new 3-tuple from this one where the elements are ordered: 4th, 3rd, 6th.
      Returns:
        reordered tuple

    - #### _156

          @NotNull
          default ITuple3<T1,T5,T6> _156()

      Create a new 3-tuple from this one where the elements are ordered: 1st, 5th, 6th.
      Returns:
        reordered tuple

    - #### _165

          @NotNull
          default ITuple3<T1,T6,T5> _165()

      Create a new 3-tuple from this one where the elements are ordered: 1st, 6th, 5th.
      Returns:
        reordered tuple

    - #### _615

          @NotNull
          default ITuple3<T6,T1,T5> _615()

      Create a new 3-tuple from this one where the elements are ordered: 6th, 1st, 5th.
      Returns:
        reordered tuple

    - #### _651

          @NotNull
          default ITuple3<T6,T5,T1> _651()

      Create a new 3-tuple from this one where the elements are ordered: 6th, 5th, 1st.
      Returns:
        reordered tuple

    - #### _561

          @NotNull
          default ITuple3<T5,T6,T1> _561()

      Create a new 3-tuple from this one where the elements are ordered: 5th, 6th, 1st.
      Returns:
        reordered tuple

    - #### _516

          @NotNull
          default ITuple3<T5,T1,T6> _516()

      Create a new 3-tuple from this one where the elements are ordered: 5th, 1st, 6th.
      Returns:
        reordered tuple

    - #### _256

          @NotNull
          default ITuple3<T2,T5,T6> _256()

      Create a new 3-tuple from this one where the elements are ordered: 2nd, 5th, 6th.
      Returns:
        reordered tuple

    - #### _265

          @NotNull
          default ITuple3<T2,T6,T5> _265()

      Create a new 3-tuple from this one where the elements are ordered: 2nd, 6th, 5th.
      Returns:
        reordered tuple

    - #### _625

          @NotNull
          default ITuple3<T6,T2,T5> _625()

      Create a new 3-tuple from this one where the elements are ordered: 6th, 2nd, 5th.
      Returns:
        reordered tuple

    - #### _652

          @NotNull
          default ITuple3<T6,T5,T2> _652()

      Create a new 3-tuple from this one where the elements are ordered: 6th, 5th, 2nd.
      Returns:
        reordered tuple

    - #### _562

          @NotNull
          default ITuple3<T5,T6,T2> _562()

      Create a new 3-tuple from this one where the elements are ordered: 5th, 6th, 2nd.
      Returns:
        reordered tuple

    - #### _526

          @NotNull
          default ITuple3<T5,T2,T6> _526()

      Create a new 3-tuple from this one where the elements are ordered: 5th, 2nd, 6th.
      Returns:
        reordered tuple

    - #### _356

          @NotNull
          default ITuple3<T3,T5,T6> _356()

      Create a new 3-tuple from this one where the elements are ordered: 3rd, 5th, 6th.
      Returns:
        reordered tuple

    - #### _365

          @NotNull
          default ITuple3<T3,T6,T5> _365()

      Create a new 3-tuple from this one where the elements are ordered: 3rd, 6th, 5th.
      Returns:
        reordered tuple

    - #### _635

          @NotNull
          default ITuple3<T6,T3,T5> _635()

      Create a new 3-tuple from this one where the elements are ordered: 6th, 3rd, 5th.
      Returns:
        reordered tuple

    - #### _653

          @NotNull
          default ITuple3<T6,T5,T3> _653()

      Create a new 3-tuple from this one where the elements are ordered: 6th, 5th, 3rd.
      Returns:
        reordered tuple

    - #### _563

          @NotNull
          default ITuple3<T5,T6,T3> _563()

      Create a new 3-tuple from this one where the elements are ordered: 5th, 6th, 3rd.
      Returns:
        reordered tuple

    - #### _536

          @NotNull
          default ITuple3<T5,T3,T6> _536()

      Create a new 3-tuple from this one where the elements are ordered: 5th, 3rd, 6th.
      Returns:
        reordered tuple

    - #### _456

          @NotNull
          default ITuple3<T4,T5,T6> _456()

      Create a new 3-tuple from this one where the elements are ordered: 4th, 5th, 6th.
      Returns:
        reordered tuple

    - #### _465

          @NotNull
          default ITuple3<T4,T6,T5> _465()

      Create a new 3-tuple from this one where the elements are ordered: 4th, 6th, 5th.
      Returns:
        reordered tuple

    - #### _645

          @NotNull
          default ITuple3<T6,T4,T5> _645()

      Create a new 3-tuple from this one where the elements are ordered: 6th, 4th, 5th.
      Returns:
        reordered tuple

    - #### _654

          @NotNull
          default ITuple3<T6,T5,T4> _654()

      Create a new 3-tuple from this one where the elements are ordered: 6th, 5th, 4th.
      Returns:
        reordered tuple

    - #### _564

          @NotNull
          default ITuple3<T5,T6,T4> _564()

      Create a new 3-tuple from this one where the elements are ordered: 5th, 6th, 4th.
      Returns:
        reordered tuple

    - #### _546

          @NotNull
          default ITuple3<T5,T4,T6> _546()

      Create a new 3-tuple from this one where the elements are ordered: 5th, 4th, 6th.
      Returns:
        reordered tuple

    - #### _127

          @NotNull
          default ITuple3<T1,T2,T7> _127()

      Create a new 3-tuple from this one where the elements are ordered: 1st, 2nd, 7th.
      Returns:
        reordered tuple

    - #### _172

          @NotNull
          default ITuple3<T1,T7,T2> _172()

      Create a new 3-tuple from this one where the elements are ordered: 1st, 7th, 2nd.
      Returns:
        reordered tuple

    - #### _712

          @NotNull
          default ITuple3<T7,T1,T2> _712()

      Create a new 3-tuple from this one where the elements are ordered: 7th, 1st, 2nd.
      Returns:
        reordered tuple

    - #### _721

          @NotNull
          default ITuple3<T7,T2,T1> _721()

      Create a new 3-tuple from this one where the elements are ordered: 7th, 2nd, 1st.
      Returns:
        reordered tuple

    - #### _271

          @NotNull
          default ITuple3<T2,T7,T1> _271()

      Create a new 3-tuple from this one where the elements are ordered: 2nd, 7th, 1st.
      Returns:
        reordered tuple

    - #### _217

          @NotNull
          default ITuple3<T2,T1,T7> _217()

      Create a new 3-tuple from this one where the elements are ordered: 2nd, 1st, 7th.
      Returns:
        reordered tuple

    - #### _137

          @NotNull
          default ITuple3<T1,T3,T7> _137()

      Create a new 3-tuple from this one where the elements are ordered: 1st, 3rd, 7th.
      Returns:
        reordered tuple

    - #### _173

          @NotNull
          default ITuple3<T1,T7,T3> _173()

      Create a new 3-tuple from this one where the elements are ordered: 1st, 7th, 3rd.
      Returns:
        reordered tuple

    - #### _713

          @NotNull
          default ITuple3<T7,T1,T3> _713()

      Create a new 3-tuple from this one where the elements are ordered: 7th, 1st, 3rd.
      Returns:
        reordered tuple

    - #### _731

          @NotNull
          default ITuple3<T7,T3,T1> _731()

      Create a new 3-tuple from this one where the elements are ordered: 7th, 3rd, 1st.
      Returns:
        reordered tuple

    - #### _371

          @NotNull
          default ITuple3<T3,T7,T1> _371()

      Create a new 3-tuple from this one where the elements are ordered: 3rd, 7th, 1st.
      Returns:
        reordered tuple

    - #### _317

          @NotNull
          default ITuple3<T3,T1,T7> _317()

      Create a new 3-tuple from this one where the elements are ordered: 3rd, 1st, 7th.
      Returns:
        reordered tuple

    - #### _237

          @NotNull
          default ITuple3<T2,T3,T7> _237()

      Create a new 3-tuple from this one where the elements are ordered: 2nd, 3rd, 7th.
      Returns:
        reordered tuple

    - #### _273

          @NotNull
          default ITuple3<T2,T7,T3> _273()

      Create a new 3-tuple from this one where the elements are ordered: 2nd, 7th, 3rd.
      Returns:
        reordered tuple

    - #### _723

          @NotNull
          default ITuple3<T7,T2,T3> _723()

      Create a new 3-tuple from this one where the elements are ordered: 7th, 2nd, 3rd.
      Returns:
        reordered tuple

    - #### _732

          @NotNull
          default ITuple3<T7,T3,T2> _732()

      Create a new 3-tuple from this one where the elements are ordered: 7th, 3rd, 2nd.
      Returns:
        reordered tuple

    - #### _372

          @NotNull
          default ITuple3<T3,T7,T2> _372()

      Create a new 3-tuple from this one where the elements are ordered: 3rd, 7th, 2nd.
      Returns:
        reordered tuple

    - #### _327

          @NotNull
          default ITuple3<T3,T2,T7> _327()

      Create a new 3-tuple from this one where the elements are ordered: 3rd, 2nd, 7th.
      Returns:
        reordered tuple

    - #### _147

          @NotNull
          default ITuple3<T1,T4,T7> _147()

      Create a new 3-tuple from this one where the elements are ordered: 1st, 4th, 7th.
      Returns:
        reordered tuple

    - #### _174

          @NotNull
          default ITuple3<T1,T7,T4> _174()

      Create a new 3-tuple from this one where the elements are ordered: 1st, 7th, 4th.
      Returns:
        reordered tuple

    - #### _714

          @NotNull
          default ITuple3<T7,T1,T4> _714()

      Create a new 3-tuple from this one where the elements are ordered: 7th, 1st, 4th.
      Returns:
        reordered tuple

    - #### _741

          @NotNull
          default ITuple3<T7,T4,T1> _741()

      Create a new 3-tuple from this one where the elements are ordered: 7th, 4th, 1st.
      Returns:
        reordered tuple

    - #### _471

          @NotNull
          default ITuple3<T4,T7,T1> _471()

      Create a new 3-tuple from this one where the elements are ordered: 4th, 7th, 1st.
      Returns:
        reordered tuple

    - #### _417

          @NotNull
          default ITuple3<T4,T1,T7> _417()

      Create a new 3-tuple from this one where the elements are ordered: 4th, 1st, 7th.
      Returns:
        reordered tuple

    - #### _247

          @NotNull
          default ITuple3<T2,T4,T7> _247()

      Create a new 3-tuple from this one where the elements are ordered: 2nd, 4th, 7th.
      Returns:
        reordered tuple

    - #### _274

          @NotNull
          default ITuple3<T2,T7,T4> _274()

      Create a new 3-tuple from this one where the elements are ordered: 2nd, 7th, 4th.
      Returns:
        reordered tuple

    - #### _724

          @NotNull
          default ITuple3<T7,T2,T4> _724()

      Create a new 3-tuple from this one where the elements are ordered: 7th, 2nd, 4th.
      Returns:
        reordered tuple

    - #### _742

          @NotNull
          default ITuple3<T7,T4,T2> _742()

      Create a new 3-tuple from this one where the elements are ordered: 7th, 4th, 2nd.
      Returns:
        reordered tuple

    - #### _472

          @NotNull
          default ITuple3<T4,T7,T2> _472()

      Create a new 3-tuple from this one where the elements are ordered: 4th, 7th, 2nd.
      Returns:
        reordered tuple

    - #### _427

          @NotNull
          default ITuple3<T4,T2,T7> _427()

      Create a new 3-tuple from this one where the elements are ordered: 4th, 2nd, 7th.
      Returns:
        reordered tuple

    - #### _347

          @NotNull
          default ITuple3<T3,T4,T7> _347()

      Create a new 3-tuple from this one where the elements are ordered: 3rd, 4th, 7th.
      Returns:
        reordered tuple

    - #### _374

          @NotNull
          default ITuple3<T3,T7,T4> _374()

      Create a new 3-tuple from this one where the elements are ordered: 3rd, 7th, 4th.
      Returns:
        reordered tuple

    - #### _734

          @NotNull
          default ITuple3<T7,T3,T4> _734()

      Create a new 3-tuple from this one where the elements are ordered: 7th, 3rd, 4th.
      Returns:
        reordered tuple

    - #### _743

          @NotNull
          default ITuple3<T7,T4,T3> _743()

      Create a new 3-tuple from this one where the elements are ordered: 7th, 4th, 3rd.
      Returns:
        reordered tuple

    - #### _473

          @NotNull
          default ITuple3<T4,T7,T3> _473()

      Create a new 3-tuple from this one where the elements are ordered: 4th, 7th, 3rd.
      Returns:
        reordered tuple

    - #### _437

          @NotNull
          default ITuple3<T4,T3,T7> _437()

      Create a new 3-tuple from this one where the elements are ordered: 4th, 3rd, 7th.
      Returns:
        reordered tuple

    - #### _157

          @NotNull
          default ITuple3<T1,T5,T7> _157()

      Create a new 3-tuple from this one where the elements are ordered: 1st, 5th, 7th.
      Returns:
        reordered tuple

    - #### _175

          @NotNull
          default ITuple3<T1,T7,T5> _175()

      Create a new 3-tuple from this one where the elements are ordered: 1st, 7th, 5th.
      Returns:
        reordered tuple

    - #### _715

          @NotNull
          default ITuple3<T7,T1,T5> _715()

      Create a new 3-tuple from this one where the elements are ordered: 7th, 1st, 5th.
      Returns:
        reordered tuple

    - #### _751

          @NotNull
          default ITuple3<T7,T5,T1> _751()

      Create a new 3-tuple from this one where the elements are ordered: 7th, 5th, 1st.
      Returns:
        reordered tuple

    - #### _571

          @NotNull
          default ITuple3<T5,T7,T1> _571()

      Create a new 3-tuple from this one where the elements are ordered: 5th, 7th, 1st.
      Returns:
        reordered tuple

    - #### _517

          @NotNull
          default ITuple3<T5,T1,T7> _517()

      Create a new 3-tuple from this one where the elements are ordered: 5th, 1st, 7th.
      Returns:
        reordered tuple

    - #### _257

          @NotNull
          default ITuple3<T2,T5,T7> _257()

      Create a new 3-tuple from this one where the elements are ordered: 2nd, 5th, 7th.
      Returns:
        reordered tuple

    - #### _275

          @NotNull
          default ITuple3<T2,T7,T5> _275()

      Create a new 3-tuple from this one where the elements are ordered: 2nd, 7th, 5th.
      Returns:
        reordered tuple

    - #### _725

          @NotNull
          default ITuple3<T7,T2,T5> _725()

      Create a new 3-tuple from this one where the elements are ordered: 7th, 2nd, 5th.
      Returns:
        reordered tuple

    - #### _752

          @NotNull
          default ITuple3<T7,T5,T2> _752()

      Create a new 3-tuple from this one where the elements are ordered: 7th, 5th, 2nd.
      Returns:
        reordered tuple

    - #### _572

          @NotNull
          default ITuple3<T5,T7,T2> _572()

      Create a new 3-tuple from this one where the elements are ordered: 5th, 7th, 2nd.
      Returns:
        reordered tuple

    - #### _527

          @NotNull
          default ITuple3<T5,T2,T7> _527()

      Create a new 3-tuple from this one where the elements are ordered: 5th, 2nd, 7th.
      Returns:
        reordered tuple

    - #### _357

          @NotNull
          default ITuple3<T3,T5,T7> _357()

      Create a new 3-tuple from this one where the elements are ordered: 3rd, 5th, 7th.
      Returns:
        reordered tuple

    - #### _375

          @NotNull
          default ITuple3<T3,T7,T5> _375()

      Create a new 3-tuple from this one where the elements are ordered: 3rd, 7th, 5th.
      Returns:
        reordered tuple

    - #### _735

          @NotNull
          default ITuple3<T7,T3,T5> _735()

      Create a new 3-tuple from this one where the elements are ordered: 7th, 3rd, 5th.
      Returns:
        reordered tuple

    - #### _753

          @NotNull
          default ITuple3<T7,T5,T3> _753()

      Create a new 3-tuple from this one where the elements are ordered: 7th, 5th, 3rd.
      Returns:
        reordered tuple

    - #### _573

          @NotNull
          default ITuple3<T5,T7,T3> _573()

      Create a new 3-tuple from this one where the elements are ordered: 5th, 7th, 3rd.
      Returns:
        reordered tuple

    - #### _537

          @NotNull
          default ITuple3<T5,T3,T7> _537()

      Create a new 3-tuple from this one where the elements are ordered: 5th, 3rd, 7th.
      Returns:
        reordered tuple

    - #### _457

          @NotNull
          default ITuple3<T4,T5,T7> _457()

      Create a new 3-tuple from this one where the elements are ordered: 4th, 5th, 7th.
      Returns:
        reordered tuple

    - #### _475

          @NotNull
          default ITuple3<T4,T7,T5> _475()

      Create a new 3-tuple from this one where the elements are ordered: 4th, 7th, 5th.
      Returns:
        reordered tuple

    - #### _745

          @NotNull
          default ITuple3<T7,T4,T5> _745()

      Create a new 3-tuple from this one where the elements are ordered: 7th, 4th, 5th.
      Returns:
        reordered tuple

    - #### _754

          @NotNull
          default ITuple3<T7,T5,T4> _754()

      Create a new 3-tuple from this one where the elements are ordered: 7th, 5th, 4th.
      Returns:
        reordered tuple

    - #### _574

          @NotNull
          default ITuple3<T5,T7,T4> _574()

      Create a new 3-tuple from this one where the elements are ordered: 5th, 7th, 4th.
      Returns:
        reordered tuple

    - #### _547

          @NotNull
          default ITuple3<T5,T4,T7> _547()

      Create a new 3-tuple from this one where the elements are ordered: 5th, 4th, 7th.
      Returns:
        reordered tuple

    - #### _167

          @NotNull
          default ITuple3<T1,T6,T7> _167()

      Create a new 3-tuple from this one where the elements are ordered: 1st, 6th, 7th.
      Returns:
        reordered tuple

    - #### _176

          @NotNull
          default ITuple3<T1,T7,T6> _176()

      Create a new 3-tuple from this one where the elements are ordered: 1st, 7th, 6th.
      Returns:
        reordered tuple

    - #### _716

          @NotNull
          default ITuple3<T7,T1,T6> _716()

      Create a new 3-tuple from this one where the elements are ordered: 7th, 1st, 6th.
      Returns:
        reordered tuple

    - #### _761

          @NotNull
          default ITuple3<T7,T6,T1> _761()

      Create a new 3-tuple from this one where the elements are ordered: 7th, 6th, 1st.
      Returns:
        reordered tuple

    - #### _671

          @NotNull
          default ITuple3<T6,T7,T1> _671()

      Create a new 3-tuple from this one where the elements are ordered: 6th, 7th, 1st.
      Returns:
        reordered tuple

    - #### _617

          @NotNull
          default ITuple3<T6,T1,T7> _617()

      Create a new 3-tuple from this one where the elements are ordered: 6th, 1st, 7th.
      Returns:
        reordered tuple

    - #### _267

          @NotNull
          default ITuple3<T2,T6,T7> _267()

      Create a new 3-tuple from this one where the elements are ordered: 2nd, 6th, 7th.
      Returns:
        reordered tuple

    - #### _276

          @NotNull
          default ITuple3<T2,T7,T6> _276()

      Create a new 3-tuple from this one where the elements are ordered: 2nd, 7th, 6th.
      Returns:
        reordered tuple

    - #### _726

          @NotNull
          default ITuple3<T7,T2,T6> _726()

      Create a new 3-tuple from this one where the elements are ordered: 7th, 2nd, 6th.
      Returns:
        reordered tuple

    - #### _762

          @NotNull
          default ITuple3<T7,T6,T2> _762()

      Create a new 3-tuple from this one where the elements are ordered: 7th, 6th, 2nd.
      Returns:
        reordered tuple

    - #### _672

          @NotNull
          default ITuple3<T6,T7,T2> _672()

      Create a new 3-tuple from this one where the elements are ordered: 6th, 7th, 2nd.
      Returns:
        reordered tuple

    - #### _627

          @NotNull
          default ITuple3<T6,T2,T7> _627()

      Create a new 3-tuple from this one where the elements are ordered: 6th, 2nd, 7th.
      Returns:
        reordered tuple

    - #### _367

          @NotNull
          default ITuple3<T3,T6,T7> _367()

      Create a new 3-tuple from this one where the elements are ordered: 3rd, 6th, 7th.
      Returns:
        reordered tuple

    - #### _376

          @NotNull
          default ITuple3<T3,T7,T6> _376()

      Create a new 3-tuple from this one where the elements are ordered: 3rd, 7th, 6th.
      Returns:
        reordered tuple

    - #### _736

          @NotNull
          default ITuple3<T7,T3,T6> _736()

      Create a new 3-tuple from this one where the elements are ordered: 7th, 3rd, 6th.
      Returns:
        reordered tuple

    - #### _763

          @NotNull
          default ITuple3<T7,T6,T3> _763()

      Create a new 3-tuple from this one where the elements are ordered: 7th, 6th, 3rd.
      Returns:
        reordered tuple

    - #### _673

          @NotNull
          default ITuple3<T6,T7,T3> _673()

      Create a new 3-tuple from this one where the elements are ordered: 6th, 7th, 3rd.
      Returns:
        reordered tuple

    - #### _637

          @NotNull
          default ITuple3<T6,T3,T7> _637()

      Create a new 3-tuple from this one where the elements are ordered: 6th, 3rd, 7th.
      Returns:
        reordered tuple

    - #### _467

          @NotNull
          default ITuple3<T4,T6,T7> _467()

      Create a new 3-tuple from this one where the elements are ordered: 4th, 6th, 7th.
      Returns:
        reordered tuple

    - #### _476

          @NotNull
          default ITuple3<T4,T7,T6> _476()

      Create a new 3-tuple from this one where the elements are ordered: 4th, 7th, 6th.
      Returns:
        reordered tuple

    - #### _746

          @NotNull
          default ITuple3<T7,T4,T6> _746()

      Create a new 3-tuple from this one where the elements are ordered: 7th, 4th, 6th.
      Returns:
        reordered tuple

    - #### _764

          @NotNull
          default ITuple3<T7,T6,T4> _764()

      Create a new 3-tuple from this one where the elements are ordered: 7th, 6th, 4th.
      Returns:
        reordered tuple

    - #### _674

          @NotNull
          default ITuple3<T6,T7,T4> _674()

      Create a new 3-tuple from this one where the elements are ordered: 6th, 7th, 4th.
      Returns:
        reordered tuple

    - #### _647

          @NotNull
          default ITuple3<T6,T4,T7> _647()

      Create a new 3-tuple from this one where the elements are ordered: 6th, 4th, 7th.
      Returns:
        reordered tuple

    - #### _567

          @NotNull
          default ITuple3<T5,T6,T7> _567()

      Create a new 3-tuple from this one where the elements are ordered: 5th, 6th, 7th.
      Returns:
        reordered tuple

    - #### _576

          @NotNull
          default ITuple3<T5,T7,T6> _576()

      Create a new 3-tuple from this one where the elements are ordered: 5th, 7th, 6th.
      Returns:
        reordered tuple

    - #### _756

          @NotNull
          default ITuple3<T7,T5,T6> _756()

      Create a new 3-tuple from this one where the elements are ordered: 7th, 5th, 6th.
      Returns:
        reordered tuple

    - #### _765

          @NotNull
          default ITuple3<T7,T6,T5> _765()

      Create a new 3-tuple from this one where the elements are ordered: 7th, 6th, 5th.
      Returns:
        reordered tuple

    - #### _675

          @NotNull
          default ITuple3<T6,T7,T5> _675()

      Create a new 3-tuple from this one where the elements are ordered: 6th, 7th, 5th.
      Returns:
        reordered tuple

    - #### _657

          @NotNull
          default ITuple3<T6,T5,T7> _657()

      Create a new 3-tuple from this one where the elements are ordered: 6th, 5th, 7th.
      Returns:
        reordered tuple

    - #### _128

          @NotNull
          default ITuple3<T1,T2,T8> _128()

      Create a new 3-tuple from this one where the elements are ordered: 1st, 2nd, 8th.
      Returns:
        reordered tuple

    - #### _182

          @NotNull
          default ITuple3<T1,T8,T2> _182()

      Create a new 3-tuple from this one where the elements are ordered: 1st, 8th, 2nd.
      Returns:
        reordered tuple

    - #### _812

          @NotNull
          default ITuple3<T8,T1,T2> _812()

      Create a new 3-tuple from this one where the elements are ordered: 8th, 1st, 2nd.
      Returns:
        reordered tuple

    - #### _821

          @NotNull
          default ITuple3<T8,T2,T1> _821()

      Create a new 3-tuple from this one where the elements are ordered: 8th, 2nd, 1st.
      Returns:
        reordered tuple

    - #### _281

          @NotNull
          default ITuple3<T2,T8,T1> _281()

      Create a new 3-tuple from this one where the elements are ordered: 2nd, 8th, 1st.
      Returns:
        reordered tuple

    - #### _218

          @NotNull
          default ITuple3<T2,T1,T8> _218()

      Create a new 3-tuple from this one where the elements are ordered: 2nd, 1st, 8th.
      Returns:
        reordered tuple

    - #### _138

          @NotNull
          default ITuple3<T1,T3,T8> _138()

      Create a new 3-tuple from this one where the elements are ordered: 1st, 3rd, 8th.
      Returns:
        reordered tuple

    - #### _183

          @NotNull
          default ITuple3<T1,T8,T3> _183()

      Create a new 3-tuple from this one where the elements are ordered: 1st, 8th, 3rd.
      Returns:
        reordered tuple

    - #### _813

          @NotNull
          default ITuple3<T8,T1,T3> _813()

      Create a new 3-tuple from this one where the elements are ordered: 8th, 1st, 3rd.
      Returns:
        reordered tuple

    - #### _831

          @NotNull
          default ITuple3<T8,T3,T1> _831()

      Create a new 3-tuple from this one where the elements are ordered: 8th, 3rd, 1st.
      Returns:
        reordered tuple

    - #### _381

          @NotNull
          default ITuple3<T3,T8,T1> _381()

      Create a new 3-tuple from this one where the elements are ordered: 3rd, 8th, 1st.
      Returns:
        reordered tuple

    - #### _318

          @NotNull
          default ITuple3<T3,T1,T8> _318()

      Create a new 3-tuple from this one where the elements are ordered: 3rd, 1st, 8th.
      Returns:
        reordered tuple

    - #### _238

          @NotNull
          default ITuple3<T2,T3,T8> _238()

      Create a new 3-tuple from this one where the elements are ordered: 2nd, 3rd, 8th.
      Returns:
        reordered tuple

    - #### _283

          @NotNull
          default ITuple3<T2,T8,T3> _283()

      Create a new 3-tuple from this one where the elements are ordered: 2nd, 8th, 3rd.
      Returns:
        reordered tuple

    - #### _823

          @NotNull
          default ITuple3<T8,T2,T3> _823()

      Create a new 3-tuple from this one where the elements are ordered: 8th, 2nd, 3rd.
      Returns:
        reordered tuple

    - #### _832

          @NotNull
          default ITuple3<T8,T3,T2> _832()

      Create a new 3-tuple from this one where the elements are ordered: 8th, 3rd, 2nd.
      Returns:
        reordered tuple

    - #### _382

          @NotNull
          default ITuple3<T3,T8,T2> _382()

      Create a new 3-tuple from this one where the elements are ordered: 3rd, 8th, 2nd.
      Returns:
        reordered tuple

    - #### _328

          @NotNull
          default ITuple3<T3,T2,T8> _328()

      Create a new 3-tuple from this one where the elements are ordered: 3rd, 2nd, 8th.
      Returns:
        reordered tuple

    - #### _148

          @NotNull
          default ITuple3<T1,T4,T8> _148()

      Create a new 3-tuple from this one where the elements are ordered: 1st, 4th, 8th.
      Returns:
        reordered tuple

    - #### _184

          @NotNull
          default ITuple3<T1,T8,T4> _184()

      Create a new 3-tuple from this one where the elements are ordered: 1st, 8th, 4th.
      Returns:
        reordered tuple

    - #### _814

          @NotNull
          default ITuple3<T8,T1,T4> _814()

      Create a new 3-tuple from this one where the elements are ordered: 8th, 1st, 4th.
      Returns:
        reordered tuple

    - #### _841

          @NotNull
          default ITuple3<T8,T4,T1> _841()

      Create a new 3-tuple from this one where the elements are ordered: 8th, 4th, 1st.
      Returns:
        reordered tuple

    - #### _481

          @NotNull
          default ITuple3<T4,T8,T1> _481()

      Create a new 3-tuple from this one where the elements are ordered: 4th, 8th, 1st.
      Returns:
        reordered tuple

    - #### _418

          @NotNull
          default ITuple3<T4,T1,T8> _418()

      Create a new 3-tuple from this one where the elements are ordered: 4th, 1st, 8th.
      Returns:
        reordered tuple

    - #### _248

          @NotNull
          default ITuple3<T2,T4,T8> _248()

      Create a new 3-tuple from this one where the elements are ordered: 2nd, 4th, 8th.
      Returns:
        reordered tuple

    - #### _284

          @NotNull
          default ITuple3<T2,T8,T4> _284()

      Create a new 3-tuple from this one where the elements are ordered: 2nd, 8th, 4th.
      Returns:
        reordered tuple

    - #### _824

          @NotNull
          default ITuple3<T8,T2,T4> _824()

      Create a new 3-tuple from this one where the elements are ordered: 8th, 2nd, 4th.
      Returns:
        reordered tuple

    - #### _842

          @NotNull
          default ITuple3<T8,T4,T2> _842()

      Create a new 3-tuple from this one where the elements are ordered: 8th, 4th, 2nd.
      Returns:
        reordered tuple

    - #### _482

          @NotNull
          default ITuple3<T4,T8,T2> _482()

      Create a new 3-tuple from this one where the elements are ordered: 4th, 8th, 2nd.
      Returns:
        reordered tuple

    - #### _428

          @NotNull
          default ITuple3<T4,T2,T8> _428()

      Create a new 3-tuple from this one where the elements are ordered: 4th, 2nd, 8th.
      Returns:
        reordered tuple

    - #### _348

          @NotNull
          default ITuple3<T3,T4,T8> _348()

      Create a new 3-tuple from this one where the elements are ordered: 3rd, 4th, 8th.
      Returns:
        reordered tuple

    - #### _384

          @NotNull
          default ITuple3<T3,T8,T4> _384()

      Create a new 3-tuple from this one where the elements are ordered: 3rd, 8th, 4th.
      Returns:
        reordered tuple

    - #### _834

          @NotNull
          default ITuple3<T8,T3,T4> _834()

      Create a new 3-tuple from this one where the elements are ordered: 8th, 3rd, 4th.
      Returns:
        reordered tuple

    - #### _843

          @NotNull
          default ITuple3<T8,T4,T3> _843()

      Create a new 3-tuple from this one where the elements are ordered: 8th, 4th, 3rd.
      Returns:
        reordered tuple

    - #### _483

          @NotNull
          default ITuple3<T4,T8,T3> _483()

      Create a new 3-tuple from this one where the elements are ordered: 4th, 8th, 3rd.
      Returns:
        reordered tuple

    - #### _438

          @NotNull
          default ITuple3<T4,T3,T8> _438()

      Create a new 3-tuple from this one where the elements are ordered: 4th, 3rd, 8th.
      Returns:
        reordered tuple

    - #### _158

          @NotNull
          default ITuple3<T1,T5,T8> _158()

      Create a new 3-tuple from this one where the elements are ordered: 1st, 5th, 8th.
      Returns:
        reordered tuple

    - #### _185

          @NotNull
          default ITuple3<T1,T8,T5> _185()

      Create a new 3-tuple from this one where the elements are ordered: 1st, 8th, 5th.
      Returns:
        reordered tuple

    - #### _815

          @NotNull
          default ITuple3<T8,T1,T5> _815()

      Create a new 3-tuple from this one where the elements are ordered: 8th, 1st, 5th.
      Returns:
        reordered tuple

    - #### _851

          @NotNull
          default ITuple3<T8,T5,T1> _851()

      Create a new 3-tuple from this one where the elements are ordered: 8th, 5th, 1st.
      Returns:
        reordered tuple

    - #### _581

          @NotNull
          default ITuple3<T5,T8,T1> _581()

      Create a new 3-tuple from this one where the elements are ordered: 5th, 8th, 1st.
      Returns:
        reordered tuple

    - #### _518

          @NotNull
          default ITuple3<T5,T1,T8> _518()

      Create a new 3-tuple from this one where the elements are ordered: 5th, 1st, 8th.
      Returns:
        reordered tuple

    - #### _258

          @NotNull
          default ITuple3<T2,T5,T8> _258()

      Create a new 3-tuple from this one where the elements are ordered: 2nd, 5th, 8th.
      Returns:
        reordered tuple

    - #### _285

          @NotNull
          default ITuple3<T2,T8,T5> _285()

      Create a new 3-tuple from this one where the elements are ordered: 2nd, 8th, 5th.
      Returns:
        reordered tuple

    - #### _825

          @NotNull
          default ITuple3<T8,T2,T5> _825()

      Create a new 3-tuple from this one where the elements are ordered: 8th, 2nd, 5th.
      Returns:
        reordered tuple

    - #### _852

          @NotNull
          default ITuple3<T8,T5,T2> _852()

      Create a new 3-tuple from this one where the elements are ordered: 8th, 5th, 2nd.
      Returns:
        reordered tuple

    - #### _582

          @NotNull
          default ITuple3<T5,T8,T2> _582()

      Create a new 3-tuple from this one where the elements are ordered: 5th, 8th, 2nd.
      Returns:
        reordered tuple

    - #### _528

          @NotNull
          default ITuple3<T5,T2,T8> _528()

      Create a new 3-tuple from this one where the elements are ordered: 5th, 2nd, 8th.
      Returns:
        reordered tuple

    - #### _358

          @NotNull
          default ITuple3<T3,T5,T8> _358()

      Create a new 3-tuple from this one where the elements are ordered: 3rd, 5th, 8th.
      Returns:
        reordered tuple

    - #### _385

          @NotNull
          default ITuple3<T3,T8,T5> _385()

      Create a new 3-tuple from this one where the elements are ordered: 3rd, 8th, 5th.
      Returns:
        reordered tuple

    - #### _835

          @NotNull
          default ITuple3<T8,T3,T5> _835()

      Create a new 3-tuple from this one where the elements are ordered: 8th, 3rd, 5th.
      Returns:
        reordered tuple

    - #### _853

          @NotNull
          default ITuple3<T8,T5,T3> _853()

      Create a new 3-tuple from this one where the elements are ordered: 8th, 5th, 3rd.
      Returns:
        reordered tuple

    - #### _583

          @NotNull
          default ITuple3<T5,T8,T3> _583()

      Create a new 3-tuple from this one where the elements are ordered: 5th, 8th, 3rd.
      Returns:
        reordered tuple

    - #### _538

          @NotNull
          default ITuple3<T5,T3,T8> _538()

      Create a new 3-tuple from this one where the elements are ordered: 5th, 3rd, 8th.
      Returns:
        reordered tuple

    - #### _458

          @NotNull
          default ITuple3<T4,T5,T8> _458()

      Create a new 3-tuple from this one where the elements are ordered: 4th, 5th, 8th.
      Returns:
        reordered tuple

    - #### _485

          @NotNull
          default ITuple3<T4,T8,T5> _485()

      Create a new 3-tuple from this one where the elements are ordered: 4th, 8th, 5th.
      Returns:
        reordered tuple

    - #### _845

          @NotNull
          default ITuple3<T8,T4,T5> _845()

      Create a new 3-tuple from this one where the elements are ordered: 8th, 4th, 5th.
      Returns:
        reordered tuple

    - #### _854

          @NotNull
          default ITuple3<T8,T5,T4> _854()

      Create a new 3-tuple from this one where the elements are ordered: 8th, 5th, 4th.
      Returns:
        reordered tuple

    - #### _584

          @NotNull
          default ITuple3<T5,T8,T4> _584()

      Create a new 3-tuple from this one where the elements are ordered: 5th, 8th, 4th.
      Returns:
        reordered tuple

    - #### _548

          @NotNull
          default ITuple3<T5,T4,T8> _548()

      Create a new 3-tuple from this one where the elements are ordered: 5th, 4th, 8th.
      Returns:
        reordered tuple

    - #### _168

          @NotNull
          default ITuple3<T1,T6,T8> _168()

      Create a new 3-tuple from this one where the elements are ordered: 1st, 6th, 8th.
      Returns:
        reordered tuple

    - #### _186

          @NotNull
          default ITuple3<T1,T8,T6> _186()

      Create a new 3-tuple from this one where the elements are ordered: 1st, 8th, 6th.
      Returns:
        reordered tuple

    - #### _816

          @NotNull
          default ITuple3<T8,T1,T6> _816()

      Create a new 3-tuple from this one where the elements are ordered: 8th, 1st, 6th.
      Returns:
        reordered tuple

    - #### _861

          @NotNull
          default ITuple3<T8,T6,T1> _861()

      Create a new 3-tuple from this one where the elements are ordered: 8th, 6th, 1st.
      Returns:
        reordered tuple

    - #### _681

          @NotNull
          default ITuple3<T6,T8,T1> _681()

      Create a new 3-tuple from this one where the elements are ordered: 6th, 8th, 1st.
      Returns:
        reordered tuple

    - #### _618

          @NotNull
          default ITuple3<T6,T1,T8> _618()

      Create a new 3-tuple from this one where the elements are ordered: 6th, 1st, 8th.
      Returns:
        reordered tuple

    - #### _268

          @NotNull
          default ITuple3<T2,T6,T8> _268()

      Create a new 3-tuple from this one where the elements are ordered: 2nd, 6th, 8th.
      Returns:
        reordered tuple

    - #### _286

          @NotNull
          default ITuple3<T2,T8,T6> _286()

      Create a new 3-tuple from this one where the elements are ordered: 2nd, 8th, 6th.
      Returns:
        reordered tuple

    - #### _826

          @NotNull
          default ITuple3<T8,T2,T6> _826()

      Create a new 3-tuple from this one where the elements are ordered: 8th, 2nd, 6th.
      Returns:
        reordered tuple

    - #### _862

          @NotNull
          default ITuple3<T8,T6,T2> _862()

      Create a new 3-tuple from this one where the elements are ordered: 8th, 6th, 2nd.
      Returns:
        reordered tuple

    - #### _682

          @NotNull
          default ITuple3<T6,T8,T2> _682()

      Create a new 3-tuple from this one where the elements are ordered: 6th, 8th, 2nd.
      Returns:
        reordered tuple

    - #### _628

          @NotNull
          default ITuple3<T6,T2,T8> _628()

      Create a new 3-tuple from this one where the elements are ordered: 6th, 2nd, 8th.
      Returns:
        reordered tuple

    - #### _368

          @NotNull
          default ITuple3<T3,T6,T8> _368()

      Create a new 3-tuple from this one where the elements are ordered: 3rd, 6th, 8th.
      Returns:
        reordered tuple

    - #### _386

          @NotNull
          default ITuple3<T3,T8,T6> _386()

      Create a new 3-tuple from this one where the elements are ordered: 3rd, 8th, 6th.
      Returns:
        reordered tuple

    - #### _836

          @NotNull
          default ITuple3<T8,T3,T6> _836()

      Create a new 3-tuple from this one where the elements are ordered: 8th, 3rd, 6th.
      Returns:
        reordered tuple

    - #### _863

          @NotNull
          default ITuple3<T8,T6,T3> _863()

      Create a new 3-tuple from this one where the elements are ordered: 8th, 6th, 3rd.
      Returns:
        reordered tuple

    - #### _683

          @NotNull
          default ITuple3<T6,T8,T3> _683()

      Create a new 3-tuple from this one where the elements are ordered: 6th, 8th, 3rd.
      Returns:
        reordered tuple

    - #### _638

          @NotNull
          default ITuple3<T6,T3,T8> _638()

      Create a new 3-tuple from this one where the elements are ordered: 6th, 3rd, 8th.
      Returns:
        reordered tuple

    - #### _468

          @NotNull
          default ITuple3<T4,T6,T8> _468()

      Create a new 3-tuple from this one where the elements are ordered: 4th, 6th, 8th.
      Returns:
        reordered tuple

    - #### _486

          @NotNull
          default ITuple3<T4,T8,T6> _486()

      Create a new 3-tuple from this one where the elements are ordered: 4th, 8th, 6th.
      Returns:
        reordered tuple

    - #### _846

          @NotNull
          default ITuple3<T8,T4,T6> _846()

      Create a new 3-tuple from this one where the elements are ordered: 8th, 4th, 6th.
      Returns:
        reordered tuple

    - #### _864

          @NotNull
          default ITuple3<T8,T6,T4> _864()

      Create a new 3-tuple from this one where the elements are ordered: 8th, 6th, 4th.
      Returns:
        reordered tuple

    - #### _684

          @NotNull
          default ITuple3<T6,T8,T4> _684()

      Create a new 3-tuple from this one where the elements are ordered: 6th, 8th, 4th.
      Returns:
        reordered tuple

    - #### _648

          @NotNull
          default ITuple3<T6,T4,T8> _648()

      Create a new 3-tuple from this one where the elements are ordered: 6th, 4th, 8th.
      Returns:
        reordered tuple

    - #### _568

          @NotNull
          default ITuple3<T5,T6,T8> _568()

      Create a new 3-tuple from this one where the elements are ordered: 5th, 6th, 8th.
      Returns:
        reordered tuple

    - #### _586

          @NotNull
          default ITuple3<T5,T8,T6> _586()

      Create a new 3-tuple from this one where the elements are ordered: 5th, 8th, 6th.
      Returns:
        reordered tuple

    - #### _856

          @NotNull
          default ITuple3<T8,T5,T6> _856()

      Create a new 3-tuple from this one where the elements are ordered: 8th, 5th, 6th.
      Returns:
        reordered tuple

    - #### _865

          @NotNull
          default ITuple3<T8,T6,T5> _865()

      Create a new 3-tuple from this one where the elements are ordered: 8th, 6th, 5th.
      Returns:
        reordered tuple

    - #### _685

          @NotNull
          default ITuple3<T6,T8,T5> _685()

      Create a new 3-tuple from this one where the elements are ordered: 6th, 8th, 5th.
      Returns:
        reordered tuple

    - #### _658

          @NotNull
          default ITuple3<T6,T5,T8> _658()

      Create a new 3-tuple from this one where the elements are ordered: 6th, 5th, 8th.
      Returns:
        reordered tuple

    - #### _178

          @NotNull
          default ITuple3<T1,T7,T8> _178()

      Create a new 3-tuple from this one where the elements are ordered: 1st, 7th, 8th.
      Returns:
        reordered tuple

    - #### _187

          @NotNull
          default ITuple3<T1,T8,T7> _187()

      Create a new 3-tuple from this one where the elements are ordered: 1st, 8th, 7th.
      Returns:
        reordered tuple

    - #### _817

          @NotNull
          default ITuple3<T8,T1,T7> _817()

      Create a new 3-tuple from this one where the elements are ordered: 8th, 1st, 7th.
      Returns:
        reordered tuple

    - #### _871

          @NotNull
          default ITuple3<T8,T7,T1> _871()

      Create a new 3-tuple from this one where the elements are ordered: 8th, 7th, 1st.
      Returns:
        reordered tuple

    - #### _781

          @NotNull
          default ITuple3<T7,T8,T1> _781()

      Create a new 3-tuple from this one where the elements are ordered: 7th, 8th, 1st.
      Returns:
        reordered tuple

    - #### _718

          @NotNull
          default ITuple3<T7,T1,T8> _718()

      Create a new 3-tuple from this one where the elements are ordered: 7th, 1st, 8th.
      Returns:
        reordered tuple

    - #### _278

          @NotNull
          default ITuple3<T2,T7,T8> _278()

      Create a new 3-tuple from this one where the elements are ordered: 2nd, 7th, 8th.
      Returns:
        reordered tuple

    - #### _287

          @NotNull
          default ITuple3<T2,T8,T7> _287()

      Create a new 3-tuple from this one where the elements are ordered: 2nd, 8th, 7th.
      Returns:
        reordered tuple

    - #### _827

          @NotNull
          default ITuple3<T8,T2,T7> _827()

      Create a new 3-tuple from this one where the elements are ordered: 8th, 2nd, 7th.
      Returns:
        reordered tuple

    - #### _872

          @NotNull
          default ITuple3<T8,T7,T2> _872()

      Create a new 3-tuple from this one where the elements are ordered: 8th, 7th, 2nd.
      Returns:
        reordered tuple

    - #### _782

          @NotNull
          default ITuple3<T7,T8,T2> _782()

      Create a new 3-tuple from this one where the elements are ordered: 7th, 8th, 2nd.
      Returns:
        reordered tuple

    - #### _728

          @NotNull
          default ITuple3<T7,T2,T8> _728()

      Create a new 3-tuple from this one where the elements are ordered: 7th, 2nd, 8th.
      Returns:
        reordered tuple

    - #### _378

          @NotNull
          default ITuple3<T3,T7,T8> _378()

      Create a new 3-tuple from this one where the elements are ordered: 3rd, 7th, 8th.
      Returns:
        reordered tuple

    - #### _387

          @NotNull
          default ITuple3<T3,T8,T7> _387()

      Create a new 3-tuple from this one where the elements are ordered: 3rd, 8th, 7th.
      Returns:
        reordered tuple

    - #### _837

          @NotNull
          default ITuple3<T8,T3,T7> _837()

      Create a new 3-tuple from this one where the elements are ordered: 8th, 3rd, 7th.
      Returns:
        reordered tuple

    - #### _873

          @NotNull
          default ITuple3<T8,T7,T3> _873()

      Create a new 3-tuple from this one where the elements are ordered: 8th, 7th, 3rd.
      Returns:
        reordered tuple

    - #### _783

          @NotNull
          default ITuple3<T7,T8,T3> _783()

      Create a new 3-tuple from this one where the elements are ordered: 7th, 8th, 3rd.
      Returns:
        reordered tuple

    - #### _738

          @NotNull
          default ITuple3<T7,T3,T8> _738()

      Create a new 3-tuple from this one where the elements are ordered: 7th, 3rd, 8th.
      Returns:
        reordered tuple

    - #### _478

          @NotNull
          default ITuple3<T4,T7,T8> _478()

      Create a new 3-tuple from this one where the elements are ordered: 4th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _487

          @NotNull
          default ITuple3<T4,T8,T7> _487()

      Create a new 3-tuple from this one where the elements are ordered: 4th, 8th, 7th.
      Returns:
        reordered tuple

    - #### _847

          @NotNull
          default ITuple3<T8,T4,T7> _847()

      Create a new 3-tuple from this one where the elements are ordered: 8th, 4th, 7th.
      Returns:
        reordered tuple

    - #### _874

          @NotNull
          default ITuple3<T8,T7,T4> _874()

      Create a new 3-tuple from this one where the elements are ordered: 8th, 7th, 4th.
      Returns:
        reordered tuple

    - #### _784

          @NotNull
          default ITuple3<T7,T8,T4> _784()

      Create a new 3-tuple from this one where the elements are ordered: 7th, 8th, 4th.
      Returns:
        reordered tuple

    - #### _748

          @NotNull
          default ITuple3<T7,T4,T8> _748()

      Create a new 3-tuple from this one where the elements are ordered: 7th, 4th, 8th.
      Returns:
        reordered tuple

    - #### _578

          @NotNull
          default ITuple3<T5,T7,T8> _578()

      Create a new 3-tuple from this one where the elements are ordered: 5th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _587

          @NotNull
          default ITuple3<T5,T8,T7> _587()

      Create a new 3-tuple from this one where the elements are ordered: 5th, 8th, 7th.
      Returns:
        reordered tuple

    - #### _857

          @NotNull
          default ITuple3<T8,T5,T7> _857()

      Create a new 3-tuple from this one where the elements are ordered: 8th, 5th, 7th.
      Returns:
        reordered tuple

    - #### _875

          @NotNull
          default ITuple3<T8,T7,T5> _875()

      Create a new 3-tuple from this one where the elements are ordered: 8th, 7th, 5th.
      Returns:
        reordered tuple

    - #### _785

          @NotNull
          default ITuple3<T7,T8,T5> _785()

      Create a new 3-tuple from this one where the elements are ordered: 7th, 8th, 5th.
      Returns:
        reordered tuple

    - #### _758

          @NotNull
          default ITuple3<T7,T5,T8> _758()

      Create a new 3-tuple from this one where the elements are ordered: 7th, 5th, 8th.
      Returns:
        reordered tuple

    - #### _678

          @NotNull
          default ITuple3<T6,T7,T8> _678()

      Create a new 3-tuple from this one where the elements are ordered: 6th, 7th, 8th.
      Returns:
        reordered tuple

    - #### _687

          @NotNull
          default ITuple3<T6,T8,T7> _687()

      Create a new 3-tuple from this one where the elements are ordered: 6th, 8th, 7th.
      Returns:
        reordered tuple

    - #### _867

          @NotNull
          default ITuple3<T8,T6,T7> _867()

      Create a new 3-tuple from this one where the elements are ordered: 8th, 6th, 7th.
      Returns:
        reordered tuple

    - #### _876

          @NotNull
          default ITuple3<T8,T7,T6> _876()

      Create a new 3-tuple from this one where the elements are ordered: 8th, 7th, 6th.
      Returns:
        reordered tuple

    - #### _786

          @NotNull
          default ITuple3<T7,T8,T6> _786()

      Create a new 3-tuple from this one where the elements are ordered: 7th, 8th, 6th.
      Returns:
        reordered tuple

    - #### _768

          @NotNull
          default ITuple3<T7,T6,T8> _768()

      Create a new 3-tuple from this one where the elements are ordered: 7th, 6th, 8th.
      Returns:
        reordered tuple

    - #### _12

          @NotNull
          default ITuple2<T1,T2> _12()

      Create a new 2-tuple from this one where the elements are ordered: 1st, 2nd.
      Returns:
        reordered tuple

    - #### _21

          @NotNull
          default ITuple2<T2,T1> _21()

      Create a new 2-tuple from this one where the elements are ordered: 2nd, 1st.
      Returns:
        reordered tuple

    - #### _13

          @NotNull
          default ITuple2<T1,T3> _13()

      Create a new 2-tuple from this one where the elements are ordered: 1st, 3rd.
      Returns:
        reordered tuple

    - #### _31

          @NotNull
          default ITuple2<T3,T1> _31()

      Create a new 2-tuple from this one where the elements are ordered: 3rd, 1st.
      Returns:
        reordered tuple

    - #### _23

          @NotNull
          default ITuple2<T2,T3> _23()

      Create a new 2-tuple from this one where the elements are ordered: 2nd, 3rd.
      Returns:
        reordered tuple

    - #### _32

          @NotNull
          default ITuple2<T3,T2> _32()

      Create a new 2-tuple from this one where the elements are ordered: 3rd, 2nd.
      Returns:
        reordered tuple

    - #### _14

          @NotNull
          default ITuple2<T1,T4> _14()

      Create a new 2-tuple from this one where the elements are ordered: 1st, 4th.
      Returns:
        reordered tuple

    - #### _41

          @NotNull
          default ITuple2<T4,T1> _41()

      Create a new 2-tuple from this one where the elements are ordered: 4th, 1st.
      Returns:
        reordered tuple

    - #### _24

          @NotNull
          default ITuple2<T2,T4> _24()

      Create a new 2-tuple from this one where the elements are ordered: 2nd, 4th.
      Returns:
        reordered tuple

    - #### _42

          @NotNull
          default ITuple2<T4,T2> _42()

      Create a new 2-tuple from this one where the elements are ordered: 4th, 2nd.
      Returns:
        reordered tuple

    - #### _34

          @NotNull
          default ITuple2<T3,T4> _34()

      Create a new 2-tuple from this one where the elements are ordered: 3rd, 4th.
      Returns:
        reordered tuple

    - #### _43

          @NotNull
          default ITuple2<T4,T3> _43()

      Create a new 2-tuple from this one where the elements are ordered: 4th, 3rd.
      Returns:
        reordered tuple

    - #### _15

          @NotNull
          default ITuple2<T1,T5> _15()

      Create a new 2-tuple from this one where the elements are ordered: 1st, 5th.
      Returns:
        reordered tuple

    - #### _51

          @NotNull
          default ITuple2<T5,T1> _51()

      Create a new 2-tuple from this one where the elements are ordered: 5th, 1st.
      Returns:
        reordered tuple

    - #### _25

          @NotNull
          default ITuple2<T2,T5> _25()

      Create a new 2-tuple from this one where the elements are ordered: 2nd, 5th.
      Returns:
        reordered tuple

    - #### _52

          @NotNull
          default ITuple2<T5,T2> _52()

      Create a new 2-tuple from this one where the elements are ordered: 5th, 2nd.
      Returns:
        reordered tuple

    - #### _35

          @NotNull
          default ITuple2<T3,T5> _35()

      Create a new 2-tuple from this one where the elements are ordered: 3rd, 5th.
      Returns:
        reordered tuple

    - #### _53

          @NotNull
          default ITuple2<T5,T3> _53()

      Create a new 2-tuple from this one where the elements are ordered: 5th, 3rd.
      Returns:
        reordered tuple

    - #### _45

          @NotNull
          default ITuple2<T4,T5> _45()

      Create a new 2-tuple from this one where the elements are ordered: 4th, 5th.
      Returns:
        reordered tuple

    - #### _54

          @NotNull
          default ITuple2<T5,T4> _54()

      Create a new 2-tuple from this one where the elements are ordered: 5th, 4th.
      Returns:
        reordered tuple

    - #### _16

          @NotNull
          default ITuple2<T1,T6> _16()

      Create a new 2-tuple from this one where the elements are ordered: 1st, 6th.
      Returns:
        reordered tuple

    - #### _61

          @NotNull
          default ITuple2<T6,T1> _61()

      Create a new 2-tuple from this one where the elements are ordered: 6th, 1st.
      Returns:
        reordered tuple

    - #### _26

          @NotNull
          default ITuple2<T2,T6> _26()

      Create a new 2-tuple from this one where the elements are ordered: 2nd, 6th.
      Returns:
        reordered tuple

    - #### _62

          @NotNull
          default ITuple2<T6,T2> _62()

      Create a new 2-tuple from this one where the elements are ordered: 6th, 2nd.
      Returns:
        reordered tuple

    - #### _36

          @NotNull
          default ITuple2<T3,T6> _36()

      Create a new 2-tuple from this one where the elements are ordered: 3rd, 6th.
      Returns:
        reordered tuple

    - #### _63

          @NotNull
          default ITuple2<T6,T3> _63()

      Create a new 2-tuple from this one where the elements are ordered: 6th, 3rd.
      Returns:
        reordered tuple

    - #### _46

          @NotNull
          default ITuple2<T4,T6> _46()

      Create a new 2-tuple from this one where the elements are ordered: 4th, 6th.
      Returns:
        reordered tuple

    - #### _64

          @NotNull
          default ITuple2<T6,T4> _64()

      Create a new 2-tuple from this one where the elements are ordered: 6th, 4th.
      Returns:
        reordered tuple

    - #### _56

          @NotNull
          default ITuple2<T5,T6> _56()

      Create a new 2-tuple from this one where the elements are ordered: 5th, 6th.
      Returns:
        reordered tuple

    - #### _65

          @NotNull
          default ITuple2<T6,T5> _65()

      Create a new 2-tuple from this one where the elements are ordered: 6th, 5th.
      Returns:
        reordered tuple

    - #### _17

          @NotNull
          default ITuple2<T1,T7> _17()

      Create a new 2-tuple from this one where the elements are ordered: 1st, 7th.
      Returns:
        reordered tuple

    - #### _71

          @NotNull
          default ITuple2<T7,T1> _71()

      Create a new 2-tuple from this one where the elements are ordered: 7th, 1st.
      Returns:
        reordered tuple

    - #### _27

          @NotNull
          default ITuple2<T2,T7> _27()

      Create a new 2-tuple from this one where the elements are ordered: 2nd, 7th.
      Returns:
        reordered tuple

    - #### _72

          @NotNull
          default ITuple2<T7,T2> _72()

      Create a new 2-tuple from this one where the elements are ordered: 7th, 2nd.
      Returns:
        reordered tuple

    - #### _37

          @NotNull
          default ITuple2<T3,T7> _37()

      Create a new 2-tuple from this one where the elements are ordered: 3rd, 7th.
      Returns:
        reordered tuple

    - #### _73

          @NotNull
          default ITuple2<T7,T3> _73()

      Create a new 2-tuple from this one where the elements are ordered: 7th, 3rd.
      Returns:
        reordered tuple

    - #### _47

          @NotNull
          default ITuple2<T4,T7> _47()

      Create a new 2-tuple from this one where the elements are ordered: 4th, 7th.
      Returns:
        reordered tuple

    - #### _74

          @NotNull
          default ITuple2<T7,T4> _74()

      Create a new 2-tuple from this one where the elements are ordered: 7th, 4th.
      Returns:
        reordered tuple

    - #### _57

          @NotNull
          default ITuple2<T5,T7> _57()

      Create a new 2-tuple from this one where the elements are ordered: 5th, 7th.
      Returns:
        reordered tuple

    - #### _75

          @NotNull
          default ITuple2<T7,T5> _75()

      Create a new 2-tuple from this one where the elements are ordered: 7th, 5th.
      Returns:
        reordered tuple

    - #### _67

          @NotNull
          default ITuple2<T6,T7> _67()

      Create a new 2-tuple from this one where the elements are ordered: 6th, 7th.
      Returns:
        reordered tuple

    - #### _76

          @NotNull
          default ITuple2<T7,T6> _76()

      Create a new 2-tuple from this one where the elements are ordered: 7th, 6th.
      Returns:
        reordered tuple

    - #### _18

          @NotNull
          default ITuple2<T1,T8> _18()

      Create a new 2-tuple from this one where the elements are ordered: 1st, 8th.
      Returns:
        reordered tuple

    - #### _81

          @NotNull
          default ITuple2<T8,T1> _81()

      Create a new 2-tuple from this one where the elements are ordered: 8th, 1st.
      Returns:
        reordered tuple

    - #### _28

          @NotNull
          default ITuple2<T2,T8> _28()

      Create a new 2-tuple from this one where the elements are ordered: 2nd, 8th.
      Returns:
        reordered tuple

    - #### _82

          @NotNull
          default ITuple2<T8,T2> _82()

      Create a new 2-tuple from this one where the elements are ordered: 8th, 2nd.
      Returns:
        reordered tuple

    - #### _38

          @NotNull
          default ITuple2<T3,T8> _38()

      Create a new 2-tuple from this one where the elements are ordered: 3rd, 8th.
      Returns:
        reordered tuple

    - #### _83

          @NotNull
          default ITuple2<T8,T3> _83()

      Create a new 2-tuple from this one where the elements are ordered: 8th, 3rd.
      Returns:
        reordered tuple

    - #### _48

          @NotNull
          default ITuple2<T4,T8> _48()

      Create a new 2-tuple from this one where the elements are ordered: 4th, 8th.
      Returns:
        reordered tuple

    - #### _84

          @NotNull
          default ITuple2<T8,T4> _84()

      Create a new 2-tuple from this one where the elements are ordered: 8th, 4th.
      Returns:
        reordered tuple

    - #### _58

          @NotNull
          default ITuple2<T5,T8> _58()

      Create a new 2-tuple from this one where the elements are ordered: 5th, 8th.
      Returns:
        reordered tuple

    - #### _85

          @NotNull
          default ITuple2<T8,T5> _85()

      Create a new 2-tuple from this one where the elements are ordered: 8th, 5th.
      Returns:
        reordered tuple

    - #### _68

          @NotNull
          default ITuple2<T6,T8> _68()

      Create a new 2-tuple from this one where the elements are ordered: 6th, 8th.
      Returns:
        reordered tuple

    - #### _86

          @NotNull
          default ITuple2<T8,T6> _86()

      Create a new 2-tuple from this one where the elements are ordered: 8th, 6th.
      Returns:
        reordered tuple

    - #### _78

          @NotNull
          default ITuple2<T7,T8> _78()

      Create a new 2-tuple from this one where the elements are ordered: 7th, 8th.
      Returns:
        reordered tuple

    - #### _87

          @NotNull
          default ITuple2<T8,T7> _87()

      Create a new 2-tuple from this one where the elements are ordered: 8th, 7th.
      Returns:
        reordered tuple

    - #### asBase

          @NotNull
          default ITuple8.Base<T1,T2,T3,T4,T5,T6,T7,T8> asBase()

      Convert this 8-tuple into a `base tuple` which provides useful implementations for standard methods.
      Returns:
        base view of this tuple

    - #### frozen

          @NotNull
          default NTuple8<T1,T2,T3,T4,T5,T6,T7,T8> frozen()

      Convert this into an object of a concrete tuple implementation. This is useful because implementations may just be a view of something else. This method makes sure to decouple the tuple from the viewed object. The resulting tuple may contain `null` elements, see `frozenNotNull()` for a method which returns tuples which don't have nullable elements.
      Returns:
        standalone tuple object

    - #### frozenNotNull

          @NotNull
          default Tuple8<T1,T2,T3,T4,T5,T6,T7,T8> frozenNotNull()

      Convert this into an object of a concrete tuple implementation. This is useful because implementations may just be a view of something else. This method makes sure to decouple the tuple from the viewed object. The resulting tuple is guaranteed not to have `null` elements, but if this interface has `null` elements this method will throw a `NullPointerException`.

      See `frozen()` for a method which will not throw exceptions.

      Returns:
        standalone tuple object
      Throws:
        `java.lang.NullPointerException` - if any element of this tuple is `null`

    - #### invoke

          default <T> T invoke(@NotNull
                               Function8<T,? super T1,? super T2,? super T3,? super T4,? super T5,? super T6,? super T7,? super T8> function)

      Invoke a %d-argument function on this tuple.
      Type Parameters:
        `T` - function return type
      Parameters:
        `function` - function called with the unpacked elements of this tuple
      Returns:
        result of calling the function

    - #### sendTo

          default void sendTo(@NotNull
                              Procedure8<? super T1,? super T2,? super T3,? super T4,? super T5,? super T6,? super T7,? super T8> procedure)

      Send this tuple unpacked to a 8-argument procedure.
      Parameters:
        `procedure` - procedure called with the unpacked elements of this tuple

    - #### testBy

          default boolean testBy(@NotNull
                                 Predicate8<? super T1,? super T2,? super T3,? super T4,? super T5,? super T6,? super T7,? super T8> predicate)

      Test a 8-argument predicate with this tuple unpacked.
      Parameters:
        `predicate` - predicate called with the unpacked elements of this tuple
      Returns:
        the predicate's result

    - #### view

          @NotNull
          static <E1,E2,E3,E4,E5,E6,E7,E8> ITuple8<E1,E2,E3,E4,E5,E6,E7,E8> view(E1 elem1,
                                                                                          E2 elem2,
                                                                                          E3 elem3,
                                                                                          E4 elem4,
                                                                                          E5 elem5,
                                                                                          E6 elem6,
                                                                                          E7 elem7,
                                                                                          E8 elem8)

      Create a new 8-tuple on the fly. This is especially useful for temporary usage, you might want to create a `Tuple8` instead as that gives guarantees of the non-nullness of its elements, or a `NTuple8` as that at least is serializable (as is `Tuple8`).
      Type Parameters:
        `E1` - type of first element
        `E2` - type of second element
        `E3` - type of third element
        `E4` - type of fourth element
        `E5` - type of fifth element
        `E6` - type of sixth element
        `E7` - type of seventh element
        `E8` - type of eighth element
      Parameters:
        `elem1` - first element of returned tuple
        `elem2` - second element of returned tuple
        `elem3` - third element of returned tuple
        `elem4` - fourth element of returned tuple
        `elem5` - fifth element of returned tuple
        `elem6` - sixth element of returned tuple
        `elem7` - seventh element of returned tuple
        `elem8` - eighth element of returned tuple
      Returns:
        8-tuple view of the given elements

    - #### equals

          static boolean equals(@NotNull
                                ITuple8<?,?,?,?,?,?,?,?> tuple,
                                @Nullable
                                java.lang.Object o)

      Basic implementation of equals for 8-tuples. This can be used in implementations to implement `Object.equals(Object)`. Don't forget hashing: `hash(ITuple8)`
      Parameters:
        `tuple` - tuple to compare
        `o` - other object to compare
      Returns:
        `false` if `o` is `null`, not a `ITuple8`, or its members differ
        `true` otherwise

    - #### hash

          static int hash(@NotNull
                          ITuple8<?,?,?,?,?,?,?,?> tuple)

      Basic implementation for calculating a hash code of a 8-tuple. This can be used in implementations to implement `Object.hashCode()`. Don't forget equals: `equals(ITuple8, Object)`.
      Parameters:
        `tuple` - tuple to hash
      Returns:
        hash code

    - #### toString

          @NotNull
          static java.lang.String toString(@NotNull
                                                    ITuple8<?,?,?,?,?,?,?,?> tuple)

      Basic implementation for creating a string from a 8-tuple. This one uses `"ITuple8"` as prefix. This can be used im implementations to implement `Object.toString()`.
      Parameters:
        `tuple` - tuple to convert
      Returns:
        text form
      See Also:
        `toString(String, ITuple8)`

    - #### toString

          @NotNull
          static java.lang.String toString(@NotNull
                                                    java.lang.String prefix,
                                                    @NotNull
                                                    ITuple8<?,?,?,?,?,?,?,?> tuple)

      Basic implementation for creating a string from a 8-tuple. This can be used im implementations to implement `Object.toString()`.
      Parameters:
        `prefix` - prefix for the output
        `tuple` - tuple to convert
      Returns:
        text form
      See Also:
        `toString(ITuple8)`

    - #### concat1

          @NotNull
          static <S1,E1,E2,E3,E4,E5,E6,E7,E8,R> java.util.function.Function<S1,R> concat1(@NotNull
                                                                                                   java.util.function.Function<S1,? extends ITuple8<? extends E1,? extends E2,? extends E3,? extends E4,? extends E5,? extends E6,? extends E7,? extends E8>> fn1,
                                                                                                   @NotNull
                                                                                                   Function8<R,? super E1,? super E2,? super E3,? super E4,? super E5,? super E6,? super E7,? super E8> fn2)

      Combine a 1-argument function returning a 8-tuple with a 8-parameter function returning another result value into one 1-argument function.
      Type Parameters:
        `S1` - first argument of incoming function `fn1` and returned function
        `E1` - type of first element of intermediate tuple
        `E2` - type of second element of intermediate tuple
        `E3` - type of third element of intermediate tuple
        `E4` - type of fourth element of intermediate tuple
        `E5` - type of fifth element of intermediate tuple
        `E6` - type of sixth element of intermediate tuple
        `E7` - type of seventh element of intermediate tuple
        `E8` - type of eighth element of intermediate tuple
        `R` - result type
      Parameters:
        `fn1` - 1-argument function returning a 8-tuple
        `fn2` - 8-argument function which can use the expanded tuple elements as arguments and returns the result value
      Returns:
        1-argument function which returns the result value

    - #### concatProc1

          @NotNull
          static <S1,E1,E2,E3,E4,E5,E6,E7,E8> java.util.function.Consumer<S1> concatProc1(@NotNull
                                                                                                   java.util.function.Function<S1,? extends ITuple8<? extends E1,? extends E2,? extends E3,? extends E4,? extends E5,? extends E6,? extends E7,? extends E8>> fn1,
                                                                                                   @NotNull
                                                                                                   Procedure8<? super E1,? super E2,? super E3,? super E4,? super E5,? super E6,? super E7,? super E8> proc2)

      Combine a 1-argument function returning a 8-tuple with a 8-parameter consumer/procedure into a 1-argument consumer/procedure.
      Type Parameters:
        `S1` - first argument of function and returned consumer/procedure
        `E1` - type of first element of intermediate tuple
        `E2` - type of second element of intermediate tuple
        `E3` - type of third element of intermediate tuple
        `E4` - type of fourth element of intermediate tuple
        `E5` - type of fifth element of intermediate tuple
        `E6` - type of sixth element of intermediate tuple
        `E7` - type of seventh element of intermediate tuple
        `E8` - type of eighth element of intermediate tuple
      Parameters:
        `fn1` - 1-argument function returning a 8-tuple
        `proc2` - 8-argument consumer/procedure which can use the expanded tuple elements as arguments
      Returns:
        1-argument consumer/procedure which returns the result value

    - #### concatPred1

          @NotNull
          static <S1,E1,E2,E3,E4,E5,E6,E7,E8> java.util.function.Predicate<S1> concatPred1(@NotNull
                                                                                                    java.util.function.Function<S1,? extends ITuple8<? extends E1,? extends E2,? extends E3,? extends E4,? extends E5,? extends E6,? extends E7,? extends E8>> fn1,
                                                                                                    @NotNull
                                                                                                    Predicate8<? super E1,? super E2,? super E3,? super E4,? super E5,? super E6,? super E7,? super E8> pred2)

      Combine a 1-argument function returning a 8-tuple with a 8-parameter predicate into a 1-argument predicate.
      Type Parameters:
        `S1` - first argument of function and returned consumer/procedure
        `E1` - type of first element of intermediate tuple
        `E2` - type of second element of intermediate tuple
        `E3` - type of third element of intermediate tuple
        `E4` - type of fourth element of intermediate tuple
        `E5` - type of fifth element of intermediate tuple
        `E6` - type of sixth element of intermediate tuple
        `E7` - type of seventh element of intermediate tuple
        `E8` - type of eighth element of intermediate tuple
      Parameters:
        `fn1` - 1-argument function returning a 8-tuple
        `pred2` - 8-argument predicate which can use the expanded tuple elements as arguments
      Returns:
        1-argument predicate which returns the test result of the tuple returned by `fn1`

    - #### concat2

          @NotNull
          static <S1,S2,E1,E2,E3,E4,E5,E6,E7,E8,R> java.util.function.BiFunction<S1,S2,R> concat2(@NotNull
                                                                                                           java.util.function.BiFunction<S1,S2,? extends ITuple8<? extends E1,? extends E2,? extends E3,? extends E4,? extends E5,? extends E6,? extends E7,? extends E8>> fn1,
                                                                                                           @NotNull
                                                                                                           Function8<R,? super E1,? super E2,? super E3,? super E4,? super E5,? super E6,? super E7,? super E8> fn2)

      Combine a 2-argument function returning a 8-tuple with a 8-parameter function returning another result value into one 2-argument function.
      Type Parameters:
        `S1` - first argument of incoming function `fn1` and returned function
        `S2` - second argument of incoming function `fn1` and returned function
        `E1` - type of first element of intermediate tuple
        `E2` - type of second element of intermediate tuple
        `E3` - type of third element of intermediate tuple
        `E4` - type of fourth element of intermediate tuple
        `E5` - type of fifth element of intermediate tuple
        `E6` - type of sixth element of intermediate tuple
        `E7` - type of seventh element of intermediate tuple
        `E8` - type of eighth element of intermediate tuple
        `R` - result type
      Parameters:
        `fn1` - 2-argument function returning a 8-tuple
        `fn2` - 8-argument function which can use the expanded tuple elements as arguments and returns the result value
      Returns:
        2-argument function which returns the result value

    - #### concatProc2

          @NotNull
          static <S1,S2,E1,E2,E3,E4,E5,E6,E7,E8> java.util.function.BiConsumer<S1,S2> concatProc2(@NotNull
                                                                                                           java.util.function.BiFunction<S1,S2,? extends ITuple8<? extends E1,? extends E2,? extends E3,? extends E4,? extends E5,? extends E6,? extends E7,? extends E8>> fn1,
                                                                                                           @NotNull
                                                                                                           Procedure8<? super E1,? super E2,? super E3,? super E4,? super E5,? super E6,? super E7,? super E8> proc2)

      Combine a 2-argument function returning a 8-tuple with a 8-parameter consumer/procedure into a 2-argument consumer/procedure.
      Type Parameters:
        `S1` - first argument of function and returned consumer/procedure
        `S2` - second argument of function and returned consumer/procedure
        `E1` - type of first element of intermediate tuple
        `E2` - type of second element of intermediate tuple
        `E3` - type of third element of intermediate tuple
        `E4` - type of fourth element of intermediate tuple
        `E5` - type of fifth element of intermediate tuple
        `E6` - type of sixth element of intermediate tuple
        `E7` - type of seventh element of intermediate tuple
        `E8` - type of eighth element of intermediate tuple
      Parameters:
        `fn1` - 2-argument function returning a 8-tuple
        `proc2` - 8-argument consumer/procedure which can use the expanded tuple elements as arguments
      Returns:
        2-argument consumer/procedure which returns the result value

    - #### concatPred2

          @NotNull
          static <S1,S2,E1,E2,E3,E4,E5,E6,E7,E8> java.util.function.BiPredicate<S1,S2> concatPred2(@NotNull
                                                                                                            java.util.function.BiFunction<S1,S2,? extends ITuple8<? extends E1,? extends E2,? extends E3,? extends E4,? extends E5,? extends E6,? extends E7,? extends E8>> fn1,
                                                                                                            @NotNull
                                                                                                            Predicate8<? super E1,? super E2,? super E3,? super E4,? super E5,? super E6,? super E7,? super E8> pred2)

      Combine a 2-argument function returning a 8-tuple with a 8-parameter predicate into a 2-argument predicate.
      Type Parameters:
        `S1` - first argument of function and returned consumer/procedure
        `S2` - second argument of function and returned consumer/procedure
        `E1` - type of first element of intermediate tuple
        `E2` - type of second element of intermediate tuple
        `E3` - type of third element of intermediate tuple
        `E4` - type of fourth element of intermediate tuple
        `E5` - type of fifth element of intermediate tuple
        `E6` - type of sixth element of intermediate tuple
        `E7` - type of seventh element of intermediate tuple
        `E8` - type of eighth element of intermediate tuple
      Parameters:
        `fn1` - 2-argument function returning a 8-tuple
        `pred2` - 8-argument predicate which can use the expanded tuple elements as arguments
      Returns:
        2-argument predicate which returns the test result of the tuple returned by `fn1`

    - #### concat3

          @NotNull
          static <S1,S2,S3,E1,E2,E3,E4,E5,E6,E7,E8,R> Function3<R,S1,S2,S3> concat3(@NotNull
                                                                                             Function3<? extends ITuple8<? extends E1,? extends E2,? extends E3,? extends E4,? extends E5,? extends E6,? extends E7,? extends E8>,S1,S2,S3> fn1,
                                                                                             @NotNull
                                                                                             Function8<R,? super E1,? super E2,? super E3,? super E4,? super E5,? super E6,? super E7,? super E8> fn2)

      Combine a 3-argument function returning a 8-tuple with a 8-parameter function returning another result value into one 3-argument function.
      Type Parameters:
        `S1` - first argument of incoming function `fn1` and returned function
        `S2` - second argument of incoming function `fn1` and returned function
        `S3` - third argument of incoming function `fn1` and returned function
        `E1` - type of first element of intermediate tuple
        `E2` - type of second element of intermediate tuple
        `E3` - type of third element of intermediate tuple
        `E4` - type of fourth element of intermediate tuple
        `E5` - type of fifth element of intermediate tuple
        `E6` - type of sixth element of intermediate tuple
        `E7` - type of seventh element of intermediate tuple
        `E8` - type of eighth element of intermediate tuple
        `R` - result type
      Parameters:
        `fn1` - 3-argument function returning a 8-tuple
        `fn2` - 8-argument function which can use the expanded tuple elements as arguments and returns the result value
      Returns:
        3-argument function which returns the result value

    - #### concatProc3

          @NotNull
          static <S1,S2,S3,E1,E2,E3,E4,E5,E6,E7,E8> Procedure3<S1,S2,S3> concatProc3(@NotNull
                                                                                              Function3<? extends ITuple8<? extends E1,? extends E2,? extends E3,? extends E4,? extends E5,? extends E6,? extends E7,? extends E8>,S1,S2,S3> fn1,
                                                                                              @NotNull
                                                                                              Procedure8<? super E1,? super E2,? super E3,? super E4,? super E5,? super E6,? super E7,? super E8> proc2)

      Combine a 3-argument function returning a 8-tuple with a 8-parameter consumer/procedure into a 3-argument consumer/procedure.
      Type Parameters:
        `S1` - first argument of function and returned consumer/procedure
        `S2` - second argument of function and returned consumer/procedure
        `S3` - third argument of function and returned consumer/procedure
        `E1` - type of first element of intermediate tuple
        `E2` - type of second element of intermediate tuple
        `E3` - type of third element of intermediate tuple
        `E4` - type of fourth element of intermediate tuple
        `E5` - type of fifth element of intermediate tuple
        `E6` - type of sixth element of intermediate tuple
        `E7` - type of seventh element of intermediate tuple
        `E8` - type of eighth element of intermediate tuple
      Parameters:
        `fn1` - 3-argument function returning a 8-tuple
        `proc2` - 8-argument consumer/procedure which can use the expanded tuple elements as arguments
      Returns:
        3-argument consumer/procedure which returns the result value

    - #### concatPred3

          @NotNull
          static <S1,S2,S3,E1,E2,E3,E4,E5,E6,E7,E8> Predicate3<S1,S2,S3> concatPred3(@NotNull
                                                                                              Function3<? extends ITuple8<? extends E1,? extends E2,? extends E3,? extends E4,? extends E5,? extends E6,? extends E7,? extends E8>,S1,S2,S3> fn1,
                                                                                              @NotNull
                                                                                              Predicate8<? super E1,? super E2,? super E3,? super E4,? super E5,? super E6,? super E7,? super E8> pred2)

      Combine a 3-argument function returning a 8-tuple with a 8-parameter predicate into a 3-argument predicate.
      Type Parameters:
        `S1` - first argument of function and returned consumer/procedure
        `S2` - second argument of function and returned consumer/procedure
        `S3` - third argument of function and returned consumer/procedure
        `E1` - type of first element of intermediate tuple
        `E2` - type of second element of intermediate tuple
        `E3` - type of third element of intermediate tuple
        `E4` - type of fourth element of intermediate tuple
        `E5` - type of fifth element of intermediate tuple
        `E6` - type of sixth element of intermediate tuple
        `E7` - type of seventh element of intermediate tuple
        `E8` - type of eighth element of intermediate tuple
      Parameters:
        `fn1` - 3-argument function returning a 8-tuple
        `pred2` - 8-argument predicate which can use the expanded tuple elements as arguments
      Returns:
        3-argument predicate which returns the test result of the tuple returned by `fn1`

    - #### concat4

          @NotNull
          static <S1,S2,S3,S4,E1,E2,E3,E4,E5,E6,E7,E8,R> Function4<R,S1,S2,S3,S4> concat4(@NotNull
                                                                                                   Function4<? extends ITuple8<? extends E1,? extends E2,? extends E3,? extends E4,? extends E5,? extends E6,? extends E7,? extends E8>,S1,S2,S3,S4> fn1,
                                                                                                   @NotNull
                                                                                                   Function8<R,? super E1,? super E2,? super E3,? super E4,? super E5,? super E6,? super E7,? super E8> fn2)

      Combine a 4-argument function returning a 8-tuple with a 8-parameter function returning another result value into one 4-argument function.
      Type Parameters:
        `S1` - first argument of incoming function `fn1` and returned function
        `S2` - second argument of incoming function `fn1` and returned function
        `S3` - third argument of incoming function `fn1` and returned function
        `S4` - fourth argument of incoming function `fn1` and returned function
        `E1` - type of first element of intermediate tuple
        `E2` - type of second element of intermediate tuple
        `E3` - type of third element of intermediate tuple
        `E4` - type of fourth element of intermediate tuple
        `E5` - type of fifth element of intermediate tuple
        `E6` - type of sixth element of intermediate tuple
        `E7` - type of seventh element of intermediate tuple
        `E8` - type of eighth element of intermediate tuple
        `R` - result type
      Parameters:
        `fn1` - 4-argument function returning a 8-tuple
        `fn2` - 8-argument function which can use the expanded tuple elements as arguments and returns the result value
      Returns:
        4-argument function which returns the result value

    - #### concatProc4

          @NotNull
          static <S1,S2,S3,S4,E1,E2,E3,E4,E5,E6,E7,E8> Procedure4<S1,S2,S3,S4> concatProc4(@NotNull
                                                                                                    Function4<? extends ITuple8<? extends E1,? extends E2,? extends E3,? extends E4,? extends E5,? extends E6,? extends E7,? extends E8>,S1,S2,S3,S4> fn1,
                                                                                                    @NotNull
                                                                                                    Procedure8<? super E1,? super E2,? super E3,? super E4,? super E5,? super E6,? super E7,? super E8> proc2)

      Combine a 4-argument function returning a 8-tuple with a 8-parameter consumer/procedure into a 4-argument consumer/procedure.
      Type Parameters:
        `S1` - first argument of function and returned consumer/procedure
        `S2` - second argument of function and returned consumer/procedure
        `S3` - third argument of function and returned consumer/procedure
        `S4` - fourth argument of function and returned consumer/procedure
        `E1` - type of first element of intermediate tuple
        `E2` - type of second element of intermediate tuple
        `E3` - type of third element of intermediate tuple
        `E4` - type of fourth element of intermediate tuple
        `E5` - type of fifth element of intermediate tuple
        `E6` - type of sixth element of intermediate tuple
        `E7` - type of seventh element of intermediate tuple
        `E8` - type of eighth element of intermediate tuple
      Parameters:
        `fn1` - 4-argument function returning a 8-tuple
        `proc2` - 8-argument consumer/procedure which can use the expanded tuple elements as arguments
      Returns:
        4-argument consumer/procedure which returns the result value

    - #### concatPred4

          @NotNull
          static <S1,S2,S3,S4,E1,E2,E3,E4,E5,E6,E7,E8> Predicate4<S1,S2,S3,S4> concatPred4(@NotNull
                                                                                                    Function4<? extends ITuple8<? extends E1,? extends E2,? extends E3,? extends E4,? extends E5,? extends E6,? extends E7,? extends E8>,S1,S2,S3,S4> fn1,
                                                                                                    @NotNull
                                                                                                    Predicate8<? super E1,? super E2,? super E3,? super E4,? super E5,? super E6,? super E7,? super E8> pred2)

      Combine a 4-argument function returning a 8-tuple with a 8-parameter predicate into a 4-argument predicate.
      Type Parameters:
        `S1` - first argument of function and returned consumer/procedure
        `S2` - second argument of function and returned consumer/procedure
        `S3` - third argument of function and returned consumer/procedure
        `S4` - fourth argument of function and returned consumer/procedure
        `E1` - type of first element of intermediate tuple
        `E2` - type of second element of intermediate tuple
        `E3` - type of third element of intermediate tuple
        `E4` - type of fourth element of intermediate tuple
        `E5` - type of fifth element of intermediate tuple
        `E6` - type of sixth element of intermediate tuple
        `E7` - type of seventh element of intermediate tuple
        `E8` - type of eighth element of intermediate tuple
      Parameters:
        `fn1` - 4-argument function returning a 8-tuple
        `pred2` - 8-argument predicate which can use the expanded tuple elements as arguments
      Returns:
        4-argument predicate which returns the test result of the tuple returned by `fn1`

    - #### concat5

          @NotNull
          static <S1,S2,S3,S4,S5,E1,E2,E3,E4,E5,E6,E7,E8,R> Function5<R,S1,S2,S3,S4,S5> concat5(@NotNull
                                                                                                         Function5<? extends ITuple8<? extends E1,? extends E2,? extends E3,? extends E4,? extends E5,? extends E6,? extends E7,? extends E8>,S1,S2,S3,S4,S5> fn1,
                                                                                                         @NotNull
                                                                                                         Function8<R,? super E1,? super E2,? super E3,? super E4,? super E5,? super E6,? super E7,? super E8> fn2)

      Combine a 5-argument function returning a 8-tuple with a 8-parameter function returning another result value into one 5-argument function.
      Type Parameters:
        `S1` - first argument of incoming function `fn1` and returned function
        `S2` - second argument of incoming function `fn1` and returned function
        `S3` - third argument of incoming function `fn1` and returned function
        `S4` - fourth argument of incoming function `fn1` and returned function
        `S5` - fifth argument of incoming function `fn1` and returned function
        `E1` - type of first element of intermediate tuple
        `E2` - type of second element of intermediate tuple
        `E3` - type of third element of intermediate tuple
        `E4` - type of fourth element of intermediate tuple
        `E5` - type of fifth element of intermediate tuple
        `E6` - type of sixth element of intermediate tuple
        `E7` - type of seventh element of intermediate tuple
        `E8` - type of eighth element of intermediate tuple
        `R` - result type
      Parameters:
        `fn1` - 5-argument function returning a 8-tuple
        `fn2` - 8-argument function which can use the expanded tuple elements as arguments and returns the result value
      Returns:
        5-argument function which returns the result value

    - #### concatProc5

          @NotNull
          static <S1,S2,S3,S4,S5,E1,E2,E3,E4,E5,E6,E7,E8> Procedure5<S1,S2,S3,S4,S5> concatProc5(@NotNull
                                                                                                          Function5<? extends ITuple8<? extends E1,? extends E2,? extends E3,? extends E4,? extends E5,? extends E6,? extends E7,? extends E8>,S1,S2,S3,S4,S5> fn1,
                                                                                                          @NotNull
                                                                                                          Procedure8<? super E1,? super E2,? super E3,? super E4,? super E5,? super E6,? super E7,? super E8> proc2)

      Combine a 5-argument function returning a 8-tuple with a 8-parameter consumer/procedure into a 5-argument consumer/procedure.
      Type Parameters:
        `S1` - first argument of function and returned consumer/procedure
        `S2` - second argument of function and returned consumer/procedure
        `S3` - third argument of function and returned consumer/procedure
        `S4` - fourth argument of function and returned consumer/procedure
        `S5` - fifth argument of function and returned consumer/procedure
        `E1` - type of first element of intermediate tuple
        `E2` - type of second element of intermediate tuple
        `E3` - type of third element of intermediate tuple
        `E4` - type of fourth element of intermediate tuple
        `E5` - type of fifth element of intermediate tuple
        `E6` - type of sixth element of intermediate tuple
        `E7` - type of seventh element of intermediate tuple
        `E8` - type of eighth element of intermediate tuple
      Parameters:
        `fn1` - 5-argument function returning a 8-tuple
        `proc2` - 8-argument consumer/procedure which can use the expanded tuple elements as arguments
      Returns:
        5-argument consumer/procedure which returns the result value

    - #### concatPred5

          @NotNull
          static <S1,S2,S3,S4,S5,E1,E2,E3,E4,E5,E6,E7,E8> Predicate5<S1,S2,S3,S4,S5> concatPred5(@NotNull
                                                                                                          Function5<? extends ITuple8<? extends E1,? extends E2,? extends E3,? extends E4,? extends E5,? extends E6,? extends E7,? extends E8>,S1,S2,S3,S4,S5> fn1,
                                                                                                          @NotNull
                                                                                                          Predicate8<? super E1,? super E2,? super E3,? super E4,? super E5,? super E6,? super E7,? super E8> pred2)

      Combine a 5-argument function returning a 8-tuple with a 8-parameter predicate into a 5-argument predicate.
      Type Parameters:
        `S1` - first argument of function and returned consumer/procedure
        `S2` - second argument of function and returned consumer/procedure
        `S3` - third argument of function and returned consumer/procedure
        `S4` - fourth argument of function and returned consumer/procedure
        `S5` - fifth argument of function and returned consumer/procedure
        `E1` - type of first element of intermediate tuple
        `E2` - type of second element of intermediate tuple
        `E3` - type of third element of intermediate tuple
        `E4` - type of fourth element of intermediate tuple
        `E5` - type of fifth element of intermediate tuple
        `E6` - type of sixth element of intermediate tuple
        `E7` - type of seventh element of intermediate tuple
        `E8` - type of eighth element of intermediate tuple
      Parameters:
        `fn1` - 5-argument function returning a 8-tuple
        `pred2` - 8-argument predicate which can use the expanded tuple elements as arguments
      Returns:
        5-argument predicate which returns the test result of the tuple returned by `fn1`

    - #### concat6

          @NotNull
          static <S1,S2,S3,S4,S5,S6,E1,E2,E3,E4,E5,E6,E7,E8,R> Function6<R,S1,S2,S3,S4,S5,S6> concat6(@NotNull
                                                                                                               Function6<? extends ITuple8<? extends E1,? extends E2,? extends E3,? extends E4,? extends E5,? extends E6,? extends E7,? extends E8>,S1,S2,S3,S4,S5,S6> fn1,
                                                                                                               @NotNull
                                                                                                               Function8<R,? super E1,? super E2,? super E3,? super E4,? super E5,? super E6,? super E7,? super E8> fn2)

      Combine a 6-argument function returning a 8-tuple with a 8-parameter function returning another result value into one 6-argument function.
      Type Parameters:
        `S1` - first argument of incoming function `fn1` and returned function
        `S2` - second argument of incoming function `fn1` and returned function
        `S3` - third argument of incoming function `fn1` and returned function
        `S4` - fourth argument of incoming function `fn1` and returned function
        `S5` - fifth argument of incoming function `fn1` and returned function
        `S6` - sixth argument of incoming function `fn1` and returned function
        `E1` - type of first element of intermediate tuple
        `E2` - type of second element of intermediate tuple
        `E3` - type of third element of intermediate tuple
        `E4` - type of fourth element of intermediate tuple
        `E5` - type of fifth element of intermediate tuple
        `E6` - type of sixth element of intermediate tuple
        `E7` - type of seventh element of intermediate tuple
        `E8` - type of eighth element of intermediate tuple
        `R` - result type
      Parameters:
        `fn1` - 6-argument function returning a 8-tuple
        `fn2` - 8-argument function which can use the expanded tuple elements as arguments and returns the result value
      Returns:
        6-argument function which returns the result value

    - #### concatProc6

          @NotNull
          static <S1,S2,S3,S4,S5,S6,E1,E2,E3,E4,E5,E6,E7,E8> Procedure6<S1,S2,S3,S4,S5,S6> concatProc6(@NotNull
                                                                                                                Function6<? extends ITuple8<? extends E1,? extends E2,? extends E3,? extends E4,? extends E5,? extends E6,? extends E7,? extends E8>,S1,S2,S3,S4,S5,S6> fn1,
                                                                                                                @NotNull
                                                                                                                Procedure8<? super E1,? super E2,? super E3,? super E4,? super E5,? super E6,? super E7,? super E8> proc2)

      Combine a 6-argument function returning a 8-tuple with a 8-parameter consumer/procedure into a 6-argument consumer/procedure.
      Type Parameters:
        `S1` - first argument of function and returned consumer/procedure
        `S2` - second argument of function and returned consumer/procedure
        `S3` - third argument of function and returned consumer/procedure
        `S4` - fourth argument of function and returned consumer/procedure
        `S5` - fifth argument of function and returned consumer/procedure
        `S6` - sixth argument of function and returned consumer/procedure
        `E1` - type of first element of intermediate tuple
        `E2` - type of second element of intermediate tuple
        `E3` - type of third element of intermediate tuple
        `E4` - type of fourth element of intermediate tuple
        `E5` - type of fifth element of intermediate tuple
        `E6` - type of sixth element of intermediate tuple
        `E7` - type of seventh element of intermediate tuple
        `E8` - type of eighth element of intermediate tuple
      Parameters:
        `fn1` - 6-argument function returning a 8-tuple
        `proc2` - 8-argument consumer/procedure which can use the expanded tuple elements as arguments
      Returns:
        6-argument consumer/procedure which returns the result value

    - #### concatPred6

          @NotNull
          static <S1,S2,S3,S4,S5,S6,E1,E2,E3,E4,E5,E6,E7,E8> Predicate6<S1,S2,S3,S4,S5,S6> concatPred6(@NotNull
                                                                                                                Function6<? extends ITuple8<? extends E1,? extends E2,? extends E3,? extends E4,? extends E5,? extends E6,? extends E7,? extends E8>,S1,S2,S3,S4,S5,S6> fn1,
                                                                                                                @NotNull
                                                                                                                Predicate8<? super E1,? super E2,? super E3,? super E4,? super E5,? super E6,? super E7,? super E8> pred2)

      Combine a 6-argument function returning a 8-tuple with a 8-parameter predicate into a 6-argument predicate.
      Type Parameters:
        `S1` - first argument of function and returned consumer/procedure
        `S2` - second argument of function and returned consumer/procedure
        `S3` - third argument of function and returned consumer/procedure
        `S4` - fourth argument of function and returned consumer/procedure
        `S5` - fifth argument of function and returned consumer/procedure
        `S6` - sixth argument of function and returned consumer/procedure
        `E1` - type of first element of intermediate tuple
        `E2` - type of second element of intermediate tuple
        `E3` - type of third element of intermediate tuple
        `E4` - type of fourth element of intermediate tuple
        `E5` - type of fifth element of intermediate tuple
        `E6` - type of sixth element of intermediate tuple
        `E7` - type of seventh element of intermediate tuple
        `E8` - type of eighth element of intermediate tuple
      Parameters:
        `fn1` - 6-argument function returning a 8-tuple
        `pred2` - 8-argument predicate which can use the expanded tuple elements as arguments
      Returns:
        6-argument predicate which returns the test result of the tuple returned by `fn1`

    - #### concat7

          @NotNull
          static <S1,S2,S3,S4,S5,S6,S7,E1,E2,E3,E4,E5,E6,E7,E8,R> Function7<R,S1,S2,S3,S4,S5,S6,S7> concat7(@NotNull
                                                                                                                     Function7<? extends ITuple8<? extends E1,? extends E2,? extends E3,? extends E4,? extends E5,? extends E6,? extends E7,? extends E8>,S1,S2,S3,S4,S5,S6,S7> fn1,
                                                                                                                     @NotNull
                                                                                                                     Function8<R,? super E1,? super E2,? super E3,? super E4,? super E5,? super E6,? super E7,? super E8> fn2)

      Combine a 7-argument function returning a 8-tuple with a 8-parameter function returning another result value into one 7-argument function.
      Type Parameters:
        `S1` - first argument of incoming function `fn1` and returned function
        `S2` - second argument of incoming function `fn1` and returned function
        `S3` - third argument of incoming function `fn1` and returned function
        `S4` - fourth argument of incoming function `fn1` and returned function
        `S5` - fifth argument of incoming function `fn1` and returned function
        `S6` - sixth argument of incoming function `fn1` and returned function
        `S7` - seventh argument of incoming function `fn1` and returned function
        `E1` - type of first element of intermediate tuple
        `E2` - type of second element of intermediate tuple
        `E3` - type of third element of intermediate tuple
        `E4` - type of fourth element of intermediate tuple
        `E5` - type of fifth element of intermediate tuple
        `E6` - type of sixth element of intermediate tuple
        `E7` - type of seventh element of intermediate tuple
        `E8` - type of eighth element of intermediate tuple
        `R` - result type
      Parameters:
        `fn1` - 7-argument function returning a 8-tuple
        `fn2` - 8-argument function which can use the expanded tuple elements as arguments and returns the result value
      Returns:
        7-argument function which returns the result value

    - #### concatProc7

          @NotNull
          static <S1,S2,S3,S4,S5,S6,S7,E1,E2,E3,E4,E5,E6,E7,E8> Procedure7<S1,S2,S3,S4,S5,S6,S7> concatProc7(@NotNull
                                                                                                                      Function7<? extends ITuple8<? extends E1,? extends E2,? extends E3,? extends E4,? extends E5,? extends E6,? extends E7,? extends E8>,S1,S2,S3,S4,S5,S6,S7> fn1,
                                                                                                                      @NotNull
                                                                                                                      Procedure8<? super E1,? super E2,? super E3,? super E4,? super E5,? super E6,? super E7,? super E8> proc2)

      Combine a 7-argument function returning a 8-tuple with a 8-parameter consumer/procedure into a 7-argument consumer/procedure.
      Type Parameters:
        `S1` - first argument of function and returned consumer/procedure
        `S2` - second argument of function and returned consumer/procedure
        `S3` - third argument of function and returned consumer/procedure
        `S4` - fourth argument of function and returned consumer/procedure
        `S5` - fifth argument of function and returned consumer/procedure
        `S6` - sixth argument of function and returned consumer/procedure
        `S7` - seventh argument of function and returned consumer/procedure
        `E1` - type of first element of intermediate tuple
        `E2` - type of second element of intermediate tuple
        `E3` - type of third element of intermediate tuple
        `E4` - type of fourth element of intermediate tuple
        `E5` - type of fifth element of intermediate tuple
        `E6` - type of sixth element of intermediate tuple
        `E7` - type of seventh element of intermediate tuple
        `E8` - type of eighth element of intermediate tuple
      Parameters:
        `fn1` - 7-argument function returning a 8-tuple
        `proc2` - 8-argument consumer/procedure which can use the expanded tuple elements as arguments
      Returns:
        7-argument consumer/procedure which returns the result value

    - #### concatPred7

          @NotNull
          static <S1,S2,S3,S4,S5,S6,S7,E1,E2,E3,E4,E5,E6,E7,E8> Predicate7<S1,S2,S3,S4,S5,S6,S7> concatPred7(@NotNull
                                                                                                                      Function7<? extends ITuple8<? extends E1,? extends E2,? extends E3,? extends E4,? extends E5,? extends E6,? extends E7,? extends E8>,S1,S2,S3,S4,S5,S6,S7> fn1,
                                                                                                                      @NotNull
                                                                                                                      Predicate8<? super E1,? super E2,? super E3,? super E4,? super E5,? super E6,? super E7,? super E8> pred2)

      Combine a 7-argument function returning a 8-tuple with a 8-parameter predicate into a 7-argument predicate.
      Type Parameters:
        `S1` - first argument of function and returned consumer/procedure
        `S2` - second argument of function and returned consumer/procedure
        `S3` - third argument of function and returned consumer/procedure
        `S4` - fourth argument of function and returned consumer/procedure
        `S5` - fifth argument of function and returned consumer/procedure
        `S6` - sixth argument of function and returned consumer/procedure
        `S7` - seventh argument of function and returned consumer/procedure
        `E1` - type of first element of intermediate tuple
        `E2` - type of second element of intermediate tuple
        `E3` - type of third element of intermediate tuple
        `E4` - type of fourth element of intermediate tuple
        `E5` - type of fifth element of intermediate tuple
        `E6` - type of sixth element of intermediate tuple
        `E7` - type of seventh element of intermediate tuple
        `E8` - type of eighth element of intermediate tuple
      Parameters:
        `fn1` - 7-argument function returning a 8-tuple
        `pred2` - 8-argument predicate which can use the expanded tuple elements as arguments
      Returns:
        7-argument predicate which returns the test result of the tuple returned by `fn1`

    - #### concat8

          @NotNull
          static <S1,S2,S3,S4,S5,S6,S7,S8,E1,E2,E3,E4,E5,E6,E7,E8,R> Function8<R,S1,S2,S3,S4,S5,S6,S7,S8> concat8(@NotNull
                                                                                                                           Function8<? extends ITuple8<? extends E1,? extends E2,? extends E3,? extends E4,? extends E5,? extends E6,? extends E7,? extends E8>,S1,S2,S3,S4,S5,S6,S7,S8> fn1,
                                                                                                                           @NotNull
                                                                                                                           Function8<R,? super E1,? super E2,? super E3,? super E4,? super E5,? super E6,? super E7,? super E8> fn2)

      Combine a 8-argument function returning a 8-tuple with a 8-parameter function returning another result value into one 8-argument function.
      Type Parameters:
        `S1` - first argument of incoming function `fn1` and returned function
        `S2` - second argument of incoming function `fn1` and returned function
        `S3` - third argument of incoming function `fn1` and returned function
        `S4` - fourth argument of incoming function `fn1` and returned function
        `S5` - fifth argument of incoming function `fn1` and returned function
        `S6` - sixth argument of incoming function `fn1` and returned function
        `S7` - seventh argument of incoming function `fn1` and returned function
        `S8` - eighth argument of incoming function `fn1` and returned function
        `E1` - type of first element of intermediate tuple
        `E2` - type of second element of intermediate tuple
        `E3` - type of third element of intermediate tuple
        `E4` - type of fourth element of intermediate tuple
        `E5` - type of fifth element of intermediate tuple
        `E6` - type of sixth element of intermediate tuple
        `E7` - type of seventh element of intermediate tuple
        `E8` - type of eighth element of intermediate tuple
        `R` - result type
      Parameters:
        `fn1` - 8-argument function returning a 8-tuple
        `fn2` - 8-argument function which can use the expanded tuple elements as arguments and returns the result value
      Returns:
        8-argument function which returns the result value

    - #### concatProc8

          @NotNull
          static <S1,S2,S3,S4,S5,S6,S7,S8,E1,E2,E3,E4,E5,E6,E7,E8> Procedure8<S1,S2,S3,S4,S5,S6,S7,S8> concatProc8(@NotNull
                                                                                                                            Function8<? extends ITuple8<? extends E1,? extends E2,? extends E3,? extends E4,? extends E5,? extends E6,? extends E7,? extends E8>,S1,S2,S3,S4,S5,S6,S7,S8> fn1,
                                                                                                                            @NotNull
                                                                                                                            Procedure8<? super E1,? super E2,? super E3,? super E4,? super E5,? super E6,? super E7,? super E8> proc2)

      Combine a 8-argument function returning a 8-tuple with a 8-parameter consumer/procedure into a 8-argument consumer/procedure.
      Type Parameters:
        `S1` - first argument of function and returned consumer/procedure
        `S2` - second argument of function and returned consumer/procedure
        `S3` - third argument of function and returned consumer/procedure
        `S4` - fourth argument of function and returned consumer/procedure
        `S5` - fifth argument of function and returned consumer/procedure
        `S6` - sixth argument of function and returned consumer/procedure
        `S7` - seventh argument of function and returned consumer/procedure
        `S8` - eighth argument of function and returned consumer/procedure
        `E1` - type of first element of intermediate tuple
        `E2` - type of second element of intermediate tuple
        `E3` - type of third element of intermediate tuple
        `E4` - type of fourth element of intermediate tuple
        `E5` - type of fifth element of intermediate tuple
        `E6` - type of sixth element of intermediate tuple
        `E7` - type of seventh element of intermediate tuple
        `E8` - type of eighth element of intermediate tuple
      Parameters:
        `fn1` - 8-argument function returning a 8-tuple
        `proc2` - 8-argument consumer/procedure which can use the expanded tuple elements as arguments
      Returns:
        8-argument consumer/procedure which returns the result value

    - #### concatPred8

          @NotNull
          static <S1,S2,S3,S4,S5,S6,S7,S8,E1,E2,E3,E4,E5,E6,E7,E8> Predicate8<S1,S2,S3,S4,S5,S6,S7,S8> concatPred8(@NotNull
                                                                                                                            Function8<? extends ITuple8<? extends E1,? extends E2,? extends E3,? extends E4,? extends E5,? extends E6,? extends E7,? extends E8>,S1,S2,S3,S4,S5,S6,S7,S8> fn1,
                                                                                                                            @NotNull
                                                                                                                            Predicate8<? super E1,? super E2,? super E3,? super E4,? super E5,? super E6,? super E7,? super E8> pred2)

      Combine a 8-argument function returning a 8-tuple with a 8-parameter predicate into a 8-argument predicate.
      Type Parameters:
        `S1` - first argument of function and returned consumer/procedure
        `S2` - second argument of function and returned consumer/procedure
        `S3` - third argument of function and returned consumer/procedure
        `S4` - fourth argument of function and returned consumer/procedure
        `S5` - fifth argument of function and returned consumer/procedure
        `S6` - sixth argument of function and returned consumer/procedure
        `S7` - seventh argument of function and returned consumer/procedure
        `S8` - eighth argument of function and returned consumer/procedure
        `E1` - type of first element of intermediate tuple
        `E2` - type of second element of intermediate tuple
        `E3` - type of third element of intermediate tuple
        `E4` - type of fourth element of intermediate tuple
        `E5` - type of fifth element of intermediate tuple
        `E6` - type of sixth element of intermediate tuple
        `E7` - type of seventh element of intermediate tuple
        `E8` - type of eighth element of intermediate tuple
      Parameters:
        `fn1` - 8-argument function returning a 8-tuple
        `pred2` - 8-argument predicate which can use the expanded tuple elements as arguments
      Returns:
        8-argument predicate which returns the test result of the tuple returned by `fn1`